What's New in WinZip 11.0

WinZip 11.0 includes features that build on the solid foundation established with WinZip 10.0. We applied user feedback to improve the Job Wizard and added a number of compression and usability enhancements, as well as the ability to open .BZ2 and .RAR files.

Like WinZip 10.0, you can choose WinZip 11.0 with Standard or Pro features, and both offer compression enhancements that make WinZip 11.0 the most versatile WinZip ever. Our new "best compression" option allows you to let WinZip decide the best compression method for each file based on the file-type. This will ensure that you maximize the compression of every file that you add to your Zip file. WinZip 11.0 also allows you to better zip .wav music files without compromising the integrity of the file or its sound quality. What's more, if you need to open a .BZ2 or .RAR file, WinZip can now be your tool of choice.

If you depend on WinZip Pro's Job Wizard to back up data sets, archive important documents, or distribute information to others on a regular basis, you'll appreciate the enhancements available in WinZip 11.0 Pro. Now you can configure the Job Wizard to email the log file and/or resulting Zip file automatically after completion, use our new "browse" feature to find a specific folder on an FTP server, and select custom jobs directly from the Job Wizard and Quick Pick menus.

Best of all, if you're a registered user of any previous version of WinZip, you can upgrade to WinZip 11.0 for 50% off the regular list price.

Major Changes in Version 11.0

Compression Enhancements

Both Standard and Pro include features that make WinZip 11.0 more versatile than ever before. Now you can:

  • Allow WinZip to select "best compression" automatically
    Make the most of the improved compression methods introduced with WinZip 10.0 by letting WinZip decide for you.

    Starting with WinZip 10.0, WinZip supported two additional and more powerful compression methods within the Zip file format, PPMd and bzip2. Although this made the product more powerful, user feedback suggests that selecting the proper compression method can be intimidating. Now WinZip can automatically select which compression method to use for each file you add to your Zip file, to create the smallest Zip file possible, helping you to save both data transmission time and valuable disk space.

    Note: extracting files compressed with PPMd or bzip2 requires a compatible Zip file utility. Currently WinZip 9.0 or newer will process Zip files compressed using the bzip2 method. WinZip 10.0 or newer is required to open PPMd-compressed files.

  • Zip .WAV music files
    When you select our Best Compression Method, we use a new compression algorithm for lossless compression of .wav files. A must-have for music lovers who don't want to compromise the file integrity or sound quality.
  • .BZ2 and .RAR file support (extract only)
    Extract from .BZ2 and .RAR files without opening a separate application.

WinZip Job Wizard Enhancements - PRO ONLY

WinZip introduced the "WinZip Job Wizard" with WinZip 10.0 Pro. This powerful productivity and automation tool allows you to create Zip "jobs" that identify the "what, where, when, and how" of virtually any repetitive zipping task. For WinZip 11.0, we've listened to your feedback and we have made the Job Wizard even better. With WinZip 11.0's Job Wizard, now you can:

  • Program the Job Wizard to email reports and Zip files automatically
    You can create a custom Zip job to run automatically or at the click of a button, and now the Job Wizard will send you an email to confirm whether the job completed successfully or alert you of problems. You can also configure the Job Wizard to email the resulting Zip file and/or the job's log file.
  • Use Browse Button to find FTP location
    You still need to specify the FTP server location; however, you no longer need to know the exact folder name. Simply use our new browse feature in the FTP dialog box to navigate to the desired folder.
  • Passive (PASV) FTP support
    It can sometimes be a challenge to FTP when you're sitting behind a firewall, but PASV mode can help. Simply put, this feature instructs the FTP server to wait for you to initiate contact, rather than actively pinging your firewall (and having your firewall deny access). When the client initiates contact (rather than the server) through the appropriate port for a specific action, the firewall is more likely to allow the FTP.
  • Select custom jobs from Quick Pick and Job Wizard menus
    If you create custom jobs with your WinZip Job Wizard, you can now select them quickly and easily within WinZip from the Jobs menu, or outside of WinZip from the WinZip Quick Pick taskbar tray icon.

Basic Image Navigation Support

Both Standard and Pro include features that make it easier to organize your digital image files. With WinZip 11.0, you can:

  • View thumbnails within WinZip without launching separate application
    If you have any images in a Zip file, you can now browse through them viewing the thumbnails without first extracting the images from the Zip file. This makes it a lot easier and quicker to work with images in Zip files.
  • View full-size images with WinZip's new image viewer - PRO ONLY
    If you need a closer look, sometimes a thumbnail just won't do. Now you can view images without manually extracting the image from the Zip file.

Other Changes in WinZip 11.0

Additional changes in WinZip 11.0 include:

  • Zip and E-Mail directly from WinZip's File menu
    If you need to email your Zip file, WinZip 11.0 makes it easier with the new Send To option available directly from WinZip's File menu.
  • Send To FTP or CD/DVD - PRO ONLY
    With WinZip 11.0 Pro, you can extend the benefit of our new "Send To" feature with the ability to send to a remote FTP server and/or burn directly to CD/DVD.
  • Extended time stamps
    WinZip 11.0 now uses NTFS time stamps (vs. DOS time). This allows for greater time stamp granularity/accuracy, and the use of Greenwich Mean Time (GMT) helps assure clarity when sharing Zip files outside of your local time zone. This is particularly useful with Zip data backups.
  • Definable alternative extensions
    In an effort to improve network security, many administrators block various file extensions. If your administrator has a blanket policy to block .zip extensions, but you want to be able to exchange Zip files with a reliable source, you can now agree on a fictitious alternate extension such as ".abc" and automatically associate WinZip with that extension. This will increase the likelihood that you will be able to send and receive Zip files, and WinZip will open them just as it opens any .zip file.

A list of features introduced in earlier versions of WinZip is available from the WinZip web site.


Overview

Have you ever used the Internet, America Online, or another online service? If so, you've probably encountered Zip files. Are you a Windows user? If so, WinZip® is the way to handle these archived files.

WinZip brings the convenience of Windows to the use of Zip files and other compression formats.

WinZip features include:

  • Seamless Windows integration: WinZip includes tight integration with My Computer and Windows Explorer. Drag and drop to or from Explorer, or zip and unzip without leaving Explorer.
  • Internet support: WinZip features built-in support for the popular Internet file formats RAR, BZ2, BZ, TBZ, TBZ2, TAR, gzip, UUencode, XXencode, BinHex, and MIME. In addition, ARJ, LZH, and ARC files are supported via external programs. You can use WinZip to access almost all the compressed and encoded files you download from the Internet.
  • Automatic installation of most software distributed in Zip files: If a Zip file contains a "setup" or "install" program, WinZip's Install feature will unzip the files, run the installation program, and clean up temporary files.
  • The WinZip Wizard: This optional feature uses the standard and familiar "wizard" interface to simplify the process of zipping, unzipping, and installing software distributed in Zip files. The WinZip Wizard is ideal for the rapidly growing number of PC users who are getting started with Zip files and for those who use Zip files only infrequently. When these users gain confidence or want to use more advanced zipping features, the full WinZip Classic interface is just a click away.
  • Favorite Zip Folders: WinZip lets you organize Zip files into one convenient list that is sorted by date, making it easier to locate all Zip files, regardless of where they came from or where they are stored. Unlike the standard Open Archive dialog box, the Favorite Zip Folders dialog box treats the contents of multiple folders as though they were one folder. A Search facility will find any Zip files lost on your hard disk.
  • Large file support: WinZip supports the 64-bit Zip file format, which eliminates all practical restrictions on the size of Zip files and on the number and size of compressed files within a Zip file. Zip file capacity is limited only by your system's resources.
  • Advanced encryption: WinZip's advanced 128- and 256-bit AES encryption helps you prevent unauthorized disclosure of the contents of your sensitive documents.
  • Create files that unzip themselves: WinZip Self-Extractor Personal Edition is included with WinZip. Self-extracting files are ideal for sending compressed files to others who may not own or know how to use file compression software.
  • Zip and E-Mail: WinZip lets you zip files or folders and e-mail them with just a few clicks from Windows Explorer or My Computer.
  • Explorer Style View: WinZip can be configured to display your Zip file in the familair Window Explorer Style. This is especially useful for Zip files that include folder information.

WinZip is extremely easy to use! To open an archive simply double click on an archive listed in My Computer or Windows Explorer, drag and drop an archive onto WinZip, or use the standard Open dialog box. The main WinZip window features a list with the names, sizes, and date/time stamps of all files in the open archive. This list can be scrolled and sorted on any field. A configurable tool bar provides fast access to commonly used actions. Extensive context sensitive help is always available.

Double clicking on a file in the main WinZip window has the same effect as double clicking in My Computer or Windows Explorer. First, the file is extracted from the archive. Then, if the file is executable, it is run. Otherwise, the file is opened by the appropriate application (for example, WordPad for *.WRI files) based on standard Windows associations.

The Windows Drag and Drop interface is fully supported. You can drag and drop files from WinZip to other applications. WinZip will extract the files before dropping them on the target application. The target application will treat the files as if they had been dropped from My Computer or Windows Explorer. You can also drop archives on WinZip to open them, or drop files on WinZip to add them to the open archive.


WinZip Feature Comparison

The chart below highlights some of the main features of WinZip® and will help you choose which version of WinZip is right for you.

Key Features | Standard | Pro
New Display Thumbnails in WinZip's Explorer Style View | WinZip's Got It | WinZip's Got It
New View Compressed Images Directly From Your Zip File |  | WinZip's Got It
New Burn Existing Zip Files to CD or DVD |  | WinZip's Got It
New FTP Upload Existing Zip Files |  | WinZip's Got It
Predefined Data Backup Jobs |  | WinZip's Got It
Ability to Create Custom, Automated Zipping Tasks (WinZip Jobs) |  | WinZip's Got It
Scheduling Capabilities for Running WinZip Jobs |  | WinZip's Got It
FTP Upload Functionality for WinZip Jobs |  | WinZip's Got It
New Email Zip File and Logs on WinZip Job Completion |  | WinZip's Got It
New Run WinZip Jobs From a History List of Recent Jobs |  | WinZip's Got It
Zip and Burn Directly to CD and DVD |  | WinZip's Got It
Command Line Support (Separate Download) |  | WinZip's Got It
New Best Compression Chooses Compression Method Based on File Type | WinZip's Got It | WinZip's Got It
New Improved Compression (WAV) | WinZip's Got It | WinZip's Got It
New Extract from .BZ2 and .RAR files | WinZip's Got It | WinZip's Got It
Attachment Management support | WinZip's Got It | WinZip's Got It
Quick File Selection | WinZip's Got It | WinZip's Got It
Automatic Update Checking | WinZip's Got It | WinZip's Got It
Flexible Interface; Wizard and Classic | WinZip's Got It | WinZip's Got It
Tight Integration with Windows | WinZip's Got It | WinZip's Got It
Large Zip File Support | WinZip's Got It | WinZip's Got It
128- and 256-Bit AES Encryption | WinZip's Got It | WinZip's Got It
E-mail Support (including one-click Zip & E-mail) | WinZip's Got It | WinZip's Got It
Split Zip File Capability | WinZip's Got It | WinZip's Got It
Create Self-Extracting Archives | WinZip's Got It | WinZip's Got It


System Requirements

WinZip® requires Windows 2000 or Windows XP.

No other programs are required to add or extract files from Zip files. However, some optional WinZip operations do require external programs or files:

  • Optional support for some older formats (ARC, ARJ, and LHA) requires one of the supported programs listed below. For step-by-step instructions on installing these programs see the section titled Installing Optional External Programs.

Here are more details on some of the optional programs:

  • You can create self-extracting Zip files with WinZip Self-Extractor Personal Edition, included with WinZip, or you can use the full WinZip Self-Extractor, a companion product, which includes features tailored for software distribution and the ability to create a single self-extracting Zip file that can be run under Windows.
  • To access LZH files, the LHA.EXE program is required. For the latest information on obtaining LHA.EXE, visit the WinZip web site. WinZip will not work with versions earlier than LHA 2.13 (in particular, it will not function with LHARC, the predecessor to LHA).
  • To access ARJ files, the ARJ program from Robert Jung is required. You can download the shareware version of ARJ from the Internet and the major online services. For the latest version supported by WinZip, visit the WinZip web site. WinZip will not work with versions earlier than ARJ 2.5 (in particular, it will not function with ARJ32).
  • To access ARC files, one of the following programs is required:
  • ARCE.COM and ARC-E.COM version 4.0e - Vern Buerg's ARC extraction utility, available from the Internet and the major online services. WinZip was not tested with earlier versions.
  • PKXARC.COM version 3.5 from PKWARE, Inc. WinZip was not tested with earlier versions. This program may still be available from some Internet locations.
  • PKXARC.EXE version 3.6 from PKWARE, Inc. This program may still be available from some Internet locations.
  • PKUNPAK.EXE version 3.61 from PKWARE, Inc. This program may still be available from some Internet locations.
  • ARC.EXE version 5.20 or 6.0 from System Enhancement Associates, Inc. This is the last version of ARC available as shareware, and may still be available from some Internet locations. WinZip was not tested with earlier versions.

Some toolbar configuration options require version 4.71 or later of the Windows Common Control library (comctl32.dll) and the Folder View address toolbar requires version 5.80 or later. This library is part of Windows 2000, Windows XP, and Microsoft Internet Explorer 4.0 or greater, and is available as a separate download from the Microsoft web site as described in the section Windows Common Control Library.


WinZip Installation (Network)

If you are interested in information on installing WinZip® multi-user licenses in a networked environment, please see the WinZip web site.


WinZip Uninstallation

There are two ways to uninstall WinZip® should you wish to do so.

Control Panel

Activate the Control Panel, double click Add/Remove Programs, click the WinZip entry in the list of programs, and click Change/Remove.

Run Dialog

You can also uninstall WinZip by running WINZIP32.EXE and specifying the /uninstall parameter. To do this, click the Start button, choose Run, type

winzip32 /uninstall

and click OK.

Technical details

The "Uninstall WinZip" procedure performs the following steps:

  1. Verifies that it is safe to uninstall.
  2. Uninstalls any WinZip add-ons, such as the WinZip Command Line Support Add-On.
  3. Deletes files in WinZip folder if they were installed by this version of WinZip and if the file's date/time stamp matches WINZIP32.EXE. All .GID, .FTS, and .PIF files in the WinZip folder are deleted, regardless of their date/time stamp.
  4. Removes any WinZip file associations from WIN.INI.
  5. Removes [WinZip] entry from WIN.INI.
  6. Removes the WinZip icons, WinZip desktop shortcut, WinZip Start menu entries, and WinZip Quick Pick.
  7. Removes the WinZip entries from the registry.
Note: some files, including WINZIP32.EXE, may not be deleted until the next time the computer is restarted.


Installing Optional External Programs

WinZip® includes built-in support for the Zip, CAB, Microsoft Compress, gzip, TAR, UUencode, XXencode, BinHex, BZ2, RAR, and MIME formats, so no other programs are required for most WinZip operations. However, operations involving ARC, ARJ, and LZH files require external programs. These optional external programs are not distributed with WinZip. You must tell WinZip where to find these programs as described in the section titled Program Locations. The following sections provide step-by-step examples of how to install LHA and ARJ.

Remember: the use of these external programs is optional. If you are just getting started with WinZip you will probably want to skip this section and work without the external programs until you encounter a need for them (and are more familiar with WinZip).

These instructions assume you are comfortable working with My Computer or Windows Explorer, know how to use standard Windows features such as dialog boxes and menus, and have a little experience using WinZip. See Quick Start for introductory information and how to quickly become familiar with WinZip.

Note: The first step in installing an external program is to acquire the external program. See System Requirements for information on obtaining these programs.

Related Topics:

Installing LHA

Installing ARJ


Installing LHA

You should be aware that LHA.EXE is a legacy DOS application that has not been updated since the mid-1990's, and that security issues have been reported since then that can affect various versions of LHA.EXE.

Even though WinZip® is able to detect the invalid LZH files that trigger several known security issues affecting LHA, and will refuse to open these files, you should be sure that you know and trust the source of any LZH archives that you work with. Please see Security Hints and Tips for additional security information.

Here are step-by-step instructions for installing LHA, an optional external program required to work with LZH files.

  1. LHA is distributed as a self-extracting archive called LHA255E.EXE. For information on downloading LHA255E.EXE, visit the WinZip web site.
  2. Use My Computer or Windows Explorer to create the folder C:\LHA. You can use a different folder but then you will need to substitute that folder name in the following instructions.
  3. Use My Computer or Windows Explorer to copy LHA213.EXE from your download folder to the C:\LHA folder.
  4. Double click on LHA255E.EXE to run it. This will cause the files in LHA255E.EXE to "self-extract" into the C:\LHA folder. Then go back and delete C:\LHA\LHA255E.EXE, as it is not needed for day-to-day work with LHA and WinZip.
  5. Start WinZip. Open the Options menu and click Configuration, then click the Program Locations tab.
  6. In the LHA field of the Program Locations tab of the Configuration dialog box, type

    c:\lha\lha.exe

    and click the OK button.

That's all there is to installing LHA. You can now access .LZH files (created by LHA) the same way you access Zip files.


Installing ARJ

Here are step-by-step instructions for installing ARJ, an optional external program required to work with ARJ files.

  1. ARJ is distributed as a self-extracting archive named ARJn.EXE, where n is a version number. Note that WinZip only supports 16-bit versions of ARJ and does not support 32-bit versions of ARJ. The earliest version of ARJ supported by WinZip® is ARJ 2.50a (ARJ250A.EXE); for the current version of ARJ supported by WinZip, visit the WinZip web site. First download the file from your favorite online service.
  2. Use My Computer or Windows Explorer to create the folder C:\ARJ. You can use a different folder but then you will need to substitute that folder name in the following instructions.
  3. Use My Computer or Windows Explorer to copy the ARJ installation executable from your download folder to the C:\ARJ folder.
  4. Double click on the file to run it. This will cause the files to "self-extract" into the C:\ARJ folder. You can then delete the installation executable if you wish, as it is not needed for day-to-day work with ARJ and WinZip.
  5. Start WinZip. Open the Options menu and click Configuration, then click the Program Locations tab.
  6. In the ARJ field of the Program Locations tab of the Configuration dialog box, type

    c:\arj\arj.exe

    and click the OK button.

You can now access ARJ files the same way you access Zip files.

Note: like WinZip, ARJ is not free software. As with all shareware, if you use these programs you should register them with the appropriate vendor. See the license.doc file in your ARJ folder for details.

Note: ARJ 2.60 and later 16-bit versions do not provide long filename support under 32-bit versions of Windows.


Quick Start Information

There are several ways to get to know WinZip® quickly and easily; each tailored to a different style of learning. Choose one or more of the following approaches

  • If you haven't installed WinZip yet, see WinZip Installation for brief installation instructions.
  • Take a look at the Quick Start Guide, which introduces file compression terminology, describes the installation process, and takes a first look at basic WinZip operations. (If you haven't installed WinZip yet, you'll have an opportunity during installation to print a nicely formatted version of the Guide.)
  • Some users just like to dive right in! If you have experience with archives and Windows, you might want to do just that. Context-sensitive help is available at any time by pressing the F1 key.
  • You can get an overview of the primary operations of WinZip from the Brief Tutorial.
  • The WinZip Wizard leads you through the process of zipping or unzipping using a series of panels or pages in a special window, commonly known as a "wizard." This convenient alternative interface for WinZip can help to simplify zipping, unzipping and installing software.

Don't miss some of the other topics of interest that can help you get started:

  • See Using the Explorer Interface for specific examples of how WinZip integrates with the Windows shell.
  • Using Drag and Drop describes a useful WinZip feature. Be sure to give it a try!
  • The section on Hints and Tips lists many helpful ideas for using WinZip.


The WinZip Quick Start Guide

This Guide introduces some file compression terms, describes some of the initial steps in installing WinZip, and provides a first look at using some WinZip features. For additional information, see the tutorials that come with WinZip, the WinZip help file, and the WinZip web site.

What is an Archive or Zip File, Anyway?

Zip files are "archives" used for storing and distributing files, and can contain one or more files. Usually the files "archived" in a Zip are compressed to save space. Zip files are often used to:

  • Distribute files on the Internet: Only one Zip file transfer operation (download) is required to obtain all related files, and file transfer is quicker because the archived files are compressed.
  • Send a group of related files to an associate: When you distribute the collection of files as an archive, you benefit from the file grouping and compression as well.
  • Save disk space: If you have large files that are important but seldom used, such as large data files, simply compress these files into an archive and then unzip (or "extract") them only when needed.

What Does WinZip Do?

WinZip makes it easy for Windows users to work with archives. WinZip features an intuitive point-and-click drag-and-drop interface for viewing, running, extracting, adding, and deleting files in archives with a standard Windows interface, and also provides a Wizard interface that further simplifies the process of working with Zip files.

About WinZip's Setup Options

During the WinZip setup procedure you are asked to select either the WinZip Classic interface or the WinZip Wizard interface.

  • WinZip Classic: The powerful WinZip Classic interface is preferred if you have a general understanding of Windows and of Zip files. Most users will be quite comfortable with its Explorer-like interface once the basics of Zip files are understood.
  • WinZip Wizard: The WinZip Wizard guides you through some of the most common operations involving Zip files. If you are new to Windows or unfamiliar with Zip files, you may wish to start with the Wizard and switch later to the more powerful Classic interface.

In the following sections we will describe the Classic and Wizard interfaces. With either interface, the setup panels provide information about the options offered. Whichever setup option you choose, you can easily switch between the two interfaces at any time with a single click, and you can always change the default settings later.

Using WinZip Classic

Here is a brief introduction to some of the features of WinZip Classic.

Quick Unzipping with WinZip Classic

  1. In the WinZip window, click the Open toolbar button or choose Open Archive from the File menu. The Open Archive dialog will appear.
  2. In the Open Archive dialog, locate the archive you want to unzip, then click Open. The contents of the archive will be displayed in the WinZip window.
  3. To extract files from the archive, click the Extract toolbar button or choose Extract from the Actions menu. The Extract dialog will appear.
  4. In the box labeled Extract to, choose the folder where you want to place the extracted files and click Extract.
That's it--you have extracted the contents of the archive to the chosen folder. You can now work with the extracted files, select another activity within WinZip, or close the WinZip window.

Note: You can also extract files from an archive in the WinZip Classic window by dragging them to the desktop or to the desired folder in Windows Explorer.

Quick Zipping with WinZip Classic

  1. In the WinZip window, click the New toolbar button or choose New Archive from the File menu. The New Archive dialog will appear.
  2. In the New Archive dialog, specify the location where you want to create the archive and type the name you want to use for your new archive, then click OK. The Add dialog will appear.
  3. In the Add dialog, select the files that you want to add to your new archive and click Add.
That's it--you have created a new archive. You can now examine the contents of your new archive, select another activity within WinZip, or close the WinZip window.

Note: You can also add files to an archive by dragging the files from My Computer or Windows Explorer and dropping them on the WinZip window.

WinZip Classic Tips

  • You can view the contents of most documents in an archive (such as Microsoft Word documents and Excel spreadsheets) by just double-clicking them in the WinZip Classic window.
  • You can extract files from an archive in the WinZip Classic window by dragging them to the desired folder in Windows Explorer or to the desktop.
  • Using WinZip Classic's Help menu, you can:
    • work with the built-in Brief Tutorial to get acquainted with more of WinZip's features
    • view collections of Hints and Tips
    • find answers to Frequently Asked Questions

Installing the WinZip Wizard

If you decide during installation that you want to use the WinZip Wizard, WinZip will need to perform a brief setup procedure that will help it find the Zip files on your computer. This simple procedure will only need to be performed once.

  1. In the WinZip Setup panel, click Start with the WinZip Wizard and then click Next.
  2. In the Search for Favorite Zip Folders panel, we recommend that you choose Search Entire Hard Disk so the Wizard can search your system for Zip files. You will see the search progress, and then a panel that indicates how many folders were added to your Favorite Zip Folders. Click Next.
  3. The Wizard will open an Explorer window displaying the WinZip program group icons. Click Next to continue, and the Wizard Welcome panel will appear.
  4. In the Wizard Welcome panel, click Next again, and the Select Activity panel will appear.
That's it--you have installed WinZip, and you're ready to begin using the WinZip Wizard. The sections below describe using the Wizard for unzipping and zipping files.

Using the WinZip Wizard

If you have just installed WinZip and chosen the WinZip Wizard interface, you should see the Select Activity panel on the screen.

If you have previously installed WinZip, you can start a WinZip session using the Start menu, the WinZip icon on your desktop, or the WinZip item in the Programs menu. Click Next in the welcome panel to reach the Select Activity panel.

Here is a brief introduction to the features of the WinZip Wizard.

Quick Unzipping with the WinZip Wizard

  1. In the Select Activity panel, choose Unzip or install from an existing Zip file and click Next.
  2. In the Select Zip File panel, click on the Zip file you want to work with and click Next. The Unzip panel will appear.
  3. In the Unzip panel, click Unzip Now to unzip (extract) the files in the archive. The WinZip Wizard will open a Windows Explorer window showing the unzipped files.
That's it--you've just unzipped a Zip file using the WinZip Wizard. You can now work with the unzipped files, or click Next to select another activity within WinZip, or close the WinZip Wizard window.

Quick Zipping with the WinZip Wizard

  1. In the Select Activity panel, choose Create a new Zip file and click Next.
  2. In the Choose Zip Name panel, type the name you want to use for your new Zip file and click Next. For example, if you are creating a Zip file that will contain some files related to yearly reports, you might type "1999 reports" as the name for your Zip file.
  3. In the Select Files panel, click Add files to choose the files you want to add to the Zip file. Select the files you want to add and click OK.
  4. Click Zip Now to create the new Zip file.
That's it--you've just created a Zip file using the WinZip Wizard. You can now click the WinZip Classic button if you would like to examine the contents of your new archive, or click Next to select another activity within WinZip, or close the WinZip Wizard window.

WinZip Classic and Wizard: Switching Interfaces

You can easily switch between the WinZip Classic and WinZip Wizard interfaces with a single mouse click. Here's how:

  • In WinZip Classic: to switch to the WinZip Wizard interface, click the Wizard button at the right end of the toolbar.
  • In WinZip Wizard: to switch to the WinZip Classic interface, click the WinZip Classic button at the lower left.

Zip and Unzip Files without Leaving Windows Explorer

Using WinZip's Explorer interface, you can access most of WinZip's functionality directly from My Computer, Windows Explorer, or the desktop. Here is how to zip and unzip files directly from Explorer; be sure to see the WinZip help for more things you can do, including Zip and E-Mail.

To create an archive: select the file(s) you want to compress in Windows Explorer, right click, choose WinZip, and then click Add to Zip file from the submenu menu that appears.

To extract files from an archive: select the archive in Windows Explorer, and either:

  • right click and choose Extract to... from the WinZip menu, or
  • right click and drag the archive onto the folder where you want it extracted, and then choose an extract option from the WinZip menu.

Contacting Technical Support

The best way to ask questions or report problems is to use the support form available from the "Support" link on the WinZip home page. We try to respond to all inquiries within one business day.


About Zip Files and Other Archives

What is an Archive?

Archives are files that contain other files. Typically the files in an archive are compressed. Archives usually have file names ending with ZIP, LZH, ARJ, or ARC, depending on how they were created. Archives make it easy to group files and make transporting and copying these files faster.

Typical Uses for Archives:

  • Most files available on the Internet and on electronic services like America Online are distributed as archives. Two benefits of using archives for electronic file distribution are that only one file transfer operation ("download") is required to obtain all related files, and file transfer time is minimized because the files in an archive are compressed.
  • It is often useful to send a group of related files to an associate. Rather than distributing individual files it is often easier to distribute the files as an archive to benefit from the file grouping and compression.
  • Some files are important but not used often. To save disk space simply compress these files into an archive when they are not used, and decompress them only when needed.

What is a Self-Extracting Zip File?

A self-extracting Zip file is an executable program file (.EXE file) that includes both a Zip file and software to extract or "unzip" the contents of the Zip file. Users can extract the contents of a self-extracting Zip file by simply running it. This is convenient, because the end user does not need an unzip program (like WinZip®) to extract files from these self-extracting archives.

WinZip Self-Extractor Personal Edition, included with WinZip, creates Windows self-extracting Zip files.

Archive formats:

  • Zip files are the most common archive format. Zip files can span multiple disks, and provide both compression and file grouping. WinZip does not use external programs to work with Zip files.
  • TAR, Z, GZ, TAZ, and TGZ files are often found on Unix-based Internet sites. TAR stands for "Tape ARchive". The TAR format does not provide compression; it is used only to group files. GZ and Z files are gzip files. GZ and Z files cannot contain multiple files. TAZ and TGZ files are TAR files compressed in the gzip format. Since almost all new archives are created in Zip format, WinZip does not provide facilities to add to or create files in these formats (however, all other WinZip functions are supported). WinZip does not use external programs when working with files in these formats.
  • File formats such as UUencoded, XXencoded, BinHex, and MIME are used primarily to transfer binary files by Internet e-mail. If you encounter one of these files, you can open it and extract its contents with WinZip. You can UUencode an archive using the UUencode entry in the WinZip Actions pull-down menu. WinZip does not use external programs when working with files in these formats.
  • WinZip also handles most files in the old Microsoft Compress format (also known as LZEXPAND format). However, there are several variations on this format, and Microsoft has not released documentation on these variations. WinZip issues an appropriate message if you attempt to decompress a file not supported by your version of Windows. Microsoft Compress files usually end with a trailing underscore, for example, "commdlg.dl_". Like Z and GZ files, Microsoft Compress format files contain only one file. This format is used for many files on the Windows 3.1 distribution disks and many older Microsoft products. Note that not all files ending with an underscore are Microsoft Compress format files. WinZip does not use external programs when working with files in these formats.
  • The Microsoft CAB (short for Cabinet) format is used by most Microsoft setup programs, including those used to install Windows. CAB files provide both file compression and file grouping. You can use WinZip to open and extract the contents of CAB files. WinZip will handle most self-extracting CAB files. WinZip does not use external programs when working with CAB files.
  • ARC, ARJ, and LZH are older formats that provide both grouping and compression, like Zip files. Unlike other supported file formats, WinZip's optional support for these formats requires external programs that are not included as part of the WinZip distribution package (see the section titled System Requirements for details).
  • The bzip2 format is frequently used in UNIX and Linux operating systems. bzip2 files are compressed files not archive files meaning that bzip2 only provides compression not file grouping, encryption, or splitting. WinZip does not use external programs when working with files in this format.
  • RAR is a compression and archiving format. The compression technology is proprietary however the decompression technology is not. WinZip does not use external programs when working with files in this format.


Brief Tutorial - Contents

Click on each tutorial topic, in sequence, to learn all about WinZip®:

1. Introducing WinZip | 2. The WinZip Window | 3. Opening Archives
4. Viewing Files | 5. Extracting Files | 6. Creating New Archives
7. Adding Files | 8. Deleting Files | 9. Custom Configurations
10. Additional Features |  |

This brief overview tutorial introduces you to each of the main WinZip concepts and features to get you working productively as quickly as possible.

You will get the most benefit from these lessons if you change the size of this Help window to leave enough room on the screen to have WinZip opened at the same time. As each screen describes an operation, you may want to try certain things with WinZip to gain an even better understanding. You can move through the tutorial as quickly or as slowly as you like. If you ever have any questions when you are using WinZip, remember that context-sensitive help is available by pressing the F1 key.

As you explore this tutorial, you will find highlighted text that will take you to additional information about a particular topic. If you elect to take the detour, you can click on the Back button at the top of this window to return to where you left off in the Brief Tutorial.

Important: WinZip offers many convenient ways to work with archives. This tutorial approaches the topic using the main WinZip window as its base of operations. This is not the only way to access WinZip's convenient features. For example, you can use WinZip to zip and unzip files without leaving My Computer or Windows Explorer. Once you are comfortable with the basic operations described in this tutorial, be sure to read Using the Explorer Interface, Using Drag and Drop and Hints and Tips.

Next>


Downloading and Processing Files with WinZip

WinZip® has special features that make it simple and convenient to download and process compressed files from the Internet and online services like America Online.

Click to choose the method about which you would like to learn more:

Downloading From The Internet

Downloading From America Online and Other Online Services


Wizard Interface

The WinZip® Wizard is an optional interface that provides a familiar "wizard" interface for the process of zipping, unzipping, and installing software distributed in Zip files. The WinZip Wizard is not targeted at experienced users, but is ideal for users who are just getting started with Zip files or only need basic Zip file services.

The WinZip Wizard is documented separately.


UUencoded, XXencoded, BinHex, and MIME files

WinZip® can open and extract UUencoded, XXencoded, BinHex, and MIME files (base64, plain/text, and quoted-printable), and can UUencode files. This section explains the need for these features and abilities, includes instructions for using them, and shows how they can bring a whole new dimension to your e-mail operations.

Use the <Back and Next> links or the index below to page through this tutorial and learn about using these important and useful WinZip features.

These instructions assume that you understand basic Windows and WinZip operations, and the basic use of your e-mail program.

UUencoded, XXencoded, BinHex, and MIME files

Sending Files using Internet Mail

The Why behind UUencoding and Other Schemes

Receiving and Preparing Files for Decoding

Decoding Files using WinZip

UUencoding a File using WinZip

Mailing a UUencoded File

Hints, Tips, & Troubleshooting

<Back Next>


Using WinZip: Introduction

If you've used WinZip® for a while, or if you've looked at any of the overview or Quick Start information, you know that there are three basic ways to use WinZip.

  • You can use the WinZip Wizard. This is ideal if you just want to do quick zipping and unzipping and you don't want to worry about the details of archives. (The WinZip Wizard is documented separately.)
  • You can use WinZip in Classic mode, that is, you can open WinZip and use its menus and toolbars to perform all of your archive operations. This mode gives you complete access to all WinZip functionality.
  • You can use WinZip's Windows integration features, which include drag and drop features and WinZip's Windows Explorer interface. These features allow you to perform most of the commonly needed archive operations right from your desktop, Windows Explorer, or My Computer; in most cases, you don't need to open WinZip at all.

Which technique you use depends on your preferences and your archiving needs. You may use more than one. A little experimentation should find what's right for you.

This section of the WinZip documentation describes the entire WinZip menu system and WinZip's Windows integration features.

Section contents

Using the WinZip Menus

Using the Explorer Interface

Using Drag and Drop

WinZip Self Extractor Personal Edition


Menu Tree

File Menu | Working with whole archives
New Archive | Open a new archive
Open Archive | Open an existing archive
Favorite Zip Folders | Open the Favorite Zip Folders dialog
New Zip file on CD or DVD | Create a new Zip file on a CD or DVD drive (WinZip Pro and Windows XP only; see here if this entry does not appear in your menu)
Close Archive | Close the open archive
Manage Archive | Move, copy, rename, or delete the open archive
Send To | E-mail, upload, or burn the open archive
Print | Print a listing of the open archive's displayed contents
Properties | Display the open archive's properties
Create Shortcut | Add a shortcut to the open archive to the desktop
Wizard | Switch to the WinZip Wizard interface
Recent (History) | Re-opens recently used archives
Exit | Close WinZip
Actions Menu | Performing tasks with the open archive
Add | Add files to the open archive
Delete | Delete files from the open archive
Extract | Extract files from the open archive
View | View files in the open archive
New Folder | Create a new folder in the Explorer style open archive
Select All | Select all displayed files in the open archive
Invert Selection | Reverse selected and unselected file status in the open archive
Select Files | Sort file selection to top of list
Make .Exe File | Create a self-extracting archive
UUencode | UUencode the open archive
Split | Split a Zip file into multiple parts of a specified size
Encrypt | Encrypt all files in a Zip file
Test | Test integrity of the open archive
CheckOut | Examine and/or run programs in the open archive
Install | Install the software contained in the open archive
View Menu | Configure the Classic Window view; Add, edit or create Zip file comments, and view Last Output
All Files (WinZip Style) | View files in the Classic WinZip style (flat view)
Files by Folder (Explorer Style) | Zip file contents are displayed presented in a folder structure (single pane)
Folders | Zip file contents are displayed in a tree structure (two panes)
Thumbnails | Images in the Zip file are displayed as thumbnail images
Tiles | Zip file contents are displayed in a tiled view (Windows XP systems only)
Icons | Zip file contents are displayed as icons
Large Icons | Zip file contents are displayed as large icons (non-Windows XP systems only)
Small Icons | Zip file contents are displayed as small icons (non-Windows XP systems only)
List | Zip file contents are displayed in a list
Details | Zip file contents are displayed in a list with file details
Sort | Specify sort order for list of files in archive
Up one level | Navigate back one folder level
Comment | View, add, edit, or delete a Zip file comment
Last Output | View output from the last command issued by WinZip
Jobs Menu | Create, Edit, and Run WinZip Jobs
Create | Create a new WinZip job
Edit | Edit an existing WinZip job
Run | Start a WinZip job
Recent (History) | Re-run recently run WinZip jobs
Zip My Documents | Zip all items in the My Documents folder for the current user
Zip My Desktop | Zip all items on the Desktop for the current user
Zip My Windows Favorites | Zip all items in the Favorites folder for the current user
Zip My E-mail | Zip the Outlook or Outlook Express mailbox of the current user
Zip My Documents, Desktop, Favorites, and E-mail | Zip all items in My Documents, Desktop, Favorites, and E-mail (Outlook and Outlook Express) for the current user
Options Menu | Configuring WinZip
Configuration | Change WinZip settings
Reuse WinZip Windows | Don't open new windows when WinZip is started
Save Settings on Exit | Control whether options are saved when WinZip is closed
Save Settings Now | Save configuration settings immediately
Set Installation Defaults | Set many options to original installation defaults
Help Menu | Getting help and information
Help Contents and Index | Start Help and display the WinZip help file contents and index
Brief Tutorial | Display brief WinZip tutorial
Frequently Asked Questions | Open this Help File to that topic
Hints and Tips | Display hints and tips
Tip of the Day | Open the Tip of the Day window
Enter Registration Code | Access the dialog for entering registration information
License Agreement | Display license agreement
Ordering Information | Display order form
Check for Update | Go to the WinZip web site and check for a newer version
WinZip Home Page | Start your default browser and visit the WinZip web site
About WinZip | Display copyright notice and version information


The File Menu

Use the File menu for actions that affect entire archives or WinZip® itself. The menu contains the following entries:

  • New Archive creates new archives.
  • Open Archive opens existing archives.
  • Favorite Zip Folders displays a list of Zip files in your favorite Zip folders.
  • New Zip file on CD or DVD creates a new Zip file on a CD or DVD (Pro version and Windows XP only).
  • Close Archive closes the currently open archive. This menu entry is included primarily for completeness, since the New and Open menu entries automatically close the open archive, as does closing WinZip.
  • The Manage Archive submenu allows you to move, copy, rename, and delete the currently open archive.
  • Send To allows you to e-mail the open archive, upload it to an FTP site (Pro version only), or burn it to a CD or DVD (Pro version and Windows XP only).
  • Print prints a listing of the files in the archive that are currently displayed.
  • Properties displays a dialog box showing the properties of the currently open archive.
  • Create Shortcut creates a shortcut to the open archive on your desktop.
  • Wizard activates the WinZip Wizard. (The WinZip Wizard is documented separately.)
  • Recently opened archives can be re-opened directly from the Recent (History) submenu.
  • Exit closes WinZip.

Note that the File menu does not contain the common Save or Save As menu entries. Save is not necessary because WinZip automatically saves changes to your archives as you make them. Copy (in the Manage Archive submenu) performs a similar action to Save As: it creates a copy of your archive using a name that you specify. However, the original archive will remain open.


Creating a New Archive

To create a new archive, click New Archive from the WinZip® File pull-down menu. This activates the New Archive dialog box. Type the name of the archive you want to create. Do not enter the names of the files you want to compress. This dialog box works almost like the standard Windows Open dialog box. You can use the Save in combo box to choose the drive and folder where the archive will be created. For example, to create an archive on your floppy drive, select "3½ Floppy" in the Save in combo box. The names of any existing archives on the selected drive and folder will be listed to help you choose a name that is not already in use.

To list self-extracting archives in the New and Open dialog boxes, choose the "Archives and .exe files" entry in the Files of type combo box. Note: When self-extracting archives are listed in the open dialog box, all EXE files in the selected folder will be listed, even if they are not self-extracting archives. WinZip is not able to check whether a file is a self-extracting archive until it is opened.

See File Type Filters for details on the File Type filters in the Files of type combo box.


Opening an Existing Archive

To open an existing archive, select Open Archive from the WinZip® File pull-down menu. This activates the standard Open Archive dialog box. Then select the archive you want to open in the Open dialog box. Opening an archive is just like opening a document in Write or a spreadsheet in Excel; the only difference is that you open an archive instead of a document or spreadsheet. Use the combo box at the top to select the appropriate folder and click on the archive in the list below. Press the Open button when you have made your selection.

You can also click the Favorites button to see a list of files in your Favorite Zip Folders. To open an archive from this list, just double click its name.

To list self-extracting archives in the New and Open dialog boxes, select the "Archives and .exe files" entry in the Files of type combo box. Note: when self-extracting archives are listed in the open dialog box, all EXE files in the selected folder will be listed, even if they are not self-extracting archives. WinZip is not able to check whether a file is a self-extracting archive until it is opened.

See the section File Type Filters for details on the File Type filters in the Files of type combo box.


Favorite Zip Folders

About Favorite Zip Folders

The "Favorite Zip Folders" feature organizes Zip files into one convenient list that is sorted by date, making it easier to locate all Zip files, regardless of where they came from or where they are stored. Unlike the standard Open Archive dialog box, the Favorite Zip Folders dialog box treats the contents of multiple folders as though they were one folder.

Using the Favorite Zip Folders Dialog Box

Click the Favorites button on the toolbar or select Favorite Zip Folders from the File pull-down menu to activate this facility. When you open the Favorite Zip Files dialog box, all Zip files in your Favorite Zip Folders are listed by date, with the most recently modified files listed first.

The first time you activate the Favorite Zip Folders dialog box, it will automatically search your computer for folders containing or likely to contain Zip files. You can easily add and remove folders from your list of "Favorite Zip Folders" using the Options button.

To open a Zip file, select it and click Open, or simply double click on the Zip file.

Click Search to search for Zip files in other folders. The results of your search will temporarily replace the list of files in the Favorite Zip Folders dialog box.

To add folders to your Favorite Zip Folders

To add a folder to the list of Favorite Zip Folders, click the Options button in the Favorite Zip Folders dialog and then click Add a folder to list. In the resulting folder-browsing dialog, select the desired folder and click OK.

Here's another way to add folders to the list: click the Search button in the Favorite Zip Folders dialog box, select the type of search you want, and click OK. When the search completes, the list of files in the Favorite Zip Folders dialog is temporarily replaced by the search results; select a Zip file and click Open, or double click the Zip file. If the Zip file resides in a folder that is not currently in your Favorite Zip Folder list, then by default, WinZip® will ask if you would like to add the folder to your Favorite Zip Folders.

WinZip can be configured to handle the folder in one of three ways: it can automatically add the folder to your Favorite Zip Folders, it can ask if you want to add the folder to the Favorite Zip Folders (as described above), or it can skip adding the folder to the Favorite Zip Folders. You can change this section by clicking Options in the Favorite Zip Folders dialog and then clicking the Other Zip Folders tab.

This setting should be chosen prior to running a search and only applies when opening a Zip file from search results. In particular, note that setting the option to "Add the folder to Favorite Zip Folders automatically" does not automatically add the folder of every Zip file you open to your Favorite Zip Folders.


Archive Management

The Move, Copy, Rename, and Delete entries in the Manage Archive submenu of the File menu facilitate archive management.

Move moves the open archive to another folder or disk. The Move dialog box is displayed so you can choose the destination for the move operation.

Copy copies the open archive to another folder or disk. The Copy dialog box is displayed so you can choose the destination for the copy operation.

Rename gives you an opportunity to change the file name of the open archive. The Rename dialog box lets you change the open archive's file name but not the filename extension (file type). Simply type the new file name and press the OK button.

Delete deletes the open archive. A confirmation dialog is displayed to avoid accidental deletion. If you choose to continue the archive is closed and deleted.


Using WinZip to E-Mail Archives

WinZip® includes three features that make it easy to e-mail compressed files to others via the Internet:

  • The Zip and E-Mail feature provides "one click" compression and mailing of files and folders from My Computer or Windows Explorer. It quickly compresses selected files and folders into a temporary Zip file, creates an e-mail message, and attaches the Zip file to the message. You can then address the message, add any desired text, and send the e-mail as you usually would. WinZip automatically deletes the temporary Zip file when it is no longer needed.
  • To use the feature, simply select the desired files or folders in My Computer or Windows Explorer, click the right mouse button, and choose Zip and E-Mail filename.zip from the WinZip shortcut menu. The filename shows the name that WinZip will use for the Zip file it creates.
  • The Zip and E-Mail Plus feature is similar to Zip and E-Mail but allows you to specify the name of the Zip file and add encryption if desired. To use the feature, simply select the desired files or folders in My Computer or Windows Explorer, click the right mouse button, and choose Zip and E-Mail Plus from the WinZip shortcut menu.
  • Note that if you find that you are using either Zip and E-Mail or Zip and E-Mail Plus all the time, you can remove the one you don't use from the context menu using the Explorer Enhancements tab of WinZip's Configuration dialog.
  • You can e-mail the currently open archive by opening Send To from the File menu and choosing Mail Recipient. WinZip will create a new e-mail message and attach the open archive to it. You can then address the message, add any desired text, and send the e-mail as you usually would.

Like the Windows "Send To Mail Recipient" feature, these WinZip e-mail features use a protocol called Simple MAPI to "talk" to your e-mail program. MAPI, which is provided by your e-mail software and not by Windows itself, allows Windows and application programs to instruct your e-mail program to create new mail messages, add attachments, etc. WinZip's e-mail features require that you have a MAPI-compatible e-mail program installed and correctly configured (just as the Windows Send to Mail Recipient feature does).

Examples of MAPI-compatible e-mail programs are Outlook, Outlook Express, Eudora, and AOL 7.0 or later.

AOL versions 4.0 - 6.0 do not support Simple MAPI. Therefore, neither Windows' Send To Mail Recipient nor WinZip's e-mail features can be used with these AOL versions.

Compressing attachments from within your e-mail program

There is another technique you can use to compress attachments while composing messages in your e-mail program. This technique does not require that your e-mail program support the MAPI interface that WinZip uses for the above features; it works with most e-mail programs that use the standard Windows "Open File" dialog box to attach files. Here is the technique:

  1. In your e-mail program, open the dialog box you normally use to attach files to your e-mail messages.
  2. Using the standard Open File dialog box, locate the file or folder you wish to attach.
  3. Position the mouse pointer over the file or folder name in the dialog box, then click the right mouse button and choose Add to filename.zip from the shortcut menu (note: the filename shown in the menu entry will be the name of the file you selected). This will create a Zip file called "filename.zip".
  4. Still in the Open File dialog box, click once on filename.zip (the zip created in the previous step). This file will normally be at the end of the current directory listing.
  5. Click the appropriate button to attach the Zip file (this is typically labeled Open, Attach, or Insert).

Note: this technique has been tested with current versions of the most popular e-mail programs (such as Outlook and Eudora). We can't promise that it will work with all e-mail programs or with future versions of the programs we have tested.

Related topic

Why aren't WinZip's e-mail features working for me?


Using WinZip to Upload Archives (FTP)

WinZip® makes it easy to upload the currently open archive to an FTP site. Just open Send To from the File menu and click FTP Site. The following dialog will appear, allowing you to specify the FTP site address and other required information. When the information has been entered, simply click Send to upload your archive.

Site logon

If the FTP site requires a user name and password to log in, uncheck the box labeled Use anonymous logon and provide your user name and, optionally, your password. If the password is left blank, WinZip will ask you for it when it is needed.

Note: you should be aware of the security implications of specifying the password here and then saving these settings as defaults. See below for additional information.

Upload site

The Upload site section specifies the site and location to which the Zip file should be uploaded, as well as any special settings required:

  • FTP site is the name of the FTP site, such as "ftp.MyCompanySite.com". You do not need to include the "ftp://" prefix.
  • Upload folder specifies the name of the folder where the file should be placed. If left blank, the file will be stored in the root folder at the site. Once the logon settings have been entered, you can browse for a folder on the FTP site by clicking the folder [image] button.
  • FTP port, proxy setup, and passive FTP: in most cases, you can leave these settings alone. If your Zip file does not upload correctly, try checking Use passive FTP semantics. If it still does not upload correctly. check with your system administrator regarding these settings.

Options

  • Check Create the upload folder on the upload site if you want the folder you specified to be created on the FTP site if it does not already exist.
  • Check Overwrite existing files on the upload site if you want the uploaded Zip file to replace an existing file.
  • Check Save settings as defaults if you want WinZip to remember these settings for next time. The dialog will still appear when you click Send To...FTP Site, but it will be pre-filled with the values currently shown. The WinZip Job Wizard will also pre-fill its FTP configuration dialog with these settings when you initially set up FTP uploads for a WinZip job.

    Note: you should be aware of the security implicaitons of saving your FTP settings if you have specified an FTP password in the Password field. The FTP password will be stored on your computer and is only as secure as access to your computer. For best password security, we recommend that the password field be left blank if you check this box. WinZip will ask you for the password when it is needed.

If you want to test the FTP connection after you have specified the upload site and login parameters, click Test Connection. WinZip will attempt to open the FTP connection and will display a message indicating whether or not it was successful. WinZip will not attempt to upload any data to the site.


Sending an Archive to CD or DVD

WinZip makes it easy to save a copy of the open archive to a CD or DVD. Simply open Send To from the File menu and click CD or DVD. In the "Send To CD or DVD" dialog:
  • CD or DVD drive: if you have more than one CD/DVD burner installed on your computer, you can choose which drive to use.
  • Write Speed: choose Fastest, Medium, or Slowest as the speed you want WinZip to use when writing the Zip file to the CD or DVD drive.

    Fastest corresponds to the fastest speed supported by your CD or DVD drive for the media that you load into the drive. Similarly, Slowest will give you the slowest supported speed, and Medium a speed that lies somewhere between the two extremes.

    As long as it works reliably, you're usually best off selecting Fastest. However, if you experience failures at the fastest speed setting, you may have better luck choosing one of the slower speeds. When the drive spins at a slower rate of speed, the laser used to write data onto the CD has more time to burn each individual spot, and this can help to reduce or eliminate failures.

If Send to CD/DVD does not work

If you receive an error message from WinZip when attempting to send an archive to CD or DVD and you are using Windows XP, you may be running WinZip from a user account with limited rights. This situation can be corrected as follows:

  1. Log on to the computer using an adminstrator account, or have a system administrator log on.
  2. Open Windows security policies:
    1. Click Start, then Run.
    2. Type SECPOL.MSC and click OK.
  3. Open Security Options under Local Policies.
  4. Find the option labeled Restrict CD-ROM access to locally logged-on user only or Devices: Restrict CD-ROM access to locally logged-on user only. Double-click the option and change its setting to Enabled.

Limitations

  • Zip files written to CD or DVD are read-only and cannot be updated at a later date. Furthermore, due to restrictions imposed by the file system used on CDs and DVDs, the maximum length of the name of a Zip file to be written to CD or DVD is 107 characters. Currently, WinZip supports the following media: CD-R, CD-RW, DVD+R, DVD-R, DVD+RW, and DVD-RW.
  • WinZip will only create one Zip file on a single CD or a DVD. If you insert a rewritable CD with existing data on it, WinZip will ask you if you want to erase the existing data before proceeding to write the new Zip file. If you elect to proceed using the CD in question, you will not be able to get back any data that gets erased.

Related Topics

New Zip File on CD or DVD


Printing a List of the Files in an Archive

To print the list of files shown in the main WinZip® window, choose Print from the File pull-down menu. The columns shown in the WinZip window will be printed. The standard Print dialog box lets you choose which printer should be used, how many copies are printed, whether to print in landscape or portrait mode, etc.
Note: if you are using the Files by Folder (Explorer Style) view, when you select print, only those items that appear in the List View (right) pane will be printed. If you are looking to print the entire contents of your archive, use the All Files (WinZip Style) view.

You can also print a listing of the files in an archive from a My Computer or Windows Explorer window. Simply right click the archive and choose Print from the context menu.

Hint: you can change the content of the printed file listing by changing the columns that are shown in the WinZip window. To do this, cancel the print request, right click any column header and choose the columns you want, and click Print again.

How to Print a List of the Files in an Archive to a Text File on Disk

You can also use the Print item on the File pull-down menu to save the list of files in an archive in a text file on disk. However, you first may need to set up a "printer port" to do this.

To set up such a printer port, perform the following steps:

  1. From the Start menu, click Settings, then Printers.
  2. Double click Add Printer. The Add Printer Wizard will start. Click Next to advance to the next panel.
  3. Check the Local printer option button, and click Next. Windows may display a small window and progress meter while it builds a printer information database. If you see such a window, wait until the process completes.
  4. You should now see a panel with two lists: one of printer manufacturers and another of printers. Scroll down the list of Manufacturers until you see the item Generic, and then click this item. The Printers list should automatically change to have the entry "Generic/Text Only". Click Next.
  5. Windows then may need to load a driver from files already on your hard disk or from your Windows distribution CD-ROM or diskettes. Follow the instructions for doing so. If instead you see a panel that says "A driver is already installed for this printer ...", check the Keep existing driver option button, and click Next.
  6. In the next panel, select "File" from the Available ports window, and click Next.
  7. In the next panel, you can use the Windows-generated name for the printer, or you can enter a more descriptive name such as "Print to Disk File" in the Printer name field, and then click Next.
  8. In the next panel, check the option button labeled Yes in response to the question "Would you like to print a test page?", and then click Finish.
  9. Windows will prepare a test page, and then display a "Print To File" dialog. You can use this dialog to specify the file and folder into which the print output should go.
  10. After printing is complete, there should be a file containing the print output in the location you specified. Using a utility such as Notepad, check the output to make sure it looks all right. Windows will ask you if the test page printed correctly. Assuming it did so, click Yes.

From now on, when you print to your new "Print to Disk File" printer, the output will go to a plain text file on your disk, and you can then use a utility such as Notepad to view and edit the output.

In WinZip, to save an archive listing to a text file, select Print from WinZip's File menu. When the Print dialog appears, click the arrow on the Name drop-down list, select your "Print to Disk File" printer, and click OK. Windows will ask for a file name for your text file and then WinZip will direct the listing to the text file.

Windows tip: you can use your new Print to Disk File printer to send print output to disk from almost any Windows application, as long as the application allows you to select a printer when you produce print output. Just select your "Print to Disk File" printer as the destination for the output.


Viewing Archive Properties

The Properties menu entry in the WinZip® File menu displays a dialog with the path, file's name, actual archive size (in bytes), number of files in the archive, average compression ratio, and the date and time that the archive was last updated. For Windows XP only, the Zip file's security zone is also shown.

The Details button displays extensive internal information about the archive and the files contained within it.


The Actions Menu

Use the Actions menu for commands that affect the currently open archive or selected files within the archive. The menu contains the following entries:

  • Add adds new files to the archive or updates files that are already in the archive.
  • Delete removes files from the archive.
  • Extract uncompresses files in the archive and saves the uncompressed files to disk.
  • View allows you to look at the contents of files in the archive.
  • New Folder adds a new folder to the Zip file.
  • Select All selects all of the files in the archive.
  • Invert Selection selects all files that are currently unselected and deselects all files that are currently selected.
  • Select Files selects and sorts the files in the current folder based on user's file specification.
  • Make .Exe File converts the archive into a self-extracting archive.
  • UUEncode encodes the archive so that it can be sent via mail systems that do not support binary e-mail.
  • Split splits the archive into multiple smaller parts of a size that you specify.
  • Encrypt
    • allows you to encrypt or re-encrypt all files in the Zip file. This action is available for Zip files only.
  • Test performs internal testing to make sure that the archive is not damaged.
  • CheckOut makes it easy for you to examine archive contents by extracting files to a temporary folder and setting up a Windows Explorer window to display the files.
  • Install helps you to install software from archives that contain SETUP or INSTALL programs.


Adding Files to an Archive

New users: for introductory information, please see the section Brief Tutorial - Adding Files to an Archive.

This section describes the Add dialog box. There are other ways to add files to an archive:

  • The drag and drop interface.
  • The Explorer interface.

The Add dialog box

To open the Add dialog box, click on the Add button on the toolbar or select the Add entry from the Actions pull-down menu to bring up the Add dialog box.

You can select the files you want to add in several ways:

  • Click on the desired files in the list near the top of the Add dialog box. You can select multiple files using normal Windows file selection conventions (for example, hold down the Shift key while clicking to select multiple files). Then press the Add button.
  • Type the name(s) of the files you want to add. If you specify multiple filenames, each filename must be enclosed in double quotes. Then press the Add button.
  • To add files with wildcards (for example, "*.doc" to add all files with an extension of .doc), type the filename with wildcards in the File name edit field, then press the Add with wildcards button. Standard wildcards are accepted.

See Add Dialog Box Options for a description of the options available in this dialog box.

Compatibility note

Beginning with version 9.0, WinZip® supports the 64-bit extensions to the Zip file format. The extended format lets you store all the data you need in Zip files of virtually unlimited size.

The original Zip file format limited the number of member files in a Zip file to 65,535, and the maximum size of both the Zip file itself and any member file to 4 gigabytes. For all practical purposes, the 64-bit extended format eliminates all these restrictions: member file size, Zip file size, and number of member files are limited only by your system's resources.

WinZip remains fully compatible with the original file format and uses the original format whenever possible. WinZip uses the 64-bit extended format only when the limits of the original format are exceeded.

You should be aware, however, that very large Zip files compressed with WinZip 9.0 or later are not compatible with earlier versions of WinZip and may not be compatible with other Zip file utilities.


Deleting Files from an Archive

There are two ways to delete files from an archive:

  • Select entries in the main WinZip® window, then choose Delete from the Actions menu. You can then delete the selected file, all files in the archive, or files specified by name (standard Windows wildcards are accepted, so you could use "*.doc" to delete all .doc files).
  • Select entries in the main WinZip window, right click any selected file, and click Delete from the shortcut menu. This displays the same Delete dialog described above.

Notes:

These operations cannot be undone.

To delete an entire archive, choose Delete from the Actions menu to bring up the Delete dialog. Then choose the All files/folders in archive option and click Delete. Alternatively, you can choose Delete from the Manage Archive submenu of the File menu.


Extracting files from an archive

New users: For introductory information, please see the section Brief Tutorial - Extracting Files.

This section describes the Extract dialog. There are other ways to extract files from an archive:

  • Using the drag and drop interface.
  • Directly from My Computer or Windows Explorer, as described in Using the Explorer Interface.
  • If a Zip file contains a "setup" or "install" program, you can use the Install Feature to automatically extract the files, run the installation program, and clean up temporary files.

The Extract dialog

Use the Extract button on the toolbar or select Extract from the Actions menu to display the Extract dialog. Use the Extract dialog to extract or "unzip" files from the open archive to your disk.

WinZip® extracts files from the archive to the folder specified in the Extract to field. You can specify this folder in one of four ways:

  • Select a folder and drive in the Folders/drives list boxes.
  • Type a folder name in the Extract to field.
  • Pull down the Extract to combo box and select a folder from the list of previous Extract to folders.
  • Click the "new folder" button [image] and create a folder.

The Extract dialog provides the following options:

  • The Selected files/folders option button instructs WinZip to extract only files that are selected in the main WinZip window. You can use conventional file selection methods to choose files. This option is disabled if no files are selected.
  • The All files/folders in current folder option button instructs WinZip to extract all files and folders from the currently selected folder. Note: this button is only available when extracting in Files by Folder view.
  • The All files/folders in archive option button instructs WinZip to extract all files from the archive.
  • The Files in Archive option button and edit field allow you to specify which files are extracted using filenames (standard Windows wildcards are accepted, so you could use "*.doc" to extract all .doc files)
  • The Overwrite existing files checkbox determines whether you are prompted before existing files are overwritten with files from the archive.
  • The Skip older files checkbox determines whether WinZip skips (does not extract) existing files when the date/time stamps of the file in the archive is older than the file on disk.
  • The Use folder names checkbox determines whether WinZip will use folder names (also known as path names) stored in the archive. You will probably want to check this option for most extract operations. If this option is checked, any folder names stored in the archive will be appended to the Extract to folder when appropriate. If this option is not checked all files will be extracted to the same folder, regardless of any folder names in the archive. Note: this option does not appear when you are in the Files by Folder view. When in Files by Folder view files are extracted to their respective folders.
  • For example, assuming the Extract to folder is "c:\temp", the file "mydir\filename" will be extracted to the folder "c:\temp\mydir" if the Use folder names option is checked, or the folder "c:\temp" if the option is not checked.
  • If the Open Explorer window checkbox is checked, a Windows Explorer window is opened after the extract operation is complete. The window will show the folder to which the files were extracted. This checkbox is not present if you are extracting from multiple Zip files directly from Windows Explorer using the WinZip context menu.
  • If you extract from multiple Zip files using WinZip's Extract to... Windows Explorer context menu entry, there will be a checkbox labeled Use Zip file names for folders. If this checkbox is checked, WinZip will create a folder for each Zip file under the Extract to folder; the folders will be named with the base names of the Zip files. For example, if the Extract to folder is "c:\temp", WinZip will extract files from "NewDocs.zip" to "c:\temp\NewDocs". If this checkbox is not checked, files will be extracted to the Extract to folder. In most cases, you will probably want to leave this option checked when you extract from multiple Zip files.
  • The "new folder" button [image] activates the Create Folder dialog box. Note that you can extract files and create a folder without this dialog box: simply type the name of the new folder in the Extract to field of the Extract dialog box and press the Extract button.

Note: You can change the default Extract to folder using the Folders tab of the Configuration dialog.


Viewing Files in an Archive

You can view files in an archive in several ways:

  • With the View button in the toolbar or the View entry in the Actions pull-down menu. This activates the View Dialog Box.
  • With the drag and drop interface.
  • With the features described in the section titled CheckOut Feature.
  • Most files can be viewed by double clicking on the file name in the main window's list box, as described in the section titled Double Clicking.


Select All, Invert Selection, and Select Files

The Select All entry in the Actions menu selects all the files in the main window's list box. Invert Selection deselects the currently selected files and selects the currently unselected files. Selected files can then be easily deleted, extracted, or viewed. Use the Select Files option to select a particular file or set of files within the currently viewed folder (Explorer Style) or the entire Zip file (WinZip Style).

Note: to select files from the "entire" Zip file, you must be in the All Files (WinZip Style) view.

  • To select a particular file just enter the filename and click OK
  • To select a set of files enter the applicable portion of the filename plus a wildcard and click OK

Examples:

Accessing Select Files and entering *.txt while in the view All Files (WinZip Style) will select and return all files with a .txt extension in the entire Zip file to the top of the list.

While accessing Select Files and entering *.txt in the view Files by Folder (Explorer Style) will select and return all files with a .txt extension in the currently viewed folder to the top of the list.


Creating a Self-Extracting Archive

Use the Make .Exe File entry in the Actions menu to convert the open archive to a self-extracting archive. Self-extracting archives have an extension of .EXE, and can be run as commands. When a self-extracting archive is run, the files in the archive are automatically extracted. This is convenient, because the end user does not need an unzip program (like WinZip®) to extract files from these self-extracting archives.

When working with a Zip file, this operation normally runs WinZip Self-Extractor Personal Edition, but you can also configure WinZip to use another program. When working with an LZH file, this operation runs the external LHA program with the s option. When working with an ARJ file, this operation runs the external ARJ program with the y option. For details on configuring WinZip to work with external programs, see the sections titled System Requirements and Installing Optional External Programs.

Notes

  • If you are using WinZip Self-Extractor Personal Edition or WinZip Self-Extractor, you should be aware of certain restrictions. You cannot create self-extracting Zip files using either of these products if the original Zip file
    • contains any files encrypted using AES encryption, or
    • contains any files that were compressed using the enhanced deflate, bzip2, PPMd, or WAVPACK compression methods, or
    • uses the 64-bit Zip file format extensions. These extensions are used if there are more than 65,535 files in the Zip file or if the Zip file itself or any file contained in the Zip file exceeds 4GB in size.

  • If the first file in a self-extracting LZH file is named "!" (i.e. an exclamation mark is the only character in the filename) this file will be displayed when the self-extracting executable is run. To ensure that this file is the first file in the archive, first create a new LZH file, then add the "!" file (do not add other files in this step), and finally add the remaining files.


UUencoding an Archive

Use the UUencode entry in the Actions pull-down menu to UUencode the open archive. The UUencoded file can be sent across mail systems that do not support binary e-mail. For further details on UUencoded, XXencoded, BinHex, and MIME files, refer to that section of this help file.


Splitting Zip files

WinZip® makes it easy to create Zip files that are split into smaller pieces of a size that you specify. There are several reasons why you might want to do this, such as:

  • To overcome e-mail size limits. Some e-mail systems limit the size of attachments; if you want to e-mail a large Zip file that exceeds your limit, you can split it into smaller parts and e-mail them separately.
  • As an alternative to spanned Zip files when you want to make multiple copies of the disk set.
  • As an alternative to spanned Zip files when you want to make the disk contents as a separate step from making the disks themselves.
  • To assist with large downloads. Some users may have difficulty downloading very large Zip files from web sites, FTP sites, etc. You can use the split Zip feature to break large files into smaller pieces that can be downloaded separately.

To split a new Zip file into smaller pieces

When the new Zip file is being created, simply select the size you want for each part from Split Zip file in the Add dialog.

To specify your own size, choose "Other size" in the drop-down list and type the desired size in the Other size field. You can specify the size in bytes, kilobytes (KB), or megabytes (MB); indicate which you're using by choosing from the list to the right of Other size. The minimum size allowed is 65,536 bytes (64KB).

To split an existing Zip file into smaller pieces

  1. Open or create the Zip file.
  2. Choose Split from the Actions menu.
  3. Specify the name to be used for the split Zip file. The name must be different from the name of the open Zip file.
  4. Specify the size to be used for the individual parts. You can choose from common sizes using the Part size drop-down list or you can specify your own size. To specify your own size, choose "Other size" in the drop-down list and type the desired size in the Other size field. You can specify the size in bytes, kilobytes (KB), or megabytes (MB); indicate which you're using by clicking the appropriate radio button. The minimum size allowed is 65,536 bytes (64KB).
  5. Click OK to create the split Zip file.

Notes

  • Each of the segments of the split Zip file will have a different extension. WinZip creates files with names like Data.Z01, Data.Z02, and so on, except for the very last segment of the new Zip file. The last segment will always have the .zip extension (e.g., Data.zip).
  • To open the split Zip file, open the file with the .zip extension. Don't try to open any of the files with the numbered extensions; WinZip won't recognize them as Zip files.
  • Once the split Zip file has been opened, you can work with it much as you would work with a regular Zip file, except you can't add any new files or remove existing files. Some operations such as creating self-extracting Zip files and editing comments are also disabled for split Zip files.
  • The sizes listed as "1.2MB," "1.44MB," and "2.88MB" are approximate. The segments of the split Zip file are sized appropriately to fit on media of the specified size. You cannot, however, use decimal points when specifying sizes in the Other size field.
  • The split Zip file format is an extension of the Zip 2.0 specification. Therefore, some Zip utility programs may not be able to open split Zip files. Please see Split Zip file compatibility information for more details.

See also

Multiple disk spanning


Encrypting a Zip File

Please read about encryption before using this feature.

To encrypt or re-encrypt all of the files in an open Zip file, choose Encrypt from the Actions menu. WinZip® will ask for a password and encryption method and then encrypt all files currently in the Zip file.

Any files in the Zip file that are already encrypted must first be decrypted before they are re-encrypted using the method and password you specified. WinZip will first try to decrypt the files using the current encryption password; if a file cannot be decrypted with this password, WinZip will ask you for the correct decryption password. If you are unable to supply the correct password, the file will be skipped, and it will remain unchanged in the Zip file.

Notes

  • It is more efficient to encrypt files while they are being added to the Zip file than to encrypt them after they have been added. To encrypt files while adding, simply check the Encrypt added files checkbox in the Add dialog.
  • You can also perform this action from the My Computer or Windows Explorer shortcut menu. Simply right click the Zip file and choose Encrypt from the WinZip shortcut menu.
  • This feature is available only for Zip files.

See also

About Encryption

Using Encryption


Testing an Archive

Use the Test entry in the Actions pull-down menu to test the integrity of the open archive. A dialog box is displayed with the results of the test operation.

Press the Esc key during the Test operation to terminate the integrity test.


CheckOut Feature

The CheckOut feature makes it easy to examine and/or run files in an archive. It creates a temporary folder, extracts all files from the archive into the folder, creates entries in the Programs menu for the extracted items, and opens a My Computer-style window showing shortcuts to the files in the folder. Double click any item in the window to perform the action normally associated with the document or program (associations are described in the section titled Windows Associations). WinZip® will optionally close the window and delete the temporary folder (and the extracted files) when you close the archive or close WinZip.

CheckOut Dialog Box

Use the CheckOut toolbar button or the CheckOut entry in the Actions pull-down menu to activate the CheckOut dialog box. This dialog box lets you configure these aspects of the operation:

  • Use the Folder edit field to specify the temporary CheckOut folder name. The folder will be created if it does not already exist. The suggested folder depends on the setting of the CheckOut base folder in the Folders tab of the Configuration dialog.
  • Use the Group name edit field to specify the name to use for the CheckOut window.
  • Use the Maximum icons edit field to specify the maximum number of items to be placed in the CheckOut window.
  • The Create icons for programs and documents only check box lets you control whether WinZip creates icons for all files in the archive or only for the specified files. When this option is selected, icons are created for executable files and files with associations. Icons are also created for any files with names starting with "read" (in order to catch files with names like "readme.1st", "read.me", etc.).

Operations performed by the CheckOut feature:

When you click on the OK button in the CheckOut dialog box, WinZip performs the following operations:

  1. If the specified folder does not already exist, WinZip will create it. If it already exists and contains files, WinZip will delete the files (after asking your permission, of course). This ensures that the folder will contain only files from the current archive.
  2. WinZip extracts files in the current archive to the specified folder.
  3. WinZip creates a second folder, located in \Windows\Start Menu\Programs. If a folder with the specified name already exists, WinZip will delete it after getting your permission. This ensures that the folder will contain only icons for files in the current archive.
  4. In the second folder, WinZip creates shortcuts to the extracted files. It then opens a My Computer-style window displaying icons for the extracted files. These items will also appear in the Programs menu, accessible from the Start button.

Using the CheckOut window:

The window created by CheckOut is a My Computer-style view of the checkout folder and works like any similar window. WinZip creates shortcuts in this folder for each extracted file so that you can use them as follows:

  • If a file is executable, double clicking on the icon runs the program.
  • If a file has an association, double clicking on the icon loads the file in the associated program so you can view the file.
  • Otherwise, double clicking on the icon loads the file in the WinZip Default association program specified in the Program Locations tab of the Configuration dialog.


Install Feature

WinZip's® Install feature makes it easy to install software distributed in archives. The Install feature is available if an archive contains an "install" or "setup" program, a desktop theme, or a screen saver. This help topic describes the software installer. The Desktop Theme Installer and the Screen Saver Installer operate in a slightly different way and have their own help topics.

Caution: you should be careful when installing any kind of software. Be certain that you trust the source of this Zip file. Do not install anything contained in a Zip file that was attached to an unexpected or suspicious e-mail message. See Security Hints and Tips for additional information.

The software Install feature performs these functions:

  1. Extracts all the files to a temporary folder.
  2. Runs the Setup program.
  3. Deletes the temporary installation folder and files.

The Install Dialog Box

Click the Install button on the toolbar or select Install from the Actions menu command to open the Install dialog box.

Use the Minimize during install checkbox to control whether WinZip will be minimized while running the install program.

Click the OK button to begin the installation.

Notes:

Self-extracting Windows archives are treated as a special case. If you have opened a self-extracting Windows archive, the Install feature will simply run the self-extractor instead of extracting all the files to a temporary folder, running the setup program, and deleting the temporary installation folder and files.

If the Install button is not displayed, but you recognize an installable file, you can use the CheckOut Feature to try to install the software in the archive.


The View Menu

The View menu allows you to change the way data is displayed in the WinZip® Classic view. The menu entries are:

  • All Files (WinZip Style) this option displays all the files in your Zip file in a flat view.
  • Using the Files by Folder (Explorer Style) this option displays all the files and folders in your Zip file as they are stored. If your Zip file contains folder information, you will see the folder and then open the folder to see the files that are stored in that particular folder. This setting also works in conjunction with the Folders view setting.
  • Folders this view adds an additional pane (Folders) to the list view section of the WinZip Classic window. Folders are displayed in the Folder (left) pane and the associated files within a folder are displayed in the List View (right) pane. This allows the contents of the Zip file to be viewed in a tree structure.
  • Thumbnails the pictures in a Zip file are displayed in thumbnails, smaller images.
  • Tiles the contents of the Zip file is displayed in a tiled view (Windows XP systems only).
  • Icons the contents of the Zip file is displayed as icons (Windows XP systems only).
  • Large Icons Zip file contents are displayed as large icons (non-Windows XP systems only)
  • Small Icons Zip file contents are displayed as small icons (non-Windows XP systems only)
  • List the contents of the Zip file is displayed in a multi-column list.
  • Details the contents of the Zip file is displayed with details about the files and folders.
  • Sort lets you specify whether the list of files in the archive is sorted by name, type, date, size, compression ratio, packed size, CRC, file attributes, path, or whether the original archive order should be used. Note: You can also change the sort order by clicking on the appropriate portion of the main list box header. For example, click on the word "Date" in the header to sort by date. To reverse the sort order, click it again.
  • Up one level display the contents of the folder one level back from the current folder. Only available in the Files by Folder (Explorer Style) view.
  • Comment allows you to add or edit the Zip file comment.
  • Last Output displays the results of the last WinZip operation.


Zip file comments

Use the Comment entry in the View pull-down menu to activate the Comment dialog box. This feature is available for Zip files only.

A comment is optional text information that is embedded in a Zip file. It can be viewed, created, edited, or deleted using the Comment dialog box. Simply type in your text or use any common Windows cut, copy, or paste method.

Use the Close button to close this dialog.

Click Save to save any comment or edits you've made.

Clear erases the comment text. Clicking Save after Clear removes the comment from the Zip file.

Click Font to specify a new display font. It does not affect the comment in the Zip file, but is retained as your preference for viewing comments in future sessions.

Zip file comments are limited in length. If you have recent versions of the Windows "Rich Edit" control installed, the limit is about 64,000 characters; otherwise, the limit is about 48,000 characters. For greatest compatibility with other users' systems and with other Zip file utilities, we recommend limiting comments to 48,000 characters.

Tip: if you would like WinZip® to automatically display comments when opening Zip files that contain comments, choose Configuration from the Options menu, click the Miscellaneous tab, and check the box labeled Show comments when opening Zip files.


The Jobs Menu

The Jobs menu allows you to create, edit, and run WinZip® jobs. The menu entries are:

  • Create a new WinZip job.
  • Edit an existing WinZip job.
  • Run starts the selected WinZip job.
  • Run Recent (History) lists the jobs recently ran.
Please read Pre-configured WinZip Jobs for details about these pre-comfigured jobs, also available in the Jobs menu:
  • Zip My Documents zips all files/folders found in the current user's My Documents folder.
  • Zip My Desktop zips all files/folders found in the current user's Desktop folder.
  • Zip My Windows Favorites zips all files/folders found in the current user's Favorites folder.
  • Zip My E-mail zips the Outlook or Outlook Express mailbox of the current user.
  • Zip My Documents, Desktop, Favorites, and E-mail zips all files/folders found in the current user's My Documents, Desktop, My Windows Favorites, and My E-mail folders.


Options

The Options Menu

The Options menu allows you to set many WinZip® options. The menu entries are:

  • Configuration activates the main Configuration dialog box. This dialog box controls most WinZip settings.
  • Reuse WinZip Windows determines whether a new window is opened when you start WinZip by double clicking in My Computer, Windows Explorer, or the desktop. When this entry is checked, an existing WinZip window is used. When this entry is not checked, a new WinZip window is created. One advantage to reusing WinZip windows is that double clicking acts the same as drag and drop, and you never accidentally wind up with multiple WinZip windows.
  • Save Settings on Exit determines whether your currently chosen configuration options are automatically saved when WinZip is closed.
  • Save Settings Now saves selected options immediately.
  • Set Installation Defaults sets many configuration options and folder names to the original installation defaults.


Configuration Dialog Box

Choose Configuration from the Options menu to activate the Configuration dialog box. This dialog box contains tabs that control most WinZip® settings. Click on any tab title for further information on its content.

  • The View tab controls the appearance of the main WinZip window.
  • The Toolbar tab lets you customize the look and content of your WinZip toolbar.
  • The Folders tab offers choices for start-up, extract, add, working, checkout, and temporary folders.
  • The System tab provides options for accessing WinZip through My Computer and Windows Explorer.
  • The Explorer Enhancements tab provides options for configuring WinZip's Windows Explorer enhancements.
  • The Program Locations tab controls the default viewer and optional archive utilities.
  • The E-mail tab lets you set up e-mail accounts for WinZip jobs.
  • The Miscellaneous tab includes start-up, "on top," Smart DOC, and other general options.


The Help Menu

The Help menu provides access to WinZip's® help information, hints and tips, frequently asked questions, and WinZip registration and ordering information. The entries are:

  • Help Contents and Index displays the table of contents and index of WinZip's help. You can browse to the topic you need, look in the help index, or perform a full text search for keywords of interest.
  • Brief Tutorial starts a brief step-by-step tutorial on using WinZip's main features.
  • Frequently Asked Questions helps you get answers to questions you might have. You can choose between the FAQs in the help or a more extensive set of FAQs on the WinZip web site.
  • Hints and Tips displays a help topic that contains miscellaneous hints and tips on how to use WinZip productively.
  • Tip of the Day displays a dialog containing a useful tip about WinZip.
  • Enter Registration Code appears only in the evaluation version of WinZip. Use this entry to register your copy of WinZip after you have purchased a WinZip license.
  • License Agreement displays the WinZip License Agreement.
  • Ordering Information displays information from the WinZip help about how to order WinZip.
  • Check for Update causes WinZip to check for the availability of a new final or service release of WinZip. If an update is available, WinZip will display information about the update and provide one-click access to the update download page on the WinZip web site.
  • WinZip Home Page takes you to the WinZip web site.
  • About WinZip displays the WinZip copyright notice, version number, and other information about your installation of WinZip.


Using the Files by Folder (Explorer Style) View

This view displays your Zip file structure showing folder information (if it exists) as well as files. You can now see the actual structure of your Zip file with regard to which files are contained within which folder. This is helpful as a visual representation of the Zip file structure. You can navigate into folders and see the files. You can create new folders within the Zip file and then add new files to that folder.

Note: Files by Folder (Explorer Style) View is the only way to access the thumbnail view of image files.

To change to the Explorer Style view from the WinZip style view, click Files by Folder (Explorer Style) from the WinZip® View menu. Note: you can quickly switch between these views with the View Style button found on the toolbar.

In the Files by Folder view you will notice an "Address" bar along with various icons:

  • "Go" to address displayed in the Address bar
  • Navigate "Up one level"
  • Show/Close "Folders" pane
  • "Change the item display style"
  • "Create a folder"

The "Address" bar allows you to quickly type in the path to the file that you are looking for and click the "Go to" button, or press Enter, rather than navigating through the various folders in your Zip file.

"Go to" is used to navigate you to the address currently displayed in the "Address bar".

"Up one level" is used to navigate back one folder level from your current position in the Zip file.

"Folders" is a toggle button used to move between an Explorer Style and My Computer style view.

"Change the item display style" allows you to change the List view display to the show the amount of file/folder detail you want to see.

"Create a folder" allows you to create a new folder at your current location in the Zip file.

Adding the Folders pane adds an additional panel to the WinZip Window. You will notice that folders are displayed in the left or Folders pane and files and folders are displayed in the right or List View pane. This option gives the added notation that subfolders are contained within the folders. You can quickly see if a folder contains a subfolder because, as in Windows Explorer, there is a folder expansion icon next to each folder containing a subfolder.

Using Drag and Drop

Adding files or folders to an existing folder in a Zip file

Open the intended Zip file then navigate to and open the folder into which you wish to add. Now drag the files or folders you wish to add into this open folder. Note: you cannot drop files or folders into the Folders pane. The Folders pane is only for navigation.

Extracting folders from a Zip file

Open the Zip file that contains the folder you wish to extract, navigate to the level in which you see the desired folder (in the right pane, if you are using the two-pane variation of this view), drag and drop the folder to the desired location (such as a folder in My Computer or Windows Explorer, the Desktop, or My Documents).

Note: files dragged and dropped from a Zip file are first extracted to the Windows temporary folder and then copied to the selected location. It is more efficient to extract a folder using the Extract dialog when the folder being extracted contains a large number of files.


Using the Explorer Interface

Using WinZip's® Explorer interface, you can access most WinZip functionality directly from Windows Explorer or My Computer shortcut menus, from the Start menu, or from the desktop.

Here is a partial list of the things you can do using WinZip's Explorer interface:

  • Create new archives
  • Add to existing archives
  • Extract files from archives
  • E-mail archives
  • Encrypt Zip files
  • Create self-extracting Zip files
  • Edit a WinZip job
  • Run a WinZip job
  • Register WinZip
You can do all of these things without opening WinZip itself.

See the following topics for more information about using the WinZip Explorer interface:

Working with the Explorer Context Menu

Working with the Start Menu and Desktop

WinZip Quick Pick taskbar tray icon

Related Topics:

Using WinZip Menus

Using Drag and Drop

See also

Hints and Tips

More Hints and Tips

Hints For Working With Downloaded Files

Frequently Asked Questions (FAQs)


Working with Windows

Working with the Explorer Context Menu

You can initiate most common operations on archives from My Computer or Windows Explorer context menus. In many cases, you won't even need to display or use the main WinZip® window.

Unzipping files from My Computer or Windows Explorer

  • Right click a Zip file in a Windows Explorer window, then choose WinZip from the context menu and pick the appropriate Extract choice from the WinZip submenu. You can extract to the current folder ("here"), a recently used folder, a new subfolder created by WinZip, or any folder of your choice.
  • Or, use the right mouse button to drag and drop a Zip file from a Windows Explorer window to any folder, then choose Extract to from the context menu. Be sure to use the right mouse button while dragging.
  • You can extract from multiple Zip files in one operation, too: just select the Zip files in Explorer, right click any of the selected files, choose WinZip from the context menu, and pick the appropriate Extract choice from the WinZip submenu.

Zipping files from My Computer or Windows Explorer

  • Select one or more files in a Windows Explorer window, then right click any of the selected files, choose WinZip from the context menu, and pick the appropriate Add choice from the WinZip submenu. You can create a new Zip file or you can add the files to any existing Zip file.
  • Alternatively, select one or more files, then drag and drop them on an existing Zip file in the same Explorer window, in another Explorer window, or on the desktop. Note that you can create a new, empty Zip file in Explorer by right clicking and then choosing WinZip File from the New submenu.

Compressing and e-mailing files and folders from My Computer or Windows Explorer

  • Select one or more files or folders in a Windows Explorer window, then right click any of the selected items, click WinZip from the context menu, and choose one of the Zip and E-Mail entries from the WinZip submenu. Zip and E-Mail filename.zip quickly compresses the selected items, creates a temporary Zip file with the specified name, and attaches it to a new e-mail message. Zip and E-Mail Plus performs the same basic operation but allows you to apply encryption and to specify the name of the temporary Zip file to be created.

For a complete list of the actions available from the context menu, see the Explorer context menu enhancements.

See also

Using the Start Menu and Desktop

Using Drag and Drop

WinZip Quick Pick taskbar tray icon

Explorer context menu enhancements

Explorer Enhancements (Configuration)


Using the Start Menu and Desktop

Using the Windows Desktop:

  • You can create a new, empty Zip file on the desktop: right click anywhere on the desktop and select WinZip File from the New submenu. After you've created it, change the name if desired and then double click the icon to open it using WinZip®, or use drag and drop to add files to the new Zip file.
  • Be sure to read about drag and drop for more things you can do on the desktop.

Using the Start menu:

  • If you have WinZip configured to include a Start menu entry, you can start WinZip directly from the system Start menu.
  • You can open recently used archives from the Documents submenu in the Start menu.
  • Note: Windows XP does not display Zip files in the Documents submenu. You can use the WinZip Quick Pick taskbar tray feature to open recently used archives.

See also

WinZip Quick Pick taskbar tray icon

Working with the Explorer Context Menu

Using Drag and Drop


WinZip Quick Pick Taskbar Tray Icon

The WinZip® Quick Pick taskbar tray icon [image] gives you instant access to WinZip and recently used archives.

Enabling and disabling the Quick Pick taskbar tray icon

To enable or disable the WinZip Quick Pick taskbar tray icon, check or uncheck Include WinZip Quick Pick in the taskbar tray in the System tab of WinZip's Configuration dialog. When Quick Pick is enabled, the WinZip icon will automatically appear in the system taskbar tray whenever you start your system.

Using the WinZip Quick Pick taskbar tray icon

To open WinZip, simply click the Quick Pick icon using the left mouse button. For more options, right click the icon to open the Quick Pick menu and:

  • Click any archive in the list of recently opened archives to start WinZip and reopen the archive.
  • Click any job file in the list of recently run jobs to run the job selected.
  • Click Favorites to start WinZip and display a list of files in your Favorite Zip Folders. You can open any listed archive by double clicking it.
  • Click Open WinZip to start WinZip (same as left clicking the icon).
  • Click WinZip Help to view WinZip's help.
  • Click About for Quick Pick version and copyright information.
  • Click Close to close WinZip Quick Pick and remove the icon from the taskbar tray. You will have the option to close Quick Pick but leave it enabled (so it will return the next time Windows is started) or to close it and disable it (so it won't return the next time Windows is started).

Restarting Quick Pick after closing

  • If you close Quick Pick but leave it enabled, Quick Pick will restart automatically the next time Windows is started. To restart it manually (without restarting Windows), click the Start button, choose Startup from the Programs menu, and click WinZip Quick Pick.
  • If you close and disable Quick Pick, it will not restart automatically the next time Windows is started. To restart it, you must re-enable it as described above.


WinZip Jobs and the Job Wizard

What are WinZip jobs?

WinZip® jobs automate the process of creating and updating Zip files. They are great for your repetitive zipping tasks, such as:

  • Periodic data backups
  • Periodic data archival
  • Periodic packaging and transmission of reports, spreadsheets, etc.
WinZip jobs let you specify what files you want zipped, how you want them zipped, and where the resulting Zip files should go. If you want to fully automate the process, you can even specify when you want them to run.

You can create your own jobs using the WinZip Job Wizard, or you can use pre-configured jobs, included with WinZip Pro, to quickly zip common items such as My Documents, the Desktop, or your Outlook or Outlook Express e-mail.

The Job Wizard

The easy-to-use Job Wizard helps you create your own jobs. It guides you, in a few quick steps, through the process of specifying exactly how your job should work.

Using the Job Wizard you can specify:

  • Which files and folders you want to zip, and how they should be compressed.
  • What the Zip file should be named and where it should go. Zip file names can include variable components such as the date and time so that new Zip files won't overwrite existing Zip files.
  • How you want file attributes and dates to be used when evaluating which files should be zipped, and whether existing Zip files should be replaced or updated. (For those familiar with standard backup programs, these options combine to specify backup types such as "normal", "incremental", "differential", etc.)
  • Whether you want to encrypt files when they are zipped.
  • What folder information should be stored in the Zip file.
  • Whether the job should be scheduled to run automatically and, if so, when.
  • Whether the Zip file created by the job should be sent to a remote location via FTP and/or e-mail.
The Job Wizard allows you to set many other options, yet it is very easy to use. For example, the only thing that it requires you to specify is which files you want to zip; the Wizard will supply reasonable values for all the remaining settings.

Where can I learn more?

  • Learn about creating and modifying WinZip jobs using the WinZip Job Wizard
  • Learn about running WinZip jobs
  • Learn about the pre-configured jobs included with WinZip
  • Read about security considerations of WinZip jobs

Important notes

  • WinZip jobs are intended for data backup and archival only. WinZip's job feature is not designed or intended for use as a full system backup utility. For example, WinZip jobs may not be able to zip files that are currently in use, including Windows system files. For system backups you should use tools specifically designed for that purpose.
  • Please read and understand the security considerations of WinZip jobs before you create or run any jobs.
  • Although WinZip jobs are very powerful, and are suitable for most users, advanced users and system administrators should consider using the WinZip Command Line Support Add-On for their most exacting needs. WinZip jobs can perform most tasks efficiently, but cannot, for example, select files for zipping based on their dates. If you find that the Job Wizard does not provide all of the options you need for a particular task, try the Command Line Support Add-On. The add-on is free for registered WinZip Pro users and is available from the WinZip web site.


Using the WinZip Job Wizard

You will use the WinZip® Job Wizard to create new jobs and to examine or edit existing jobs.

To create a new WinZip job

  1. Click Create from WinZip's Jobs menu.
  2. In the Create WinZip Job File dialog, specify the name of the job file that you want to create and the folder in which it should be stored, then click OK. Note: the extension of WinZip job files is always "WJF".

  3. Proceed through the Job Wizard as described below.

To examine or modify an existing WinZip job

  1. Click Edit from WinZip's Jobs menu, navigate to the folder containing the job you want to examine or modify, select the job file, and click OK,

    -or-

    Right-click the job (.WJF) file in Windows Explorer and choose Edit with WinZip from the context menu.

  2. Proceed through the Job Wizard as described below.

Using the Job Wizard

The Job Wizard guides you through the process of creating and editing WinZip jobs. Simply select your desired options in each panel and click Next to move on to the next.

At any time after you have specified the files and/or folders to be zipped (in the first panel), you can click Finish to save the job in its current state. If it is a new job, WinZip will use common settings for the remaining options; if it is an existing job, the remaining settings will be saved unchanged. Note: we recommend that you proceed all the way through the Job Wizard the first few times so that you can learn about the available options and see how WinZip sets them.

The full Job Wizard proceeds through six easy steps. Click the links below to see detailed help for each step. Remember that you can always click the Help button at the bottom of the Job Wizard window to see help for the current step.

  1. Select Files/Folders: select the files and/or folders you want to be zipped and specify any filters to be used when including or excluding files.
  2. Choose Job Type: specify the type of job you want to create. For example, a "normal" job zips all specified files, regardless of attributes; an "incremental" job zips only files that have been modified since the last time the job was run or the disk was backed up.
  3. Specify Job Options: specify various options for your job: what type of compression to use, whether files should be encrypted, etc.
  4. Specify Zip File: set the name of the Zip file to be created and specify where it will be stored.
  5. Review Settings: this panel displays all of your job settings for review.
  6. Specifications Complete: the final panel allows you to set a schedule for your job to run automatically, to set up an FTP transfer of the completed Zip file at the end of a job run, e-mail the completed Zip file at the end of a job run and to automatically run the job when the Job Wizard closes.

Related Topics:

WinZip Jobs and the Job Wizard


Running WinZip Jobs

To run a WinZip® job:
  • Right-click the job file (.WJF extension) in Windows Explorer and choose Run with WinZip, or
  • Start WinZip, open the Jobs menu, and choose Run. Navigate to the folder containing your job and either double-click the job file or select it and click Open.
  • You can also schedule your jobs to run automatically on a periodic schedule of your choosing.
If you wish, you can configure WinZip to run (rather then edit) jobs when you double-click them in Windows Explorer. To do this, choose Configuration from WinZip's Options menu, open the System tab, and click Run the job under "When a WinZip job file is double-clicked". Before you do this, however, make sure that you read and understand the security considerations of running WinZip jobs.

Note that this configuration change affects all users of the computer.

Related Topics

Scheduling WinZip Jobs


Distributing WinZip Jobs

WinZip® jobs are suitable for distribution by system administrators and others who are responsible for multiple computers or multiple users. There are a few things you should keep in mind.
  • The job file (WJF extension) contains all the information that WinZip needs to run the job. It is the only thing you need to distribute. Note, however, that distributing the WJF file does not schedule the job to run automatically on the user's computer (see below).
  • WinZip jobs require WinZip Pro to be installed on the user's computer.
  • When specifying the files and folders you want zipped and the destination folder for the Zip file, use generic folder names for common system folders such as My Documents. Generic folder names substitute generic names such as <MyDocuments> for physical folder names such as C:\Documents and Settings\Albert\My Documents. This ensures that your job will run correctly even if the physical location of the folder on the user's computer is different from the physical location of the folder on the computer where the job was created.
  • Distributing a job file does not schedule the job on the target computer. WinZip jobs are scheduled by the Job Wizard, using the Windows task scheduler, when the job is created or edited. There are two ways to schedule a job locally:
    • Open the job for editing (Edit from WinZip's Jobs menu) and click Next in the Job Wizard until the Specifications Complete panel is reached. Click Schedule, enter the user account name and password, click OK, and click Finish.

      -or-

    • Directly schedule the job using the Windows task scheduler. The command line for the job should be:
        "d:\path\winzip32.exe" /autorunjobfile "d:\path\jobname.wjf"
  • If you want the job to run unattended, the user must run the job once manually and check the box in the security dialog labeled Don't ask me again about this job. Note that this security dialog will appear again if the job is subsequently moved or modified.
  • The job's log file can provide valuable information about any errors that might have occurred during the job run. You may want to set up a mechanism to FTP or e-mail this file to a central location after the job run.


Security Considerations - WinZip Jobs

Because WinZip® jobs automate the use of WinZip, you should give them the same consideration you would give to any program you run on your computer. Keep the following suggestions in mind when using WinZip jobs.

Know Your Source

  • Never run a WinZip job file (.WJF extension) that is attached to e-mail from an unknown source.
  • If an unexpected WinZip job file is attached to e-mail from someone you know, consider verifying with the sender that the attachment is legitimate. Some viruses spread by e-mailing copies of themselves to everyone in the contact lists of infected computers; this means that you can receive infected files even from people you know.
  • Avoid downloading WinZip job files from untrusted web sites.
Of course, these guidelines don't apply only to WinZip jobs--they apply equally to any type of file.

Know Your Destination

  • Edit the job file before running it, especially if you have received the job file from someone else or if you haven't run the job for a long time. To edit a job, choose Edit from WinZip's Jobs menu.
  • Look at where the Zip file will be created. Zip files can be created on shared locations allowing others access to the Zip file and its content.
  • Check the FTP settings. Even though the Zip file might be created in a secure location, it could be sent to an unsecure location using FTP.
  • Verify the logging settings. When logging is enabled, the job runs silently and logs all operations and errors to a file so the job can be run unattended. The contents of your files will not appear in a log file, but the names of the files added to the Zip file will.

Protect Your Passwords

  • Encrypting Zip files requires a password. The Job Wizard offers an option to keep the password for you so you can encrypt Zip files with jobs that run unattended. However, your password is only as secure as the access to your job file. For the security of your password, it is recommended that you use the option to prompt for a password when the job runs. For the job to run to completion, you must be present when the prompt appears in order to provide a password.

    For more information on encryption and encryption passwords, see Encryption Passwords

  • Uploading Zip files using FTP may require a password. The Job Wizard offers an option to keep the password for you so you can upload Zip files with jobs that run unattended. However, your password is only as secure as the access to your job file. For the security of your password, it is recommended that you use the option to prompt for a password when the job runs. For the job to run to completion, you must be present when the prompt appears in order to provide a password.
  • Sending confirmation e-mail messages may require a password. The Job Wizard offers an option to keep the password for you so you can send e-mail confirmations for jobs that run unattended. However, your password is only as secure as the access to your job file. For the security of your password, it is recommended that you use the option to prompt for a password when the job runs. For the job to run to completion, you must be present when the prompt appears in order to provide a password.

For Your Protection

  • When you run a WinZip job, WinZip will display a prompt offering you the option of running the job, editing the job, or canceling the operation. This gives you chance to change your mind and examine the job file in case you are uncertain about its safety. You can disable the prompt for specific jobs by checking Don't ask me again about this job. WinZip will then run the job without prompting. However, if the job file's location or content changes, the prompt will return until you disable it again.
  • WinZip jobs only support zipping files as copies of the originals; you can't move files into the Zip file. This protects from accidental deletion of the original files.
  • To protect your system's log files, log files of other applications, and .TXT files from being overwritten, WinZip enforces a double extension (.LOG.TXT) for its own job log files.


Using Drag and Drop

The drag and drop interface is one of the most natural ways to use WinZip®. Using drag and drop, you can create, open, update, extract from, print, and e-mail archives--and more. Almost any drag and drop operation you can think of will work.

To drag and drop a file or folder, click it with your left mouse button, then, without releasing the button, drag it to the desired location and release the mouse button to drop it. Refer to your Windows help for more information if you haven't used drag and drop.

Creating a new Zip file

  • Drag one or more files or folders from My Computer or Windows Explorer to the WinZip desktop icon or an open WinZip window. Then, using the Explorer Add dialog, you can specify the name and location for your new Zip file.

Opening an archive

  • Drag an archive from My Computer or Windows Explorer and drop it on the WinZip desktop icon or an open WinZip window.
  • Remember, you can also double click the archive to open it, or right click it and choose Open with WinZip from the shortcut menu.

Adding files to an archive

To add files to an existing archive, select one or more files or folders in My Computer or Windows Explorer and drop them on any of the following:

  • an open WinZip window
  • the WinZip desktop icon
  • an archive shown in a My Computer or Windows Explorer window
  • an archive on the desktop
  • a shortcut to an archive

Extracting, viewing, and printing files in an archive

You can drag files from an archive open in a WinZip window to other applications, My Computer or Windows Explorer windows, the desktop, printers and shortcuts.

  • If you drop files on a folder listed in My Computer or Windows Explorer, the files are extracted to that folder.
  • If you drop files on the desktop, the files are extracted to the desktop.
  • If you drop files on a printer icon, the files are printed.
  • If you drop files on another application or on a shortcut to an application, the files are extracted to a temporary folder and passed to the application for handling. The files are removed from the temporary folder when the archive is closed.

Note: it's important to remember that different applications handle dropped files in different ways. For example, when you drop a file on the WordPad application distributed as part of Windows it will embed the file as an OLE object, but when you drop a file on the Notepad application distributed as part of Windows it will open the file. You may need to experiment with drag and drop to understand how each application reacts to files dropped on it.

Dropping an archive on another application

Sometime it can be useful to drag an entire archive from WinZip and drop it on an application. For example, you can drop an archive on an e-mail message to send it as an attachment, or on a Word document to embed it as an object.

To drop an open archive from WinZip to another application, click the WinZip status line, drag the mouse pointer to the application window, and release the mouse button.

Related Topics:

Using the Explorer Interface

Using the Files by Folder (Explorer Style) View

WinZip Quick Pick taskbar tray icon

Add Dialog Box

Add Dialog Box Options


Add Dialog Box

The Add dialog box is displayed when you use the drag and drop interface to add files to an archive. You can either create a new archive or add the files to an existing archive.

The Add dialog box lets you specify the name of the open archive in one of two ways:

  • Type the name of the archive in the Add to archive edit field.
  • Click on the New or Open buttons to activate the standard New and Open dialog boxes, respectively.

These shortcuts provide a quick way to add files to a different archive without going through the File menu.

See Add Dialog Box Options for a description of the options available in this dialog box.

Compatibility note

Beginning with version 9.0, WinZip® supports the 64-bit extensions to the Zip file format. The extended format lets you store all the data you need in Zip files of virtually unlimited size.

The original Zip file format limited the number of member files in a Zip file to 65,535, and the maximum size of both the Zip file itself and any member file to 4 gigabytes. For all practical purposes, the 64-bit extended format eliminates all these restrictions: member file size, Zip file size, and number of member files are limited only by your system's resources.

WinZip remains fully compatible with the original file format and uses the original format whenever possible. WinZip uses the 64-bit extended format only when the limits of the original format are exceeded.

You should be aware, however, that very large Zip files compressed with WinZip 9.0 or later are not compatible with earlier versions of WinZip and may not be compatible with other Zip file utilities.


About Encryption

About encryption and encryption methods

WinZip's encryption facility gives you a way to protect sensitive documents contained in your archives from unauthorized viewing. The contents of the files that you want to protect are encrypted by WinZip® based on a password that you specify. In order for WinZip to later extract the original contents of the encrypted files, the correct password must again be supplied.

This section gives a general overview of WinZip's encryption facilities. Once you are familiar with this information, you can read about the specifics of using encryption.

Additional or updated information about WinZip encryption may also be available on the WinZip web site.

WinZip provides two encryption methods for Zip files:

  • AES encryption: AES is the Advanced Encryption Standard, which is the result of a three-year competition sponsored by the U.S. Government's National Institute of Standards (NIST). This encryption method, also known as Rijndael, has been adopted by NIST as a Federal Information Processing Standard.

    WinZip supports AES encryption in two different strengths: 128-bit AES and 256-bit AES. These numbers refer to the size of the encryption keys that are used to encrypt the data. 256-bit AES is stronger than 128-bit AES, but both of them can provide significantly greater security than the standard Zip 2.0 method described below. An advantage of 128-bit AES is that it is slightly faster than 256-bit AES, that is, it takes less time to encrypt or decrypt a file.

    The security of your data depends not only on the strength of the encryption method but also on the strength of your password, including factors such as length and composition of the password, and the measures you take to ensure that your password is not disclosed to unauthorized third parties. Please read about encryption passwords.

    Note that the Zip file format extension used by WinZip to store AES-encrypted files is not supported by earlier versions of WinZip and is not yet supported by most other Zip file utilities. Because the technical specification for WinZip's AES format extension is available on the WinZip web site, we anticipate that other Zip file utilities will add support for this format extension.

  • Standard Zip 2.0 encryption: this older encryption technique provides a measure of protection against casual users who do not have the password and are trying to determine the contents of the files. However, the Zip 2.0 encryption format is known to be relatively weak, and cannot be expected to provide protection from individuals with access to specialized password recovery tools.

    You should not rely on Zip 2.0 encryption to provide strong security for your data. If you have important security requirements for your data, you should instead consider using WinZip's AES encryption, described above.

    The only advantage of Zip 2.0 encryption over the more secure AES encryption is that it is supported by most Zip file utilities, including earlier versions of WinZip. Files that you encrypt using this technique can be extracted by anyone who knows the correct password and has access to almost any Zip file utility. Additionally, Zip 2.0 encryption is supported by WinZip Self-Extractor 2.2 or later and by WinZip Self-Extractor Personal Edition (included with WinZip); the AES encryption method described above is not supported by either self-extractor program.

Limitations to be aware of

WinZip's AES encryption facility represents a significant advance on the previous Zip 2.0 encryption, and it can help meet the need that many WinZip users have for preventing their confidential information from being viewed by unauthorized individuals. There are, however, some limitations that you should be aware of:

  • Encryption applies only to the contents of files stored within a Zip file. Information about an encrypted file, such as its name, date, size, attributes, and compression ratio, is stored in unencrypted form in the Zip file's directory and can be viewed, without a password, by anyone who has access to the Zip file.
  • WinZip's encryption method is not the same thing as an authentication method for the Zip file. WinZip encryption is intended to prevent someone who doesn't know the correct password from finding out the contents of your encrypted data. The password is not needed for actions that do not involve decryption of the encrypted contents of data stored within a Zip file. In particular, encrypted files can be deleted from a Zip file, or can be renamed within a Zip file, and new, unencrypted, files can be added to a Zip file, without a password.
  • WinZip uses password-based encryption, and even a strong encryption algorithm like AES is of little or no benefit if the passwords you use are weak, or you do not keep track of them in a secure manner.
  • We recommend that if you are going to be using the same password to encrypt very large numbers of files with WinZip's AES encryption (that is, files totalling in the millions, for example 2000 Zip files, each containing 1000 encrypted files) you use 256-bit AES keys rather than 128-bit AES-keys. The technical reasons for this are discussed below.

Notes on encryption safety

Encryption provides a measure of safety for your sensitive documents, but even encrypted documents can be compromised (regardless of whether they were encrypted by WinZip or by other encryption software). Here are some of the ways this can occur. This is by no means an exhaustive list of potential risks; it is intended only to give you an idea of some of the safety issues involved with sensitive documents.

  • If a keystroke monitor or other malicious code (such as a virus) is running on your computer, your password may be recorded when you type it. Be sure to check frequently for viruses and follow other recommended computer safety procedures.
  • If you extract an encrypted file and then delete the file, it may be possible for someone to later "undelete" the file using file recovery software or the Recycle Bin.
  • When you open or view a file from an archive (e.g., by double clicking it), WinZip must extract the file to a temporary location so that the associated program can open it. If you subsequently close WinZip without first closing the program that is using the file, WinZip may not be able to delete the temporary copy of the file, thereby leaving it on disk in unencrypted form. The associated program may also make one or more backup copies of the decrypted file, and WinZip will not be able to delete these. In addition, as described above, it may be possible for someone to later recover deleted files using file recovery software or the Recycle Bin.
  • When you "move" files to a Zip file by choosing the Move action in the Add dialog, WinZip moves the files into the Zip file by compressing them and then deleting the original files from the disk. It may be possible to recover the original, unencrypted files from the disk.
  • After adding or extracting encrypted files, some or all of the unencrypted file contents may remain in your computer's memory or the page swap files on disk. A malicious user may be able to retrieve this unencrypted information.
  • WinZip does not encrypt Zip file comments or, as described above, information about encrypted files such as their names, dates, etc. Any user with access to the Zip file can view this information without a password.
You may be able to eliminate some of these exposures using specialized software such as virus scanners, disk erasers, etc.

Technical information on AES key generation

When you use AES encryption with WinZip, the passwords that you enter are converted into keys of the appropriate length (128 bits or 256 bits, depending on the AES key length that you specify). This is done through the PBKDF2 algorithm defined in RFC 2898 (also available as Public Key Cryptography Standard #5) with an iteration count of 1000. WinZip uses 8-byte salt values with 128-bit AES encryption and 16-byte salt values with 256-bit encryption.

One purpose for the "salt" values used with WinZip's AES encryption is to yield different encryption keys for each file, even if multiple files are encrypted with the same password. With the 8-byte salt values used with WinZip's 128-bit encryption it is likely that, if approximately 4 billion files are encrypted with the same password, two of the files will be encrypted with the same key. Someone who obtained copies of two files encrypted with the same key could learn information about their contents, so it is advisable to stay well below this limit. This is why we recommend that if you are going to be using the same password to encrypt very large numbers of files with WinZip's AES encryption (that is, files totalling in the millions, for example 2000 Zip files, each containing 1000 encrypted files), you use 256-bit AES keys, which use 16-byte salt values, rather than 128-bit AES-keys, with their 8-byte salt values.

As part of the process outlined in RFC 2898 a pseudorandom function must be called; WinZip uses the HMAC-SHA-1 function for this purpose, since it is a well-respected algorithm that has been in wide use for this purpose for several years. The PBKDF2 function repeatedly calls HMAC-SHA-1, which produces a 160-bit hash value as a result, mixing the outputs in a fairly complicated way, eventually yielding a 128- or 256-bit encryption key as a result.

Note that, if you are using 256-bit AES encryption, the fact that HMAC-SHA-1 produces a 160-bit result means that regardless of the password that you specify, the search space for the encryption key is unlikely to reach the theoretical 256-bit maximum, and cannot be guaranteed to exceed 160 bits. This is discussed in section B.1.1 of the RFC 2898 document.

Information for software developers

Zip file utility developers who wish to provide WinZip-compatible AES encryption support in their own products can find complete technical information on the WinZip web site.

See also

Using Encryption

Encryption Passwords


Using Encryption

Please read about encryption.

Decrypting files

The correct password is required before WinZip® can extract an encrypted file from an archive. If WinZip does not already know the correct password from a previous operation during the same session on the same archive, it will ask you for the password when it is needed.

Note that WinZip extracts files not only for the Extract operation, but also when you view or open a file and when you use features such as Test, CheckOut, and Install.

Encrypting files

You can encrypt files while they are being added, or you can encrypt (or re-encrypt) all files already in a Zip file.

Encrypting files while adding

The most efficient way to encrypt files is to do so while you are adding them to an archive. To encrypt files while they are being added, simply check the Encrypt added files check box in the Add dialog. Before adding the files, WinZip will display the Encrypt dialog, where you will specify the password and encryption method.

When you add files to a Zip file from Windows Explorer, you will have an option to encrypt the files if the Add dialog is displayed. In some cases, however (e.g., when you choose Add to recently used Zip file), there is no Add dialog and therefore no opportunity to encrypt the files while they are being added. In these cases, you can encrypt files after they have been added, as described in the next section.

Encrypting files already in a Zip file

To encrypt files already in a Zip file, either

  • open the Zip file and choose Encrypt from the Actions menu, or
  • right click the Zip file in My Computer or Windows Explorer and choose Encrypt from the WinZip shortcut menu.
In either case, WinZip will ask for a password and encryption method and then encrypt all files currently in the Zip file.

If a file in the Zip file is already encrypted, it will first be decrypted and then re-encrypted using the method and password you specified. WinZip will first try to decrypt the file using the current encryption password; if the file cannot be decrypted with this password, WinZip will ask you for the correct decryption password. If you are unable to supply the correct password, the file will be skipped, and it will remain unchanged in the Zip file.

Note that it is more efficient to encrypt files while they are being added to the Zip file than to encrypt them after they are already in the Zip file.

Notes on using encryption

  • The main WinZip window marks encrypted files with an asterisk following the filename.
  • In the Encrypt and Decrypt dialogs, check the Mask password check box to prevent the password from being displayed as you type it. If you check this option, the Encrypt dialog will require you to type the password twice for confirmation (to avoid typographical errors).
  • The quality of the passwords you choose can greatly affect the security of your encrypted documents. Please read about passwords.
  • Be sure to keep track of your passwords! You will not be able to extract or open any files for which you do not have the correct password.

See also

About Encryption

Encryption Passwords


Encryption Passwords

The security of your data depends not only on the strength of the encryption method but also on the strength of your password, including factors such as length and composition of the password, and the measures you take to ensure that your password is not disclosed to unauthorized third parties.

You should keep the following considerations in mind when choosing passwords for your files:

  • In general, longer passwords are more secure than shorter passwords. In fact, taking maximum advantage of the full strength of AES encryption requires a password of approximately 32 characters for 128-bit encryption and 64 characters for 256-bit encryption.
  • Passwords that contain a mixture of letters (upper and lower case), digits, and punctuation are more secure than passwords containing only letters.
  • Because you can use spaces and punctuation, you can create "pass phrases" that are long enough but still easy to remember and type.
  • Avoid using easily guessed passwords such as names, birthdays, Social Security numbers, addresses, telephone numbers, etc.
Be sure to keep a record of the passwords you use and to keep this record in a secure place. WinZip® has no way to access the contents of an encrypted file unless you supply the correct password. Before storing your only copies of critical information in encrypted form, you should carefully consider the risks associated with losing or forgetting the passwords involved.

See also

About Encryption

Using Encryption


Using the WinZip Internal Image Viewer

You will use the WinZip® Internal Image Viewer to view and modify images residing in a Zip file.

To view images using the WinZip Internal Image Viewer

There are several ways to display images from your Zip file using the Internal Image Viewer:

  1. Double click on an image filename listed in the main WinZip window. See the Associated Image Viewer options in the System tab of the Configuration Dialog Box for more information on image viewer selection.
  2. Select one or more images listed in the main WinZip window, click the View button, then click the Internal Image Viewer option.
  3. Select one or more images listed in the main WinZip window, right button click a selected item, then click the View with Internal Image Viewer context menu option.

When a single image is double-clicked or selected, all images in the current folder can be viewed. When two or more images are selected, only the selected images can be viewed.

Image Viewer Features

The Image Viewer provides a toolbar containing buttons used to perform the following:

  • Browse images - click the Previous Image button to display the previous image. Click the Next Image button to display the next image.
  • Set the image display mode - Click the Best Fit button to display the entire image within the Image Viewer window. No scrollbars are displayed. Click the Actual Size button to display an image in its actual size. If the image is too large to fit in the Image Viewer window, scrollbars are displayed, enabling you to scroll up, down, left and right within the image.
  • Start a Slide show - click the Start Slide Show button to begin the slide show. The Image Viewer displays your images using the entire screen. Your images are displayed sequentially with a five second pause between slides. You can press the Up Arrow key, the Left Arrow key or the Page Up key to immediately move to the previous image.. Press the Down Arrow key, the Right Arrow key or the Page Down key to move immediately to the next image. After five seconds, the slide show automatically resumes. Press the Escape key or the F11 key to stop the slide show.
  • Zoom In - click the Zoom In button to enlarge an image for viewing only. The image is not resized.
  • Zoom Out - click the Zoom Out button to shrink an image for viewing only. The image is not resized.
  • Rotate an image - click the Rotate Clockwise button to rotate an image 90 degrees clockwise or click the Rotate Counterclockwise button to rotate an image 90 degrees counterclockwise. Your rotated image can be saved back to your Zip file. See the Saving Your Changes section below for more information on how to save the change(s) you have made to your images.
  • Display Image Viewer help - click the Help button to display this Help topic.

Each toolbar button provides one or more keyboard alternatives to initiate an action:

  • Previous Image: Up Arrow, Left Arrow and Page Up
  • Next Image: Down Arrow, Right Arrow and Page Down
  • Best Fit: Ctrl + B
  • Actual Size: Ctrl + A
  • Start Slide Show: F11
  • Zoom In: + (plus)
  • Zoom Out: - (minus)
  • Rotate Clockwise: Ctrl + K
  • Rotate Counterclockwise: Ctrl + L
  • Help: F1

Saving Your Changes

You can elect to save the changes you have made to your image. Simply navigate to the previous image or to the next image or exit the Image Viewer. WinZip will display the Save Image Changes dialog.

To overlay the image stored in the Zip file, retain the image's original file name. Or, provide a new file name to be assigned to the modified image. If you elect to provide a new name, the image file name must be unique; the image is added to the Zip file in the same folder as the original image.

Considerations for Encrypted Images

All modified images are written back to the Zip file unencrypted. To re-encrypt your modified image(s), use the WinZip Action/Encrypt feature.

Related Topics:

Associated Image Viewer


WinZip Self-Extractor Personal Edition - Overview

WinZip Self-Extractor Personal Edition

Overview

WinZip Self-Extractor Personal Edition is included with WinZip®, under the terms of the WinZip License Agreement. It makes it easy to create files that unzip themselves. The following information applies to both WinZip Self-Extractor Personal Edition and to WinZip Self-Extractor, a separately available extra charge companion product.

What is a Self-Extracting Zip File?

A self-extracting Zip file is an executable program file (.EXE file) that includes a Zip file and software to extract or "unzip" the contents of the Zip file. Users can run (execute) a self-extracting Zip file just as they run any other program.

When a self-extracting Zip file created by WinZip Self-Extractor Personal Edition is run, a dialog box is displayed. This dialog box makes it easy for the user to change the "Unzip to" folder before starting the extract or "unzip" operation.

Self-extracting Zip files created by WinZip Self-Extractor are 100% compatible with the Zip 2.0 file format, so they can be unzipped by a standard unzip utility like WinZip.

What are the advantages to Self-Extracting Zip Files?

Users can extract or "unzip" files from a self-extracting Zip file without running a separate unzip utility or knowing how to use an unzip utility. Thus, self-extracting Zip files are particularly suited for distribution of software to beginning users who are not familiar with the concept of Zip files.

Self-extracting Zip files created by WinZip Self-Extractor are native Windows programs so they are easy to use.

How Does it Work?

There are two parts to the process:

  • The WinZip Self-Extractor program creates self-extracting Zip files.
  • When WinZip Self-Extractor creates a self-extracting Zip file it includes part of itself in the self-extracting Zip file. The part of WinZip Self-Extractor included in the self-extracting Zip file is what makes it possible to unzip the files by simply running the self-extracting Zip file.

The person who creates the self-extracting Zip file runs WinZip Self-Extractor once, specifying the name of the Zip file. The resulting self-extracting Zip file can be distributed to many people, and will unzip itself when it is run.

Related Topics:

WinZip Self-Extractor Personal Edition - Operation

WinZip Self-Extractor


WinZip Self-Extractor Personal Edition - Operation

To make a self-extracting Zip file, you must start with a normal Zip file (.zip extension) that you have created with WinZip®, downloaded, etc. Then you can either

  • open the file with WinZip and choose Make .Exe File from WinZip's Actions menu, or
  • right click the Zip file in My Computer or Windows Explorer and choose Create Self-Extractor (.Exe) from the WinZip Explorer context menu.

Either of these actions will activate WinZip Self-Extractor Personal Edition unless you have specified a different program in the Make Exe field in the Program Locations tab of the Configuration dialog. If you chose to create a WinZip Self-Extractor Personal Edition icon while installing WinZip, you can also start the program by double clicking on this icon.

WinZip Self-Extractor Personal Edition dialog box contains the following fields:

Create self-extracting Zip file from

The name of the standard (not self-extracting) Zip file to turn into a self-extracting Zip file.

Default "Unzip To" folder

The default target folder for the unzip operation. If left blank the folder specified by the user's TEMP= environment variable is used.

Spanning Support

Removable disks such as diskettes have very limited storage capacity. Sometimes, self-extracting Zip files you create will not fit onto a single diskette. In this case, you can ask WinZip Self-Extractor to save one Zip file across multiple diskettes. This process of creating a Zip file that occupies multiple disks is called "spanning".

When you span Zip files across multiple disks using WinZip Self-Extractor, no special software is required during extraction. Your users are simply prompted to insert any additional disks in the multiple volume set at the appropriate time during extraction.

The following choices determine whether you want to make use of the spanning feature to create a single Self-Extractor on more than one removable disk, and which method to use.

  • No Spanning - WinZip will not create a .EXE that spans removable disks.
  • Safe spanning method - Selecting the Safe method causes WinZip Self-Extractor to put two files onto the first disk: a Zip file with the first portion of your compressed data, and a small .EXE file with the executable code that is required to extract your data. The second and subsequent disks contain Zip files with the remaining portions of your compressed data. The Safe method is the default, and recommended, method.
  • Old spanning method - In contrast, the Old spanning method puts a .EXE file on the first disk that contains both the executable code used to extract the compressed data and the first portion of that data. The second and subsequent disks contain the remaining portions of your compressed data in files that (even though they don't actually contain any executable code) have an extension of EXE. This is potentially dangerous because, if a user inadvertently tries to run the EXE file on the second or succeeding disks, random error messages, and even system hangs, can occur.

Note: The WinZip Self-Extractor cannot make use of unformatted disks. All of the disks that you use with WinZip Self Extractor must already be formatted.

Overwrite by default

This check box determines if the "Overwrite files without prompting" option in the self-extracting Zip file's dialog box should be checked by default.

Click OK to create the self-extracting Zip file. Be sure to test the self-extracting Zip file before distributing it.

Related Topics

WinZip Self-Extractor Personal Edition - Overview

WinZip Self-Extractor


WinZip Self-Extractor

WinZip Self-Extractor Personal Edition is included with WinZip®, under the terms of the WinZip License Agreement. WinZip Self-Extractor, a companion product to WinZip, includes the following features not available in the Personal Edition:

  • Features to automate and customize software installation, such as the ability to specify an icon and text for the main self-extractor dialog box, and to delete temporary files after running a setup program. It includes support for the InstallShield 3.0 SETUP program.
  • Ability to run a command when the unzip operation completes.
  • Self-extracting files can be created from the command line.
  • All versions can be created with English or German messages.
  • Ability to automatically extract files when the EXE file is run.
  • A Wizard to simplify the process of building self-extracting files.

Click here for information on obtaining WinZip Self-Extractor.

Related Topics:

WinZip Self-Extractor Personal Edition - Overview

WinZip Self-Extractor Personal Edition - Operation


Double Clicking

Double clicking on a filename listed in the main WinZip® window will perform the same action as when you double click on a file in My Computer or Windows Explorer. If the file is executable (has a filename extension of EXE, COM, BAT, or PIF), WinZip will run it. Otherwise WinZip will open the file with the appropriate application. For example, files with a filename extension of .TXT are opened by the Windows Notepad application (unless you have changed the TXT association). The appropriate application is determined via Windows Associations. If the file is an image, the appropriate image viewer is run. See the Associated Image Viewer options in the System tab of the Configuration Dialog Box for more information on image viewer selection. If no application is associated with the file, WinZip will run the program specified as the Default association in the Program Locations tab of the Configuration Dialog Box. If you modify the file while viewing it, WinZip will offer to add the modified file to the archive.

If the Smart DOC file handling option in the Miscellaneous tab of the Configuration Dialog Box is enabled and you double click on a file with a file type of .DOC, WinZip will run one of two programs:

  • If the .DOC file looks like plain ASCII text WinZip will run the program specified as the Default association in the Program Locations tab of the Configuration dialog box.
  • If the .DOC file looks like a file created by a word processor WinZip will run the program associated with .DOC files.

Smart DOC file handling avoids the overhead of loading a word processor such as Microsoft Word when viewing ASCII text files like "readme.doc". Note that Smart DOC file handling is used for double clicked files only; it is not used when you right click on a .DOC file and choose Open from the shortcut menu. In that case, WinZip uses the same program to open the document that Windows Explorer would; for most users, this will be Microsoft Word or another word processor.

Note: Pressing the Enter key performs the same action as double clicking. Single clicking also performs the same action as double clicking if you have:

  • chosen Single click to open a file in the View tab of the Configuration dialog, or
  • enabled "Single click to open an item" in your system settings, and you have chosen Use current system folder settings in the View tab of the Configuration dialog.


Windows Associations

Windows associations

Microsoft has defined the word "associate" as follows:

  • To identify a filename extension as belonging to a certain application, so that when you open any file with that extension, the correct application is opened automatically.

For example, by default, Windows associates .WRI files with the Write or WordPad application, and .TXT files with the NOTEPAD application. Most Windows application installation procedures create associations. For example, Word for Windows creates an association for .DOC files, while WinZip® generally creates associations for files with the extensions ZIP, ARC, ARJ, B64, BHX, BZ, BZ2, CAB, GZ, HQX, LZH, MIM, RAR, TAR, TAZ, TBZ, TBZ2, TGZ, TZ, UU, UUE, XXE, Z.

WinZip uses associations when you Double Click on a filename listed in the main WinZip window and when you use the CheckOut Feature.

WinZip, My Computer, and Windows Explorer all use associations the same way. When you open a file with an association, the application associated with the file is run, and the application automatically opens the file. WinZip's CheckOut facility establishes associations when it creates the CheckOut window for two reasons: to display the right icon for each file and to ensure that the appropriate application is run when you double click an icon.

You can view, add, and remove Windows associations using My Computer or Windows Explorer. Open My Computer or Windows Explorer and locate Options or Folder Options in the menus (the exact name and menu location depends on your version of Windows). Open the options dialog from the menu and click the File Types tab. Press the F1 key for detailed instructions.

WinZip associations

You can easily review and modify the types of archives with which WinZip is associated from within WinZip. When an archive type is associated with WinZip, Windows will use WinZip to open files of that type.

To view and modify WinZip associations, choose Configuration from the Options menu, click the System tab, and click the Associations button. In the dialog that follows, you will see a list of archive types. You can specify whether an archive type should be associated with WinZip by checking or unchecking the checkbox next to the archive type.


Windows XP SP2 Attachment Manager

What is WinZip's Involvement?

By default, Windows does not consider Zip files (.zip) to be a high risk but may consider some of the files they contain to be high risk. When you download a Zip file using Internet Explorer, IE will set the Zone Identifier to reflect that the Zip file came from the 'Internet Zone'. When you receive a Zip file as an e-mail attachment using Outlook Express, OE sets the Zone Identifier to reflect that the Zip file came from the 'Restricted Zone'. Windows allows you to open the Zip file in either case because Zip (.zip) files are not generally considered High Risk. However, WinZip applies the Zone Identifier of the Zip file to any files you attempt to extract, then passes the information to the Windows Attachment Manager which decides whether any files need to be blocked from extracting. Files allowed to extract will have the same Zone Identifier included on the Zip file as long as the extract location was an NTFS drive so that later attempts to open these files will be subject to the rules of the Attachment Manager.

For information regarding Windows XP SP2's Attachment Manager, please refer to What is Windows XP SP2 Attachment Manager?


Multiple Disk Spanning

WinZip® makes it easy to create Zip files that "span" multiple disks. This is useful if the files you are working with will not fit on one disk.

Creating spanned Zip files

To make a Zip file that spans multiple disks, simply create a new Zip file on a removable disk, then add files to the Zip as you normally would. If the disk fills during Add operation, you will be prompted for another disk. Simply insert the next disk and click the OK button.

Important: disk spanning is not available when adding files to an existing archive; it is only available while creating a new archive. Also note that you cannot add files to or remove files from a Zip file that spans disks. WinZip requires pre-formatted disks (you can format disks using My Computer or Windows Explorer).

Example:

To zip the files in your c:\data folder to a Zip file called A:\DATA.ZIP:

  1. Start WinZip.
  2. Drag and drop the c:\data folder from My Computer or Windows Explorer to the WinZip window.
  3. In the Add dialog box, type the filename of the Zip file (A:\DATA.ZIP).
  4. Click the Add button.

If more than one disk is needed, you will be prompted for additional disks.

Extracting from spanned Zip files

To extract files from a spanned Zip file, insert the last disk of the series and open the Zip file using WinZip; this will display the directory of the Zip file and allow you to extract the files. WinZip will prompt you for the disks as needed to complete the operation.

See also

Split Zip files


Potentially Unsafe File Types

WinZip® displays caution messages in some situations, such as when you double-click a .EXE file compressed within a Zip file, to warn that you are working with a file type that could potentially contain a virus. These warnings can be helpful for WinZip users who rarely or never need to use Zip files containing these potentially unsafe file types. WinZip users who frequently need to work with the file types involved can easily turn the caution messages off.

To help prevent virus infections on your computer, you should familiarize yourself with the information on this page. A little knowledge and some sensible security procedures will allow you to be comfortable working with the Zip files that you receive.

On this page:

Overview

About potentially unsafe file types

WinZip's handling of potentially unsafe file types

Security hints and tips

Overview

One of the most common ways in which a computer becomes virus-infected is that its user actively causes the virus to run, not realizing that the file being opened could contain a virus. This can happen when, for example, you double-click a virus-infected attachment to an e-mail message.

Viruses are sometimes compressed inside Zip files, which are then sent as e-mail attachments. When you receive a Zip file as an e-mail attachment, double-clicking the attachment will open the Zip file in WinZip (or whatever Zip utility is installed on your system). If, within your Zip utility, you then double-click the virus-infected file, the virus can run and your computer can become infected. (An up-to-date virus scanner, scanning files in real time, will stop most infections, but the newest viruses may escape detection.)

One reason that viruses are able to spread is that double-clicking a file has historically been a safe thing to do. It is easy to casually double-click a file received as an e-mail attachment, or a file within a Zip file received as an e-mail attachment.

Unfortunately, because of the recent proliferation of viruses, it is no longer safe to routinely double-click files, especially files received as attachments to suspicious e-mail messages or downloaded from untrusted web sites. This issue has become so important that recent versions of Internet Explorer and of e-mail programs such as Outlook and Outlook Express warn you when you are about to work with potentially unsafe file types.

Because Zip files can sometimes contain virus-infected files, this version of WinZip displays similar warnings in certain situations when a Zip file that you are working with contains files of potentially unsafe types.

About Potentially Unsafe File Types

The file type of a file, sometimes referred to as its extension, is the last portion of the name of the file. For example, if you have a file called "memo.doc", the last portion of the name of the file (that is, the portion following the final period) is "DOC". This file therefore has a file type of DOC, and would sometimes be referred to as a DOC file or a .DOC file.

Windows generally uses the file type to decide how the file will be handled when you double-click the file's icon. For example, DOC files most often contain Microsoft Word documents; if you double-click a DOC file and Microsoft Word is installed on your system, Windows will open the file in Microsoft Word.

As a second example, the file "game.exe" has a file type of EXE. This type of file normally contains a program, and if you double-click it, Windows will run the program.

The EXE file type is an example of a potentially unsafe file type. While the vast majority of EXE files that you are likely to encounter are safe and useful, malicious individuals sometimes write programs that can harm your computer and distribute them in the form of EXE files.

There are a number of other file types that are often considered to be potentially unsafe because they have been used to spread viruses. There is no definitive list of these file types that everyone would agree with, and to some extent the list is constantly changing, but here is the list that is used by this version of WinZip:

ADE, ADP, APP, ASA, ASP, BAS, BAT, CER, CHM, CMD, COM, CPL, CRT, CSH, DLL, EXE, FXP, HLP, HTA, HTM, HTML, HTR, INF, INS, ISP, ITS, JS, JSE, KSH, LNK, MAD, MAF, MAG, MAM, MAQ, MAR, MAS, MAT, MAU, MAV, MAW, MDA, MDB, MDE, MDT, MDW, MDZ, MHT, MHTM, MHTML, MSC, MSI, MSP, MST, OCX, OPS, PCD, PIF, PRF, PRG, REG, SCF, SCR, SCT, SHB, SHS, TMP, URL, VB, VBE, VBS, VBX, VSMACROS, VSS, VST, VSW, WS, WSC, WSF, WSH, XSL

All of these file types have legitimate uses under appropriate circumstances. The simple fact that a file is one of the types listed above does not mean that there is something "wrong" with the file or that it is infected with a virus. But if you receive a file with one of these types from an untrusted source or in unexpected or suspicious circumstances, you should not work with the file until you are sure that it is safe.

Of course, as mentioned above, there is no definitive list of which file types are safe or unsafe, so even with file types that are not on the above list, you should use appropriate cautions.

For some general security guidelines, see Security Hints and Tips below.

WinZip's Handling of Potentially Unsafe File Types

WinZip will warn you about some of the most common situations in which you could become infected by a virus compressed inside a Zip file.

  • If you are using the WinZip Classic interface and you double-click a file with a potentially unsafe file type, such as .EXE, WinZip will display a dialog warning you about the potentially unsafe file type. You can then decide whether you really want to open it.

    Note that this warning is only displayed when you double-click a file within a Zip file to open that file from within WinZip. You can still extract files from a Zip file to a folder on your disk without a warning, regardless of the file types involved.

  • If you are using the WinZip Wizard interface, the Wizard will display a dialog to notify you when you begin to work with a Zip file that contains any files on WinZip's list of potentially unsafe file types. You can then decide whether you want to continue working with that Zip file.
  • WinZip also displays warning text when you try to install software contained within a Zip file. For example, when you use the Install button in the WinZip Classic interface to install software from a Zip file that contains a Setup program, WinZip will display a dialog reminding you not to install untrusted software.

Some WinZip users, especially "power users" who frequently work with some of the file types that WinZip considers potentially unsafe, will prefer not to see these warnings repeatedly. Therefore, all of the new warning dialogs have check boxes that you can use to stop them from displaying again.

Security Hints and Tips

Know Your Source

  • Never open a Zip file that is attached to e-mail from an unknown source.
  • If an unexpected Zip file is attached to e-mail from someone you know, consider verifying with the sender that the attachment is legitimate. Some viruses spread by e-mailing copies of themselves to everyone in the contact lists of infected computers; this means that you can receive infected files even from people you know.
  • Avoid downloading Zip files from untrusted web sites.
Of course, these guidelines don't apply only to Zip files; they apply equally to any file type.

Keep Your System Protected and Up-To-Date

  • It is very important to have a good anti-virus program installed on your computer. We recommend that you configure your anti-virus program to scan all files that you work with in real time. Most virus scanners can also be configured to scan e-mail as it arrives and quarantine infected messages. We also recommend that you enable this option. And, because new viruses are discovered almost daily, be sure to keep your anti-virus program up to date. Most anti-virus programs have an automatic update facility that can help with this.
  • You should also use Microsoft's Windows Update feature to be sure that you have Microsoft's latest fixes for your version of Windows. Windows Update also has an automatic update facility that can help keep you up to date.
  • To be sure that you find out about new WinZip updates or maintenance releases, sign up for the WinZip mailing list.

Disable Hidden File Name Extensions

All current versions of Windows are initially installed with an option called "Hide extensions for known file types" enabled. When this option is enabled, Windows will not display the file name extensions (.EXE, .DOC, etc.) for file types that it knows about.

This option is considered by many knowledgeable users to be dangerous, primarily because it can mislead you about the true nature of your files. For example, you might have a virus-infected file named "vacation.jpg.exe". If the hidden extension option is enabled, this file will appear on your desktop or in Windows Explorer as "vacation.jpg", leading you to think that it is a harmless vacation picture. In fact, it is an executable program, and opening it could infect your computer.

To disable hidden extensions:

  1. Open My Computer or Windows Explorer.
  2. Click Folder Options, which will be located in either the View menu or the Tools menu, depending on your version of Windows.
  3. In the Folder Options dialog, click the View tab.
  4. Uncheck the box labeled Hide extensions for known file types and click OK.


Desktop Theme Installer

What's a desktop theme?

A desktop theme is a collection of desktop attributes--colors, mouse pointers, sounds, wallpaper, and so on--that create a "theme" for your desktop. Please read this additional information if you are using Windows 2000.

Caution: you should be careful when installing any kind of software, including desktop themes. Be certain that you trust the source of this Zip file. Do not install anything contained in a Zip file that was attached to an unexpected or suspicious e-mail message. See Security Hints and Tips for additional information.

Windows users have contributed a wide variety of themes that you can obtain, usually at little or no cost, from online sources such as the Internet or AOL. Most commonly these are packaged in Zip files as a collection of components, often lacking a Setup program for installation. Without a Setup, themes can be somewhat difficult to install--but WinZip's® desktop theme installer makes it easy.

The WinZip desktop theme installer

If WinZip determines that the open Zip file contains a desktop theme, the Install button is enabled and you will be able to use it to install your theme. Simply click the Install button or choose Install from the Actions menu and follow the screen instructions. Note: if the Install button isn't enabled, see the notes below; the desktop theme installer may be turned off.

After WinZip has extracted the necessary files to the correct folders, it will run the system theme installer (normally Themes.Exe) to complete your installation. Here you can preview many of the changes, such as color, desktop icons, and wallpaper, provided by the theme designer. (Under some versions of Windows you may need to first select the new theme from the list of available themes in the Theme drop-down list.) If you like the theme, just click Apply and Themes will convert your desktop to the new theme. If you don't like the theme, click Cancel and your desktop will be unaffected. Consult your Windows documentation or help for more information about the theme installation program.

If you use the WinZip Wizard, the Wizard will automatically lead you through theme installation when you unzip a Zip file that contains a theme.

Please read this additional information if you are using a third party theme installer.

Notes

Here are some additional notes regarding desktop theme installation.

  • A desktop theme is defined by a Desktop Theme File (.Theme extension), which must be contained in the Zip file. WinZip assumes that any Zip file that contains a file with a .Theme extension is a desktop theme Zip file. The Desktop Theme File identifies the various components of the theme and specifies exactly where they are to be located. Because the files must be stored in the folders defined by the Desktop Theme File, WinZip does not provide you with an option to specify the folders to which the theme should be extracted. It does, however, show you what folders will be used and allows you to cancel installation if desired.
  • Microsoft has not documented the format of .Theme files. The WinZip Desktop Theme Installer is designed to work with .Theme files as used by the current version of Microsoft's THEMES.EXE (4.0). It is possible that Microsoft may change the format of .Theme files or other aspects of desktop theme support and that, as a result, WinZip will no longer be able to support desktop theme installation.
  • Some desktop theme Zip files contain more than one theme. When this is the case, WinZip allows you to choose which theme to install.
  • If you would prefer to install your desktop theme manually, choose Unzip only in the "Unzip/Install Desktop Theme" panel. Alternatively, you can disable the theme installer by choosing Configuration from the Options menu, clicking the Miscellaneous tab, and unchecking the box labeled Desktop theme/screen saver installer. This disables both the theme installer and the screen saver installer.
  • We have found that many free desktop theme Zip files obtained from online sources are missing some components (such as cursors or sound files). In some cases, filenames are simply misspelled in the Desktop Theme File; in others, components were omitted from the Zip file. This does not necessarily mean that the themes are unusable, just that they are incomplete. Before it extracts any files, WinZip will show you which components, if any, are missing from the theme package.
  • A small percentage of free desktop themes simply do not work at all, for various reasons. Unfortunately, WinZip International LLC. cannot offer support in getting malfunctioning desktop theme packages to work; please contact the theme's author or supplier instead. (But don't let this discourage you--there are many excellent free theme packages available!)
  • WinZip supports desktop themes only when they are packaged in Zip format. It cannot install themes from other archive formats (ARJ, LZH, etc.).
  • If the Zip file contains a SETUP or INSTALL program, WinZip will use the standard software Install feature rather than the desktop theme installer.


Screen Saver Installer

If WinZip® determines that the open Zip file contains one or more screen savers (.SCR extension), the Install button is enabled and you will be able to use it to install your screen saver. Simply click the button or choose Install from the Actions menu and follow the screen instructions. Note: if the Install button is disabled, see the notes below; the screen saver installer may be turned off.

Caution: you should be careful when installing any kind of software, including screen savers. Be certain that you trust the source of this Zip file. Do not install anything contained in a Zip file that was attached to an unexpected or suspicious e-mail message. See Security Hints and Tips for additional information.

After WinZip has extracted the necessary files to your Windows folder, it will run Microsoft's Display control panel application to complete your installation. Here you can try out the screen saver and possibly modify its settings. If you change your mind and don't want to install the new screen saver, simply select a different one from the installer's list before leaving the Display application. Note that clicking Cancel from the Display application does not cancel installation of the new screen saver--it has already been installed. Consult your Windows documentation or help for more information about the Display application.

If you use the WinZip Wizard, the Wizard will automatically lead you through screen saver installation when you select a Zip file that contains a screen saver.

Notes

Here are some additional notes regarding screen saver installation.

  • Screen savers are typically installed to the Windows folder. Therefore, WinZip does not provide you with an option to specify the folder to which the screen saver should be extracted. It does, however, show you which files will be extracted and allows you to cancel installation if desired.
  • Some Zip files contain more than one screen saver. When this is the case, WinZip allows you to choose which one to install.
  • Some screen savers require additional components (.DLL, .VBX, .OCX, .MID, and .WAV extensions). WinZip assumes that any file in the Zip file with one of these extensions is a component of the screen saver and will extract it to your Windows folder along with the screen saver itself.
  • If you would prefer to install your screen saver manually, choose Unzip only in the "Unzip/Install Screen Saver" panel. Alternatively, you can disable the WinZip screen saver installer by choosing Configuration from the Options menu, clicking the Miscellaneous tab, and unchecking the box labeled Desktop theme/screen saver installer. This disables both the screen saver installer and the desktop theme installer.
  • WinZip supports screen saver installations only when they are packaged in Zip format. It cannot install screen savers from other archive formats (ARJ, LZH, etc.).
  • If the Zip file contains both a desktop theme and a screen saver, WinZip will use the desktop theme installer (the screen saver is probably part of the theme and will be installed along with it). If the Zip file contains a SETUP or INSTALL program, WinZip will use the standard software Install feature.


Keyboard Usage

WinZip® is easier to use with a mouse, but you can also use the standard Windows keyboard interface. WinZip's keyboard accelerators include:

F1 | Activate help system
F7 | Move an archive.
F8 | Copy an archive
Alt+F4 | Exit (terminate) WinZip
Ctrl+A | Select all items in the list box.
Ctrl+N | Create a new archive.
Ctrl+O | Open an existing archive.
Ctrl+P | Print a listing of files in an archive.
Shift+A | Add files to an archive.
Shift+C | Activate the CheckOut feature.
Shift+D | Delete files from an archive.
Shift+E | Extract files from an archive.
Shift+F | Favorite Folders.
Shift+G | View, add, or edit a comment.
Shift+H | Split a Zip file.
Shift+I | Install files in an archive.
Shift+K | Create a self-extracting archive.
Shift+L | Close an archive.
Shift+M | Mail an archive.
Shift+R | Rename an archive.
Shift+T | Test an archive.
Shift+U | UUencode an archive.
Shift+V | View files in an archive.
Shift+W | Switch to the Wizard interface.
Shift+Y | Encrypt all files in a Zip file.
Shift+Z | Create a New Zip File on CD or DVD.
Direction key(s) | Move the cursor and/or scroll a list.
Shift+direction keys | Select multiple items in a list box.
Enter | Same as double clicking in the main window.


Hints and Tips

Here are the hints and tips displayed by the "Tip of the Day" dialog box:

  • The Tip of the Day dialog is normally displayed when you start WinZip®, except when you are opening a Zip file. You can change this behavior using the combo box in the Tip of the Day dialog.
  • When you are adding files that you want to be encrypted, it is more efficient to encrypt them while adding than to encrypt them later with the Encrypt menu item.
  • If you forget to encrypt files when you add them, you can encrypt them later by choosing Encrypt from the Actions menu.
  • If you are new to Zip files, you can use the Wizard interface to walk you through the process of zipping and unzipping or installing software from Zip files, MIME files, and other encoded files. Choose Wizard from the WinZip File menu to activate the Wizard.
  • You can add, remove, or reorder buttons on the WinZip toolbar by right clicking on the toolbar and choosing Select Buttons.
  • WinZip's toolbar buttons look much better if your display is in high- or true-color mode.
  • Click Control Panel in the Start menu's Settings entry. Double click Display and choose the Settings tab. Choose High Color or True Color mode for Color Palette.
  • For some quick lessons on how to use WinZip's main features, choose Brief Tutorial from WinZip's Help menu.
  • For quick zipping and unzipping, you can right click on a file listed in Windows Explorer and choose Add to Zip file or Extract to from Windows Explorer's context menu.
  • The WinZip Quick Pick taskbar tray icon provides instant access to recently used archives, recently run job files, your Favorite Zip Folders, WinZip help, and WinZip itself. Learn about it here.
  • For answers to Frequently Asked Questions (FAQs), choose Frequently Asked Questions from WinZip's Help menu.
  • You can unzip all files from a Zip file without leaving Windows Explorer. Use the right mouse button to drag and drop a Zip file from an Explorer window to any folder, then choose Extract to from the context menu. Be sure to use the right mouse button while dragging.
  • You can extract from multiple Zip files in one operation. Simply select two or more Zip files in a Windows Explorer or My Computer window, right click one of the files, and choose one of the Extract entries in the WinZip context menu. The best choices for this operation are usually Extract to or Extract to here using filenames for folders because both of these entries allow you to use a separate folder for each Zip file. You can use the other choices, however, if you want to extract all of the files to a single folder.
  • You can create Zip files in Windows Explorer: right click in the Contents pane, then choose New and WinZip File. An empty Zip file will be created in the current folder.
  • Mailing your Zip files is easy! If you are using a MAPI-compatible mail system, you can mail Zip files using the Send To...Mail Recipient entry in the WinZip File menu. Or, use the Zip and E-Mail or Zip and E-Mail Plus features from Windows Explorer's context menu to quickly zip and e-mail any file.
  • If you usually use the same folders when opening, extracting, or adding files, choose Configuration from WinZip's Options menu and specify the folders in the Folders tab.
  • If you need to send files to users who may not have an unzip utility, try "WinZip Self-Extractor Personal Edition" (included with WinZip). The self-extractor makes files that unzip themselves. First create a Zip file, then choose Make .Exe File from the WinZip Actions menu.
  • To change the default WinZip window size and position to the current window size and position, choose Save Settings Now from the Options menu.
  • To display details about the open Zip file (for example, the date the Zip file was last modified or the name of the folder containing the Zip file), click on the WinZip status line or choose Properties from the WinZip File menu.
  • You can make a Zip file that spans multiple disks. Simply create a Zip file on a removable disk, then add to the Zip file as you normally would. If the disk fills up while files are being added, you will be prompted for another disk. Just insert the next disk and click the OK button.
  • The file listing in the main WinZip window can be quickly sorted by any of the fields displayed in the file listing. Just click on any column title to sort on it.
  • You can quickly extract files from a Zip file by dragging the files from WinZip to any folder or Windows Explorer window (or even to the desktop).
  • You can quickly add files to a Zip file by dragging the files from any folder or Windows Explorer window to WinZip.
  • WinZip has many features that make it easy to work with files downloaded from the Internet and online services like America Online. For a list of hints, see Hints For Working With Downloaded Files.
  • Besides Zip files, WinZip processes many other formats, including RAR, BZ2, BZ, TBZ, TBZ2, TAR, Z, GZ, TGZ, CAB, UUencode, BinHex, and MIME.
  • If you can't remember where you put your Zip files, you can use the Favorite Zip Folders feature to find them. Choose Favorite Zip Folders from the WinZip File menu.
  • You can easily view files in a Zip file by dragging them to an application or a shortcut to an application.
  • You can easily print files by dragging them to a printer icon or a shortcut to a printer. (To print a list of files in a Zip file, choose Print from WinZip's File menu.)
  • Zip files opened with WinZip are added to the Start menu's Documents list. To quickly open Zip files that you have recently worked with, choose Documents from the Start menu.
  • Note: Windows XP does not display Zip files in the Documents menu. You can use the WinZip Quick Pick taskbar tray feature to open recently used archives.
  • You can add selected files to a Zip file directly from Windows Explorer with complete control over the options. Right click on any file (or selected group of files) and choose Add to Zip file from the context menu.
  • WinZip can install software, desktop themes, and screen savers contained in Zip files. To use this feature, simply open a Zip file containing a software installation (SETUP.EXE or INSTALL.EXE), theme, or screen saver and click Install.
  • To open or view multiple files in an archive contents list, hold down the Ctrl key while clicking the files. Then click the View button on the toolbar to view the files or right click on any selected file to display the context menu.
  • WinZip displays useful information about Zip files you select in Windows Explorer. The information appears in a tooltip or, if "View as Web Page" is enabled, in the description area of the web page. The Windows Desktop Update (Active Desktop) must be installed and WinZip shell extensions enabled in order to use this feature.
  • WinZip can automatically display the Zip comment when you open a Zip file that contains a comment. And, when the open Zip file has a comment, you can click the comment icon on the status bar to view and edit the comment.
  • If you like the look of Internet Explorer's toolbar, you can have the same look in WinZip. Choose Configuration from WinZip's Options menu, click the Toolbar tab, and check Use Explorer-style toolbar buttons and Use flat toolbar buttons. Uncheck Use large toolbar buttons if you'd also prefer smaller buttons.

Related Topics:

More Hints and Tips

Hints For Working With Downloaded Files

Using the Explorer Interface

Frequently Asked Questions (FAQs)


More Hints and Tips

Here are more Hints and Tips:

  • To switch to another program during an archive operation, click on the window for the other program, or hold down the Alt key and press the Tab key repeatedly until the program's icon is selected. Note: you cannot use the WinZip® system menu or minimize button during archive operations. However, you can minimize WinZip by opening the Miscellaneous tab in the Configuration dialog, checking Display status dialog for long operations, and clicking the dialog's minimize button.
  • You can move or copy files from one archive to another by opening multiple WinZip windows, one for each archive, and dragging files from one to the other. Note that you need to turn off the Reuse WinZip Windows entry in the Options pull-down menu in order to start multiple WinZip windows.

Long Filename Tips

  • The current versions of most optional external archivers used by WinZip are DOS programs and do not support long filenames. Therefore, WinZip will pass the short 8.3 version of all long file and folder names to these external programs. Since normal 8.3 names are usually more meaningful than the shortened versions of long filenames, it is recommended you use standard 8.3 filenames when working with external archivers.

Related Topics:

Hints and Tips

Hints For Working With Downloaded Files

Using the Explorer Interface

Frequently Asked Questions (FAQs)


Hints for Working with Downloaded Files

WinZip® makes it easy to work with files downloaded from the Internet and online services like America Online.

  • The Install feature makes it easy to install most software distributed in Zip files: if a Zip file contains a "setup" or "install" program, a desktop theme, or a screen saver, WinZip can unzip the files, run the installation program if present, and clean up temporary files. If the Zip file does not contain any of these, you can use the CheckOut Feature to try the downloaded file.
  • The Favorite Zip Folders feature makes locating Zip files you want to open much easier.
  • The Downloading and Processing Files with WinZip topic provides further hints, tips, and helpful procedures.
  • The Archive Management features make it easy to move archives to floppies, or to delete them if they don't meet your needs.

Of course, you should always use appropriate caution when using files downloaded from the Internet. See Security Hints and Tips for some basic security information to keep in mind when you work with downloaded files.

To print this page, click the Print button in the toolbar.

One strategy for handling downloaded files involves three folders:

\DOWNLOAD | Recently downloaded files
\UPLOAD | Files you are planning to upload
\ARCHIVES | Archives you are planning to keep

A relatively empty download folder makes it much easier to stay organized. It is a good idea to download all archives into your \DOWNLOAD folder, and after each on-line session perform the following steps for each archive:

  1. Open the archive. An easy way to open files is to first open the \DOWNLOAD folder in My Computer or Windows Explorer. Then double click on an archive to open it. You will probably want to click on the Modified column header in My Computer or Windows Explorer so that the most recent files are shown at the top of the list.
  2. Read about the software in the archive. Many archives contain a file named "file_id.diz". By convention this file contains a brief description of the archive contents. If this file is listed in the main WinZip window, double click on it to view its contents. When you are done viewing the file, close the program being used to view the file. Repeat this process for any files with the word "read" in the filename (e.g. "readme.txt" or "read.me").
  3. Try the software if the archive looks interesting. One easy way to do this is with the Install or CheckOut buttons on WinZip's toolbar. If the archive contains an "install" or "setup" program, a desktop theme, or a screen saver, the Install button will be displayed, otherwise, it will contain the CheckOut button. Note: downloaded software should always be scanned for viruses before you install or use it. If you download archives containing software, you should obtain a reliable virus scanner, keep it up to date, and always use it on the contents of such downloaded archives.
  4. Move each archive out of your download folder after trying the software. If you want to keep the archive on your hard disk, choose Move from the Manage Archive submenu of the File menu to move the archive somewhere else on your disk, such as \ARCHIVES. Note that the folders you have most recently used for move and copy operations are available for quick access in a drop-down list. If you don't want to keep the file you downloaded, you can easily delete it using the Delete entry in the Manage Archive submenu.

Of course, these are just suggestions. There are other good ways to use WinZip to work with downloaded files. Feel free to use whatever method works best for you.

Related Topics:

Hints and Tips

More Hints and Tips

Using the Explorer Interface

Frequently Asked Questions (FAQs)


Frequently Asked Questions

For more complete and up-to-date FAQs, please visit the WinZip® web site.

Basic

How do I get started?

Technical

How do I use disk spanning?

How do I compress a folder and later restore it?

How do I view graphic/spreadsheet/word processing files in an archive?

How do I use WinZip to e-mail archives?

Why aren't WinZip's e-mail features working for me?

Non-technical

How do I purchase WinZip?

Do you keep track of address changes?

Related Topics:

Hints and Tips

More Hints and Tips

Hints For Working With Downloaded Files

Using the Explorer Interface


WinZip License Standard Version

WinZip 11.0 License Standard Version

WinZip® Copyright © 1991-2006 by WinZip International LLC
All rights reserved.

This registered license is for users who have obtained from WinZip Computing a valid registration code for WinZip® 11.0. If you have not obtained a valid registration code for WinZip® 11.0, see the section titled WinZip Evaluation License.

WinZip License
Registered Version

Your Agreement to this License

This License only applies to the executable code for the English-language version of the WinZip 11.0 software and any accompanying distributable files, data and materials ("WinZip"). You should carefully read the following terms and conditions before using, installing, copying, or distributing WinZip. Unless otherwise agreed in a writing signed by an authorized representative of WinZip Computing LP ("WinZip Computing"), your use, installation, copying, or distribution of WinZip indicates your acceptance of this agreement ("License"). You understand and agree that the terms and conditions of this License are the only terms and conditions applicable to your purchase of this License or use of WinZip and any additional or different terms specified, referenced, and/or incorporated by any document provided by you or on your behalf are hereby rejected by WinZip Computing.

All registered copies of WinZip allow access to WinZip's Standard software features. Copies of WinZip registered using a Pro registration code also will allow access to the additional WinZip Pro software features. For a complete description of WinZip's Standard and Pro features, refer to www.winzip.com.

Please read the license terms below. If you do not agree to all of the terms and conditions of this License, then do not use, install, copy, or distribute WinZip. In addition, if you paid a license fee to WinZip Computing or an authorized WinZip Computing reseller, you may return to WinZip Computing or the reseller, as applicable, a copy of the registration code, registration file, or activation code, if any, and a signed Affidavit of De-Installation and Non-Use in the form set forth on the WinZip.com website, within thirty (30) days after purchase, for a full refund of the license fee.

The terms and conditions of this License describe the permitted use and user(s) of each Licensed Copy of WinZip.

Scope of License

Subject to the terms of this License, WinZip Computing grants to you, for each Licensed Copy, a limited, non-exclusive, non-transferable, royalty-free, license to install and use WinZip, solely for your personal or internal business purposes.

If you have purchased a single-user license you have the right to install and use a single copy of WinZip on one computer or workstation for non-simultaneous use by one or more persons and install a second copy of WinZip on another computer or workstation for the exclusive use of the person who is the primary user of the first copy of WinZip. If you have purchased a multi-user license you have the right to install or access a copy of WinZip on multiple computers up to the number of "Licensed Copies" that you have acquired, as determined below.

You may not give, transfer or sell copies of WinZip to your customer(s), or any third party, in whole or in part, nor include copies of WinZip, in whole or in part, in, or with, products you sell.

Each Licensed Copy may be accessed through a network, provided that you have purchased a Licensed Copy for each workstation that will access WinZip through the network. For instance, if 8 different workstations will access WinZip on the network, you must purchase 8 Licensed Copies of WinZip, regardless of whether the 8 workstations will access WinZip at different times, or concurrently.

For purposes of this License,

  1. if you have paid for a Single-User Standard License and received a valid Standard Registration Code, you are deemed to have a single "Licensed Copy" of WinZip, and are authorized to access all software features, except those designated as Pro features;
  2. if you have paid for a Single-User Pro License and received a valid Pro Registration Code, you are deemed to have a single "Licensed Copy" of WinZip, and are authorized to access all software features, including those designated as Pro features;
  3. if you have paid for a Multi-User Standard License and received a valid Standard Registration File or Code, you or your organization are deemed to have acquired a number of "Licensed Copies" of WinZip equal to the number specified on the web page accessed from the "Registration Info" link in the "About" screen of WinZip after installation of the valid Standard Registration File or Code, and are authorized to access all software features, except those designated as Pro features;
  4. if you have paid for a Multi-User Pro License and received a valid Pro Registration File or Code, you or your organization are deemed to have acquired a number of "Licensed Copies" of WinZip equal to the number specified on the web page accessed from the "Registration Info" link in the "About" screen of WinZip after installation of the valid Pro Registration File or Code, and are authorized to access all software features, including those designated as Pro features.

WinZip includes WinZip Self-Extractor Personal Edition, which may be used to create an unlimited number of freely distributable, royalty-free, self-extracting Zip files. These self-extracting Zip files contain, among other things, a portion of WinZip Self-Extractor Personal Edition, including copyrighted software, proprietary notices, and identifying information (the "Extraction Software"). You may not alter or modify the Extraction Software, nor permit anyone else to do so.

If you have purchased a Multi-User Standard License or Multi-User Pro License, you are responsible for duplicating and distributing WinZip for use in accordance with the terms of this License, and for monitoring the number of copies of WinZip installed and used by your organization. Under a Multi-User License, you may install WinZip only on computers operated by, or on behalf of, your organization. Subject to United States export restrictions referenced below, other applicable laws and regulations, including the laws of countries other than the United States of America, and the other limitations set forth in this License, you may install and access Licensed Copies of WinZip on computers located anywhere in the world. For more information regarding multi-user licenses, please visit the WinZip Computing website at www.winzip.com.

All rights of any kind in WinZip which are not expressly granted in this License are entirely and exclusively reserved to and by WinZip Computing. WinZip is protected by the United States copyright laws and other applicable national and international laws and treaties.

You may use, install and distribute WinZip solely as expressly provided in this License. You may not rent, lease, loan, sublicense, modify, translate, reverse engineer, decompile, disassemble, or create derivative works based on, WinZip, in whole or in part, nor permit anyone else to do so. You may not make access to WinZip available to others in connection with a service bureau, application service provider, or similar business, nor permit anyone else to do so. The license granted hereunder includes no rights in or to the source code version of WinZip.

Warranty Disclaimers and Liability Limitations

WinZip, and any and all accompanying software, files, data and materials, are distributed and provided "AS IS" and with no warranties of any kind, whether express or implied, including, without limitation, any warranty of merchantability or fitness for a particular purpose. Neither WinZip Computing nor any of its affiliates or licensors warrant, guarantee, or make any representations regarding the use of, or the results of the use of, WinZip. Neither WinZip Computing nor any of its affiliates or licensors warrants that the operation of WinZip will be uninterrupted or error-free, or that the use of any passwords and/or encryption features will be effective in preventing the unintentional disclosure of information contained in any file. You acknowledge that good data processing procedure dictates that any program, including WinZip, must be thoroughly tested with non-critical data before there is any reliance on it, and you hereby assume the entire risk of all use of the copies of WinZip covered by this License. This disclaimer of warranty constitutes an essential part of this License.

Except to the extent expressly prohibited by applicable statutes, WinZip Computing, its affiliates or licensors shall not be liable for any damage or financial loss arising out of the use of, or inability to use, WinZip. Any liability of WinZip Computing, its affiliates or licensors will be limited exclusively to refund of any license or registration fee paid to WinZip Computing. Except to the extent expressly prohibited by applicable statutes, in no event shall WinZip Computing, or its principals, shareholders, officers, employees, affiliates, licensors, contractors, subsidiaries, or parent organizations, be liable for any direct, indirect, incidental, consequential, special, or punitive damages whatsoever relating to the use of WinZip, or to your relationship with, WinZip Computing, its affiliates or licensors (including, without limitation, loss or disclosure of data or information, loss of profit, revenue, business opportunity or business advantage, or business interruption), whether based upon a claim or action of contract, warranty, negligence, strict liability, contribution, indemnity, or any other legal theory or cause of action, even if advised of the possibility of such damages.

In addition, in no event does WinZip Computing authorize you or anyone else to use WinZip in applications or systems where WinZip's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of property, or loss of life. Any such use is entirely at your own risk, and you agree to hold WinZip Computing, its affiliates or licensors harmless from any and all claims or losses relating to such unauthorized use.

U.S. Government End Users

WinZip is a "commercial item" as that term is defined at 48 C.F.R. 2.101. Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4, all U.S. Government end users acquire WinZip and any related documentation with only those rights set forth in this License.

Export Restrictions

WinZip is subject to certain export restrictions of the United States Government. If you are (a) in a country to which export from the United States is restricted for anti-terrorism reasons, or a national of any such country, wherever located, (b) in a country to which the United States has embargoed or restricted the export of goods or services, or a national of any such country, wherever located, or (c) a person or entity who has been prohibited from participating in United States export transactions by any agency of the United States Government, then you may not install, download, access, use, or license WinZip. By accepting this License, you warrant and represent to WinZip Computing that (1) you do not match the criteria set forth in (a), (b), or (c) above, (2) that you will not export or re-export WinZip to any country, person, or entity subject to U.S. export restrictions, including those persons and entities that match the criteria set forth in (a), (b), or (c) above, and (3) that neither the United States Bureau of Industry and Security, nor any other U.S. federal agency, has suspended, revoked, or denied your export privileges.

General

WinZip, including, without limitation, the information included in its accompanying distributable files, data and materials and any activation code and registration code files or information, and the know-how embodied in WinZip, is confidential and trade secret information (the "Proprietary Information") that is proprietary to and solely owned or licensed by WinZip Computing, together with all related copyrights and trademarks relating thereto. You agree to maintain the Proprietary Information in strictest confidence for the benefit of WinZip Computing and its licensors. You shall not sell, license, publish, display, distribute, disclose, or otherwise make available or allow to be made available the Proprietary Information, including, without limitation, any activation codes, registration codes, or registration files, to any third party nor use such Proprietary Information except as authorized by this License. The obligations under this paragraph shall survive any termination or cancellation of the License.

This License is the complete statement of the agreement between the parties on the subject matter, and merges and supersedes all other or prior understandings, purchase orders, agreements, and arrangements.

You may not assign, sublicense, subcontract, or otherwise transfer any of your rights or obligations or delegate any of your duties under this License, in whole or in part, without the prior written consent of WinZip Computing. Notwithstanding anything to the contrary, any assignment of this License or any rights or obligations hereunder is contingent upon the intended assignee agreeing to be bound by the terms of this License and all responsibilities and obligations of the assignor hereunder.

This License shall be governed by the laws of the State of Connecticut, without regard to Connecticut choice-of-law rules. Exclusive jurisdiction and venue for all matters relating to this License shall be in courts and fora located in the State of Connecticut, and you consent to such jurisdiction and venue.

There are no third-party beneficiaries of any promises, obligations, or representations made by WinZip Computing herein.

Any waiver by WinZip Computing of any violation of this License by you shall not constitute, nor contribute to, a waiver by WinZip Computing of any other or future violation by you of the same provision, or any other provision, of this License.

If any part of this License or the application thereof to any person or circumstance is for any reason held invalid or unenforceable, it shall be deemed severable, and the validity of the remainder of this License, or the applications of such provision to other persons or circumstances, shall not be affected thereby.


WinZip Evaluation License

WinZip 11.0 Evaluation License

WinZip® Copyright © 1991-2006 by WinZip International LLC
All rights reserved.

This license applies to the evaluation version of WinZip®. If you do not have an evaluation version of WinZip, see the section titled WinZip Standard License.

WinZip License
Evaluation Version

Your Agreement to this License

This License only applies to the executable code for the English-language version of the WinZip 11.0 software and any accompanying distributable files, data and materials ("WinZip"). You should carefully read the following terms and conditions before using, installing, copying, distributing, or transmitting this software. By using, installing, copying, distributing, or transmitting WinZip without registering your copy of WinZip, you agree to all of the terms of this evaluation license agreement ("License"). Refer to www.winzip.com for information about pricing, multi-user licensing, and registration options.

All registered copies of WinZip allow access to WinZip's Standard software features. Copies of WinZip registered using a Pro registration code will also allow access to the additional WinZip Pro software features. For a complete description of WinZip's Standard and Pro features, refer to www.winzip.com.

Please read the license terms below. If you do not agree to all of the terms and conditions of this License, then do not use, install, copy, distribute, or transmit WinZip.

Scope of License

This is not free software. Subject to the terms below, you are hereby licensed by WinZip Computing LP ("WinZip Computing") to use for evaluation purposes only one (1) copy of WinZip, on one (1) computer or workstation, without charge, for a period of 45 days after you first install WinZip on any computer or workstation. If you want to use this software after the 45-day evaluation period, you must acquire from WinZip Computing for a fee a single-user license or multi-user license for WinZip. Refer to www.winzip.com for information about Standard and Pro license pricing, multi-user licensing, and ordering options. Use of WinZip after the expiration of the 45-day evaluation period without acquiring such a license from WinZip Computing is outside the scope of this License and a violation of U.S. and international copyright laws.

Subject to all of the terms of this License, you may, without making any payment to WinZip Computing:

  1. give exact copies of WinZip personally and without charge of any kind to anyone for evaluation purposes only, subject to the terms of this License, using tangible media of any kind or via e-mail (but not in a bulk mailing or through unsolicited bulk e-mails);
  2. distribute exact copies of WinZip for evaluation purposes only, subject to the terms of this License, if done exclusively by allowing downloads through the public Internet and without charge of any kind; and
  3. make as many exact copies of WinZip as you wish, for purposes of distribution as described in (a) and (b) above.

For purposes of the foregoing, an "exact copy" of WinZip means a file that is identical, at the time you create the copy, to the WinZip distribution file available at http://www.winzip.com.

You are specifically prohibited from charging, or requesting donations, for any distributed copies, however made, or from distributing such copies with other products of any kind, commercial or otherwise, without prior written permission from WinZip Computing. Also, you are specifically prohibited from charging, or requesting donations, for providing access to any hyperlink or other method that allows a user to create or transfer electronically copies of WinZip.

WinZip Computing reserves the right to revoke any or all distribution rights at any time, for any or no reason.

Self-extracting Zip files created by WinZip's Self-Extractor Personal Edition component contain, among other things, a portion of WinZip Self-Extractor Personal Edition, including copyrighted software, proprietary notices, and identifying information (this portion is the "Extraction Software"). You may not alter or modify the Extraction Software, nor give anyone permission to do so. Under no circumstances are you licensed to distribute self-extracting Zip files created by the evaluation version of WinZip Self-Extractor.

All rights of any kind in WinZip which are not expressly granted in this License are entirely and exclusively reserved to and by WinZip Computing. You may use WinZip solely as expressly provided in this License. WinZip is protected by the United States copyright laws and other applicable national and international laws and treaties. You may not rent, lease, sublicense, modify, translate, reverse engineer, decompile, disassemble, or create derivative works based on, WinZip, in whole or in part, nor permit anyone else to do so. You may not make access to WinZip available to others in connection with a service bureau, application service provider, or similar business, nor permit anyone else to do so. The license granted hereunder includes no rights in or to the source code version of WinZip.

WinZip includes a user selectable feature to check for software updates. By selecting the option to check for updates automatically, or manually invoking the feature, you are consenting to allow WinZip Computing to download and install updated non-executable files (such as screen files) to your computer without further notice. Before WinZip downloads and installs any updated executable files, WinZip will request your express consent.

Warranty Disclaimers and Liability Limitations

WinZip, and any and all accompanying software, files, data and materials, are distributed and provided "AS IS" and with no warranties of any kind, whether express or implied, including, without limitation, any warranty of merchantability or fitness for a particular purpose. Neither WinZip Computing nor any of its affiliates or licensors warrant, guarantee, or make any representations regarding the use of, or the results of the use of, WinZip. Neither WinZip Computing nor any of its affiliates or licensors warrants that the operation of WinZip will be uninterrupted or error-free, or that the use of any passwords and/or encryption features will be effective in preventing the unintentional disclosure of information contained in any file. You acknowledge that good data processing procedure dictates that any program, including WinZip, must be thoroughly tested with non-critical data before there is any reliance on it, and you hereby assume the entire risk of all use of the copies of WinZip covered by this License. This disclaimer of warranty constitutes an essential part of this License.

Except to the extent expressly prohibited by applicable statutes, WinZip Computing, its affiliates or licensors shall not be liable for any damage or financial loss arising out of the use of, or inability to use, WinZip. Any liability of WinZip Computing, its affiliates or licensors will be limited exclusively to refund of any license or registration fee paid to WinZip Computing. Except to the extent expressly prohibited by applicable statutes, in no event shall WinZip Computing, or its principals, shareholders, officers, employees, affiliates, licensors, contractors, subsidiaries, or parent organizations, be liable for any direct, indirect, incidental, consequential, special, or punitive damages whatsoever relating to the use of WinZip, or to your relationship with WinZip Computing, its affiliates or licensors (including, without limitation, loss or disclosure of data or information, loss of profit, revenue, business opportunity or business advantage, or business interruption), whether based upon a claim or action of contract, warranty, negligence, strict liability, contribution, indemnity, or any other legal theory or cause of action, even if advised of the possibility of such damages.

In addition, in no event does WinZip Computing authorize you or anyone else to use WinZip in applications or systems where WinZip's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of property, or loss of life. Any such use is entirely at your own risk, and you agree to hold WinZip Computing, its affiliates or licensors harmless from any and all claims or losses relating to such unauthorized use.

U.S. Government End Users

WinZip is a "commercial item" as that term is defined at 48 C.F.R. 2.101. Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4, all U.S. Government end users acquire WinZip and any related documentation with only those rights set forth in this License.

Export Restrictions

WinZip is subject to certain export restrictions of the United States Government. If you are (a) in a country to which export from the United States is restricted for anti-terrorism reasons, or a national of any such country, wherever located, (b) in a country to which the United States has embargoed or restricted the export of goods or services, or a national of any such country, wherever located, or (c) a person or entity who has been prohibited from participating in United States export transactions by any agency of the United States Government, then you may not install, download, access, use, or license WinZip. By accepting this License, you warrant and represent to WinZip Computing that (1) you do not match the criteria set forth in (a), (b), or (c) above, (2) that you will not export or re- export WinZip to any country, person, or entity subject to U.S. export restrictions, including those persons and entities that match the criteria set forth in (a), (b), or (c) above, and (3) that neither the United States Bureau of Industry and Security, nor any other U.S. federal agency, has suspended, revoked, or denied your export privileges.

Termination

Immediately upon expiration of the 45-day evaluation period for the license granted hereunder, you shall immediately discontinue any and all use of WinZip and you shall within ten (10) days delete from your computer(s) all electronic copies of WinZip, including all or any part thereof. All provisions of this License that by their nature are intended to survive the expiration of the license granted hereunder shall survive and remain in full force and effect.

Indemnification

At your own expense, you shall indemnify, defend, and hold harmless WinZip Computing, its affiliates and licensors, and their directors, officers, trustees, shareholders, employees, agents, successors and assigns from and against any and all claims, expenses, losses, damages, costs, liabilities and judgments, including without limitation reasonable attorneys' fees and expenses, arising out of or relating to any claim resulting from or related to: (i) any use by you of WinZip other than as expressly allowed by this License or in a manner inconsistent with any accompanying documentation; (ii) any breach of this License by you; or (iii) any violation of applicable law by you, your directors, officers, trustees, shareholders, employees, subsidiaries, agents, successors and assigns.

General

WinZip, including, without limitation, the information included in its accompanying distributable files, data and materials and any related activation code and registration code files or information, and the know-how embodied in WinZip, is confidential and trade secret information (the "Proprietary Information") that is proprietary to and solely owned or licensed by WinZip Computing, together with all related copyrights and trademarks relating thereto. You agree to maintain the Proprietary Information in strictest confidence for the benefit of WinZip Computing and its licensors. You shall not sell, license, publish, display, distribute, disclose, or otherwise make available or allow to be made available the Proprietary Information, including, without limitation, any activation codes or registration code files, to any third party nor use such Proprietary Information except as authorized by this License. The obligations under this paragraph shall survive any termination or cancellation of the License.

This License is the complete statement of the agreement between the parties on the subject matter, and merges and supersedes all other or prior understandings, purchase orders, agreements, and arrangements.

This License shall be governed by the laws of the State of Connecticut, without regard to Connecticut choice-of-law rules. Exclusive jurisdiction and venue for all matters relating to this License shall be in courts and fora located in the State of Connecticut, and you consent to such jurisdiction and venue.

There are no third-party beneficiaries of any promises, obligations, or representations made by WinZip Computing herein.

Any waiver by WinZip Computing of any violation of this License by you shall not constitute, nor contribute to, a waiver by WinZip Computing of any other or future violation by you of the same provision, or any other provision, of this License.

You acknowledge and agree that monetary damages alone would not be an adequate remedy in the event of a material breach by you of your obligations or agreements under this License and that, in such event, WinZip Computing or any of its affiliates shall be entitled to injunctive relief to require you to comply with its obligations hereunder. Any remedy available under this License shall be cumulative and not exclusive of any other remedy available WinZip Computing or any of its affiliates under this License, at law or in equity.

If any part of this License or the application thereof to any person or circumstance is for any reason held invalid or unenforceable, it shall be deemed severable, and the validity of the remainder of this License, or the applications of such provision to other persons or circumstances, shall not be affected thereby.


WinZip Ordering Information

The following information is for the English-language version of WinZip®. All orders are subject to the WinZip License Agreement.

To Order WinZip Now

To order online with a credit card, and download your order immediately, visit the WinZip web site.

Other Ordering Options

Other ordering options, including postal mail (check or credit card) or fax (credit card only), are available too. Orders will be shipped by postal mail (air mail outside the US) and will leave our office within two days after the order is received. Complete pricing and ordering information, including information about using purchase orders, is available from the WinZip web site

International Versions

There are German, French, Spanish, and Japanese versions of WinZip. Click here for additional information.


International Versions

There are German, French, Spanish and Japanese language versions of WinZip®. Prices for these versions may vary from the prices for the English language version as purchased from WinZip Computing.

Please visit our web site for additional information about the German, French, Spanish, and Japanese versions of WinZip.


Support and Questions

To check whether you have the most recent version of WinZip®, please check the WinZip home page.

Please see the section titled Frequently Asked Questions for answers to common questions.

Technical support is available at no charge as described below. The best way to report problems is with the support forms available from the "Support" link on the WinZip home page. You can also send e-mail to address shown on the WinZip web site's contact page, or postal mail to WinZip Computing, P.O. Box 540, Mansfield CT 06268.

When reporting problems, please include the following information:

  1. Is the problem reproducible? If so, how?
  2. What version of Windows are you running (Windows 2000, Windows XP, etc.)?
  3. What version of WinZip are you running? (To see what version of WinZip you have, choose About WinZip from the Help menu.) Please include the entire "version" line in your problem report.
  4. If a dialog box with an error message was displayed, please include the full text of the dialog box, including the text in the title bar.
  5. If the problem involves an external program such as LHA.EXE, what version of the failing program are you using? Please see the section titled System Requirements for minimum version numbers for these programs.

Note: You can press F1 at any time while WinZip is active for context sensitive help.


Acknowledgments

Many people have helped make WinZip® what it is by making suggestions, helping test, reporting bugs, etc., but particular thanks go to the following individuals: Ted Abell, Robert Allen, Peggy Amaio, Igor Balabine, Karen Barlow, Candace Bath, Tom Bloch, Nelson Branco, Howard Burke, Chuck Campbell, Steve Carless, John Conde, Bill De Lottie, Ora Lee Dinkins, Kent Downs, Paul Dmytrasz, Alain Dube, Chris Dunford, Kathy Dziadosz, Ray Ebersole, Dino Esposito, Nancy Estevez, Hans Felsh, Brian Fletcher, Bill Glenister, Steve Gross, Brian Hill, Stefan Hoffmeister, David Hofmann, Gregg Hommel, Ali Iddir, Fazia Iddir, Steve Jenkins, Oyvind Kaldestad, Craig Kallin, Kevin Kearney, Marion Kerr, Jim Larkin, Tom McGuire, Yvonne Mohrbacher, David Morin, John Navas, Yuri Niyazov, Heath Perryman, Amer Qaqish, Bill Richard, Sara Rogers, Robert Sansone, Olivia Schlosser, Sven Schreiber, Chris Sells, Paul Seltzer, Cathy Shea, Edwin Siebesma, Paul Smedts, Keron Smith, Kitty Stanton, Barry Steinholtz, Mark Stern, Michael Sundermann, Nick Sweeting, Valerie Syme, Mike Tajmajer, Peter Tanis, Roy Tate, Hans Top, Kristin Trombley, Frank Way, Michael Weber, Larry Wilber and Rosemarie Zello.

WinZip incorporates compression code by the Info-Zip group, used with their permission. Special thanks to the entire Info-Zip group, in particular to Jean-loup Gailly, Greg Roelofs, and Mark Adler. The original Info-Zip sources are freely available by anonymous ftp. We will also, upon request, mail you the Info-Zip sources if you send a self-addressed stamped envelope to the address in the WinZip "About" dialog box.

Thanks to Jean-loup Gailly for permission to use portions of his gzip source in WinZip. The original sources to gzip are available on the Internet.

WinZip uses AES encryption and decryption routines written by Dr. Brian Gladman. The source code for these routines is available to any interested party under an open source BSD or GPL license from the AES project page on Dr. Gladman's web site. This is the same AES code that is incorporated into WinZip. WinZip Computing would like to express its appreciation to Dr. Gladman for making this code available.

Decoding subroutines based on the UUDeview package © Frank Pilhofer.

Our thanks go to Dmitry Shkarin for sharing his variation of the PPM algorithm with the world and to Dmitry Subbotin for placing his "carryless rangecoder" into the public domain. We also thank Julian Seward for his open source bzip2 compression tool.

We thank David Bryant for his open source contribution of the WAVPACK compression technology.

Special thanks to Steve Queen for his feedback on the WinZip user interface, and to Edward Stumpf for his many suggestions and his help testing WinZip.


Add Dialog Box Options

The Add dialog box include these options:

  • The Action drop-down list provides four choices. Note that all of these choices replace any files already in the archive that have the same name and folder information as files that are being added or updated:
    • Add (and replace) files: adds all specified files to the archive.
    • Freshen existing files: updates files already in the archive that match the specified files. No new files are added.
    • Move (and replace) files: the same as Add except that files are deleted from disk or moved to the Recycle Bin after they have been added.
    • Update (and add) files: works the same as Freshen, but adds any specified files that are not already in the archive.
  • The Change Compression button determines the compression method.
    • Legacy compression: This method, referred to as Maximum Deflate in earlier versions of WinZip, provides good, fast compression that is compatible with virtually all Zip file utilities. You may want to choose this option if speed of compression is a primary concern, or if you are sending the Zip file to others who may not have a Zip file utility that can extract files compressed with newer methods.
    • Optimize for maximum compression (sometimes called "Best Method"): This choice allows WinZip to choose the best compression method for each file, based on the file type. You may want to choose this option if compressed file size is a primary concern. If you are planning to share the Zip file with others, you should be sure that they are using WinZip 11.0 or another Zip file utility that is compatible with all of WinZip 11.0's compression methods.
    • Let me choose: If you choose this option you can select a specific compression method from a list that includes None, SuperFast, Enhanced Deflate, bzip2, and PPMd.
  • Please see Choosing a compression method for additional information on compression methods.
  • The Split Zip file dropdown allows you to split your large Zip files as they are created. Choose a predetermined size from the list or choose "Other size" and enter a size of your choice. See Splitting Zip files for more information.
  • The Multiple disk spanning drop-down list controls how WinZip handles disk-full conditions while creating a new Zip file on removable media, such as a diskette. This drop-down list is disabled (not available) unless you are working with a new Zip file on removable media. When this drop-down list is available, you can select from one of three available values:
    • Automatic will automatically prompt for another diskette when the diskette on which you are creating a Zip file is full.
    • Automatic + wipe first disk prompt is the same as Automatic, but will give you the opportunity to erase any files on the first diskette.
    • No Spanning results in a "disk full" error message if the size of the Zip file exceeds the space available on the removable diskette.
  • The Include subfolders checkbox determines whether WinZip traverses all folders underneath the specified folder when looking for files to add. This provides an easy way to archive all files underneath the folder containing the specified file.
  • Note: to restore a branch of a folder added with the Include subfolders option, be sure to select the Use folder names check box in the Extract dialog box.
  • The Save full path info checkbox causes WinZip to store complete path information (from the root folder) with all files added.
  • If the Encrypt added files checkbox is checked, the files you are adding will be encrypted. WinZip will ask you for an encryption method and password. Please be sure to read About Encryption before using encryption.
  • The Add with wildcards button adds the files specified in the File name field. (In Windows "wildcards" are the asterisk and question mark characters. These let you specify multiple files at once, for example, "*.Txt" refers to all files with a file type of "Txt".)
  • The Attributes section controls WinZip's handling of file attributes. Attributes are an advanced subject; you do not need to understand attributes for normal WinZip operation. If you are interested but not familiar with read-only, hidden, system, and archive attributes, please refer to your Windows documentation. This section contains three options:
  • The Include only if archive attribute is set option excludes files whose archive attribute is not set.
  • The Reset archive attribute turns off a file's archive attribute after the file is added to the Zip file.
  • The Include system and hidden files option causes WinZip to add files with the system and hidden attributes. Normally files with these attributes are included.

Note:

The Include only if archive attribute is set checkbox will exclude files whose archive attribute is not set. This option does not control which folders are searched when the Include subfolders option is selected.


BinHex Example

Here is an example of a BinHex file:

  VGVzdCENCg0KR2VudGxlIFJlYWRlcjoNCg0KVGhpcyBpcyBub3RoaW5nIG1vcmUgdGhhbiBhIHRl
  c3QgZmlsZSBjcmVhdGVkIHRvIHByb3ZpZGUgZm9kZGVyIGZvciB0aGUgdmFyaW91cyBlbmNvZGlu
  ZyBzY2hlbWVzLiBJZiB5b3UgYXJlIHVzaW5nIGl0IHRvIHRlc3QsIGNvbmdyYXR1bGF0aW9ucyBv
  biB5b3VyIGFnaWxpdHkgaW4gY3V0dGluZywgcGFzdGluZywgc2F2aW5nLCBhbmQgZGVjb2Rpbmcg
  dXNpbmcgV2luWmlwLg0KDQpFbmpveSE=

Return to Hints, Tips, & Troubleshooting


Brief Tutorial - Adding Files to an Archive

Click on each tutorial topic, in sequence, to learn all about WinZip®:

1. Introducing WinZip | 2. The WinZip Window | 3. Opening Archives
4. Viewing Files | 5. Extracting Files | 6. Creating New Archives
7. Adding Files | 8. Deleting Files | 9. Custom Configurations
10. Additional Features |  |

You can add files to an existing archive you've opened or to a new archive you've created, as in the previous section. If the Add dialog box is not displayed, select Add from the Actions pull-down menu or click the Add toolbar button.

In the Add dialog box, select the files you want to add to the archive. The easiest way to do this is usually to click on the desired files in the list near the top of the Add dialog box. You can select multiple files using normal Windows file selection conventions (for example, hold down the shift key while clicking to select multiple files). For details on alternate ways to specify which files you want to add, see the topic titled Adding Files to an Archive.

Once you are done making your file selection, click the Add button to add the files. Once WinZip finishes, it will update the file list in the main window to reflect the new files in the archive.

You can also add files to an archive by dragging the files from My Computer or Windows Explorer and dropping them on the WinZip window using the drag and drop interface.

Note: When you add files to an archive, the original files on disk are not deleted. If you want to delete the original files automatically after the Add operation completes, select Move (and replace) files from the Action combo box.


Brief Tutorial - Additional Features

Click on each tutorial topic, in sequence, to learn all about WinZip®:

1. Introducing WinZip | 2. The WinZip Window | 3. Opening Archives
4. Viewing Files | 5. Extracting Files | 6. Creating New Archives
7. Adding Files | 8. Deleting Files | 9. Custom Configurations
10. Additional Features |  |

This is the end of the Brief Tutorial. As you get to know WinZip better, be sure to explore the following more advanced features:

  • WinZip's Drag and Drop operations simplify archiving.
  • Internet, America Online, and other online services users: see Downloading and Processing Files with WinZip.
  • The Install and Checkout features make it easy to try software distributed in archives.
  • Using WinZip's Explorer interface, you can access most WinZip functionality directly from Windows Explorer or My Computer shortcut menus, from the Start menu, or from the desktop. See Explorer Interface for details.

Reminder: press the F1 key at any time while working with WinZip for context-sensitive help.

You may want to review the tutorial and explore some of the many links it contains by pressing the buttons above.

<Back


Brief Tutorial - Creating New Archives

Click on each tutorial topic, in sequence, to learn all about WinZip®:

1. Introducing WinZip | 2. The WinZip Window | 3. Opening Archives
4. Viewing Files | 5. Extracting Files | 6. Creating New Archives
7. Adding Files | 8. Deleting Files | 9. Custom Configurations
10. Additional Features |  |

You can create a new archive by selecting New Archive from the WinZip File pull-down menu or by clicking the New toolbar button. This activates the New Archive dialog box.

First, you type the name of the archive you want to create, not the names of the files you want to compress. This dialog box works similarly to standard Windows file dialog boxes, so you can choose the drive and folder where the archive will be created. The names of any existing archives on the selected drive and folder are listed to help you choose a name that is not already in use.


Brief Tutorial - Custom Configurations

Click on each tutorial topic, in sequence, to learn all about WinZip®:

1. Introducing WinZip | 2. The WinZip Window | 3. Opening Archives
4. Viewing Files | 5. Extracting Files | 6. Creating New Archives
7. Adding Files | 8. Deleting Files | 9. Custom Configurations
10. Additional Features |  |

Many WinZip operations can be tailored using configuration options. For example, you can change the default folders for the Extract and Add dialog boxes. Most options are intended for advanced users. For an overview of available options see the section titled Options.


Brief Tutorial - Deleting Archives and Files

Click on each tutorial topic, in sequence, to learn all about WinZip®:

1. Introducing WinZip | 2. The WinZip Window | 3. Opening Archives
4. Viewing Files | 5. Extracting Files | 6. Creating New Archives
7. Adding Files | 8. Deleting Files | 9. Custom Configurations
10. Additional Features |  |

WinZip can remove selected files from within an existing archive, or delete the entire archive. Delete from the Actions menu activates the Delete dialog box. There are two ways to start the action to delete files from an archive:

  • Select entries from the list box in an open archive, then choose the Delete entry from the Actions pull-down menu or press the Del key.
  • Choose the Delete entry from the Actions menu to bring up the Delete dialog box. You can then specify the file names you want to delete (standard Windows wildcards are accepted, so you could use "*.doc" to delete all .doc files).

Note: these operations cannot be undone.

To delete an entire archive, choose Delete from the Actions menu to bring up the Delete dialog. Then choose the All files/folders in archive option and click Delete. Alternatively, you can choose Delete from the Manage Archive submenu of the File menu.


Brief Tutorial - Extracting Files

Click on each tutorial topic, in sequence, to learn all about WinZip®:

1. Introducing WinZip | 2. The WinZip Window | 3. Opening Archives
4. Viewing Files | 5. Extracting Files | 6. Creating New Archives
7. Adding Files | 8. Deleting Files | 9. Custom Configurations
10. Additional Features |  |

When you extract a file, WinZip decompresses it and places it in the folder of your choice. You can restore whole folders and retain the structure of any sub-folders.

If you select Extract from the Actions pull-down menu or click the Extract toolbar button, WinZip lets you choose the folder where you'd like to place the extracted files. For more details on that dialog box and its options, press F1 later, when you encounter it, or click on Extracting Files from an Archive now.

Note: if a Zip file contains a "setup" or "install" program, you can use the Install Feature to automatically extract the files, run the installation program, and clean up temporary files.


Brief Tutorial - Introducing WinZip

Click on each tutorial topic, in sequence, to learn all about WinZip®:

1. Introducing WinZip | 2. The WinZip Window | 3. Opening Archives
4. Viewing Files | 5. Extracting Files | 6. Creating New Archives
7. Adding Files | 8. Deleting Files | 9. Custom Configurations
10. Additional Features |  |

WinZip is a tool to make working with Zip files and other types of archive files easier. Let's start off by discussing some of the words used to describe the files and the processes.

Archives are files that contain other files, and Zip files are the most common archive format. Typically, the files in an archive are compressed. WinZip uses the term "Add" to mean "compress files and add them to an archive". "Extract" means "decompress files in an archive, creating separate files on a disk". Some people use the verbs "zip" or "pack" instead of Add, and "unzip" or "unpack" instead of "extract".

See About Zip Files and Other Archives for more detailed information.


Brief Tutorial - Opening Archives

Click on each tutorial topic, in sequence, to learn all about WinZip®:

1. Introducing WinZip | 2. The WinZip Window | 3. Opening Archives
4. Viewing Files | 5. Extracting Files | 6. Creating New Archives
7. Adding Files | 8. Deleting Files | 9. Custom Configurations
10. Additional Features |  |

The first step is to open an archive. Use the Open toolbar button or select Open Archive from the WinZip File pull-down menu to activate the standard Open Archive dialog box.

Then, select the archive you want to open in the Open Archive dialog box. This dialog box works just like the Open dialog boxes in other applications: just select the file you want to open from the list of files. (If you want to create an archive instead of working with an existing archive, see the section Brief Tutorial - Creating New Archives).

Once an existing archive is open you can extract or work with the files in the archive. The files in an archive are listed in a list box in the main WinZip window.

  • You can look at all the file names, with details, stored in the archive, using the scroll bar, arrow keys or usual Windows commands.
  • You can quickly sort the main window by clicking once on the header (e.g. click on "Name" in the header above the list of files to sort the list by filename).


Brief Tutorial - The WinZip Window

Click on each tutorial topic, in sequence, to learn all about WinZip®:

1. Introducing WinZip | 2. The WinZip Window | 3. Opening Archives
4. Viewing Files | 5. Extracting Files | 6. Creating New Archives
7. Adding Files | 8. Deleting Files | 9. Custom Configurations
10. Additional Features |  |

The WinZip window is where you start many of your operations. You can open it through the Start menu. The WinZip window also opens automatically if you double click on an archive in My Computer or Windows Explorer.

The WinZip window includes standard Windows components. Of particular interest:

The Title Bar displays not just the WinZip product title, but the name of the archive you are currently working with. The Toolbar provides quick ways of performing the most common tasks. The Main Window Area displays information about the files in the archive, and you'll find as we get further into this Tutorial that many operations can be done directly with these files. Finally, the Status Line displays the number and sizes of currently selected files, along with other archive information.


Brief Tutorial - Viewing Files

Click on each tutorial topic, in sequence, to learn all about WinZip®:

1. Introducing WinZip | 2. The WinZip Window | 3. Opening Archives
4. Viewing Files | 5. Extracting Files | 6. Creating New Archives
7. Adding Files | 8. Deleting Files | 9. Custom Configurations
10. Additional Features |  |

You can easily view any of the files stored in an archive by double clicking on the file in the main WinZip window. WinZip will open the file with the associated application. For example, a Word (.doc) file may be displayed in Word, and a text (.txt) file in Notepad. When you double click on a program file (.exe), it is run.

Or, you can view a file with the built-in viewer or a viewer of your choice by selecting View from the Actions pull-down menu.


WinZip Command Line Support Add-On

The WinZip® Command Line Support Add-On lets you use WinZip's power within batch files, macros, and other situations where you have a specific task and would prefer to accomplish it quickly or automatically, without using the usual WinZip graphical user interface.

A copy of the WinZip Command Line Support Add-On is available from the WinZip web site.


Decoding Files using WinZip

You do not need to worry if the file being received is UUencoded, XXencoded, BinHex, or a MIME file (base64, plain/text, and quoted-printable). WinZip® will detect the method being used and automatically decode it.

As is the case with Zip files, WinZip offers more than one way to open encoded files. For example:

  • Double click the encoded file in My Computer or Windows Explorer. WinZip will open and decode the file. If it is a Zip file, it will offer to open it; if it has not been compressed, it will be shown in the usual manner.
  • Drag and drop the encoded file onto the WinZip icon.
  • Use WinZip in the regular manner to Extract the file to your folder of choice.

Note: You can also open a file using WinZip's Open toolbar button, or drag and drop a file into WinZip, regardless of the file's extension.

UUencoded, XXencoded, BinHex, and MIME files

Sending Files using Internet Mail

The Why behind UUencoding and Other Schemes

Receiving and Preparing Files for Decoding

Decoding Files using WinZip

UUencoding a File using WinZip

Mailing a UUencoded File

Hints, Tips, & Troubleshooting


Downloading from America Online and other online services

An online service with its own access software will generally have a specific folder on your computer where newly downloaded files are placed. After you download a Zip file from an online service in the normal manner, it's easy to use WinZip® to open and process the file.

Start WinZip by clicking on its icon, then click the Favorites toolbar button or choose Favorite Zip Folders from the File pull-down menu. The resulting dialog box shows all the Zip files in your Favorite Zip Folders with the most recently downloaded files at the top of the list, along with the folder in which they are located.

If your file or the special download folder is not shown, you can have WinZip search for the item by clicking on the Search button, then clicking Search hard disk(s) on this PC, and then clicking OK. WinZip will check all your hard drives and make a new list of Zip files, and update your favorite folders (the places where WinZip has found Zip files stored on your PC). When the process is complete, newly downloaded files should be near or at the top of the list. Highlight the file you wish to work with to continue with the Wizard's unzipping process.

See Hints For Working With Downloaded Files for more suggestions.

Note:

Many files available for download on the Internet are executable (.exe) files. If the .exe file is a self-extracting Zip file, you can open and process it in the WinZip Classic interface by choosing Open from the File menu, or by right-clicking on the file and choosing Open with WinZip.

Related Topics:

Downloading from the Internet


Downloading from the Internet

You can use WinZip® to work with archives you download from the Internet just as you do with other archives.

If you download an archive, the current versions of Microsoft Internet Explorer and Netscape Navigator/Communicator will give you a choice of opening the archive or saving it to disk. If you choose to open the archive, you should be aware that the Internet browser will probably delete the file when the browser is closed. To avoid this problem, use the Internet browser's "save to disk" option, and specify an easy-to-remember folder, for example, c:\download.

Problems Downloading? When you download a file, many things can go wrong, resulting in a damaged copy of the file that WinZip cannot open. The solution to most download-related problems is simply to download the file again. For more information on resolving Internet download-related problems, please check the WinZip web site.

Note:

Many files available for download on the Internet are executable (.exe) files. If the .exe file is a self-extracting Zip file, you can open and process it in the WinZip Classic interface by choosing Open Archive from the File menu, or by right-clicking on the file and choosing Open with WinZip.

Related Topics:

Downloading from America Online and other online services

Hints For Working With Downloaded Files


Explorer Add Dialog

The Explorer Add dialog is displayed when you use the Add to Zip file entry in the My Computer or Windows Explorer shortcut menus and during certain drag and drop operations.

This dialog lets you change the name of the open archive in one of two ways:

  • Type the name of the archive in the Add to archive edit field.
  • Click on the New or Open buttons to activate the standard New and Open dialog boxes, respectively.

These shortcuts provide a quick way to add files to a different archive without going through the File menu.

See Adding Files to an Archive for a description of the options available in this dialog.


Fixing Zip Files

WinZip® automatically handles many errors in Zip files. However, some invalid Zip files may contain more serious errors that WinZip was not designed to repair.

Note: most errors in downloaded Zip files can be corrected by simply downloading the Zip file again.

If you have a damaged Zip file and can't obtain a new, undamaged copy, see the WinZip web site for a possible solution.


Third-party Theme Installers

WinZip's® Desktop Theme Installer proceeds in two main phases. The first phase identifies and extracts desktop theme components; the second phase launches the system theme installer to complete installation of the theme.

The system theme installer is not part of WinZip, and its behavior may vary somewhat from the description given in the main help topic for WinZip's desktop theme installer.

In particular, some third-party (non-Microsoft) theme installers automatically activate the new theme by immediately applying its settings to your system. In this case, you will not have the opportunity to preview, then accept or reject the theme as described in the main help topic.

WinZip Computing cannot promise that the WinZip Desktop Theme Installer will operate correctly when used with third party theme installers.


Unsupported ARJ version

WinZip® does not support the 32-bit version of ARJ. You must use the 16-bit version.

Please visit the WinZip web site for information about the versions of ARJ that WinZip supports.


Unsupported LHA version

WinZip® does not support the 32-bit version of LHA. You must use the 16-bit version.

Please read Installing LHA for information about the versions of LHA that WinZip supports.


Operation Interrupted

The archive operation was interrupted because you pressed a key or clicked on the WinZip® window during the archive operation. Press the Continue button to continue the operation or the Stop button to terminate the operation.

This message will be displayed if you try to minimize WinZip during an archive operation. To switch to other tasks you can click on another window or use the Windows taskbar.


Message WZ64

WinZip® uses the standard Windows "Common Dialog Boxes" as a basis for the Add dialog box. Due to a limit in the Common Dialog Boxes the total length of all selected files cannot exceed 2000 characters. You have exceeded or may exceed this limit. You can circumvent this limit by using the Drag and Drop interface to add files instead of the Add dialog box, or by specifying wildcards in the File name field in the Add dialog box (for example, *.c).


File already exists

To view a file, WinZip® normally extracts the file to disk, reads it, and erases the temporary disk file. WinZip determines which disk to extract to by checking the value of the WZTMP=, TMP=, TEMP=, and PKTMP= environment variables. To conserve space on the DOS command line, WinZip creates temporary files in the root folder of the specified drive. If none of these environment variables is set, WinZip extracts to the root folder of your C: drive.

The message The disk file "filename" already exists. Should WinZip overwrite it so that the file in the archive can be viewed? is issued if a file with the requested name already exists on disk. If you choose Yes, the existing disk file will be overwritten, and processing will continue. If you select No, WinZip will cancel the view operation for this file.


Message WZ67

Cannot create filename. File already exists. Open existing file?

This message is issued when you press the New button on the toolbar or choose New Archive from the File menu to create an archive but the specified archive already exists. Since the file already exists it cannot be created. Press the Yes button to open the existing file or the No button to cancel the operation.

Normally you should click the Open button or choose Open Archive from the File menu to open an existing archive.


Using the Alternate Extension

In an effort to improve network security, many administrators prevent access to e-mail attachments with certain extensions. Some administrators have set a policy to block Zip files as attachments.

If you wish to be able to receive Zip files as attachments from a safe and reliable source, but your administrator has blocked the .zip extension, you can do so using an alternate extension.

An alternate extension is simply a file name extension other than .zip that WinZip will recognize as being a Zip file. For example, if you set ".abc" as the alternate extension, WinZip would recognize a file named july-sales.abc as a Zip file, and you would be able to open the file in WinZip by double clicking it in Explorer or your e-mail program.

To set an alternate extension:

  1. Open the System tab of the Configuration dialog.
  2. In Associate WinZip with area, check the box labeled The specified alternate extension for Zip files.
  3. Type the alternate extension you want to use in the space provided.
  4. Click OK.

This will associate WinZip with the extension you specified so that double clicking a file with that extension will open the file in WinZip.

Note that WinZip will not automatically use the alternate extension when creating new Zip files. However, there are many ways to do this. For example:

  • In WinZip, choose New from the File menu and type the name you want to use, including the alternate extension.
  • Create the Zip file normally. then rename it in Windows Explorer.
  • In Windows Explorer, right click the file(s) you want to zip, choose WinZip from the shortcut menu, choose either Add to Zip File... or Zip and E-Mail Plus..., and supply the name you want to use, including the alternate extension.
To remove the alternate extension, simply uncheck the check box labeled The specified alternate extension for Zip files.


Message WZ24

WinZip® does not provide facilities to create files in the CAB, Microsoft compressed, ARC, BinHex, bz2, gzip, WMZ, WSZ, MIME, RAR, TAR, YFS, or z formats; however, you can open an existing archive in these formats and extract, run, or view the files inside these types of archives. You can create UUencoded files using the UUencode entry from the Actions menu.


Message WZ23

An external program returned a non-zero error level. Consult the documentation for the external program for the meaning of the error, and/or use the Last Output entry in the View menu to check for error messages issued by the external program.

Note:

One likely cause for this error is using an old version of external programs. See System Requirements for version information.


Message WZ51

The open archive no longer exists on disk. It was probably deleted by another task.


Message WZ39

WinZip® does not support this version of ARJ. See the WinZip web site for information on obtaining supported versions of ARJ.


Mixed Drag and Drop Operation

You have dropped both files and folders on an archive that requires the use of an external archiving utility such as ARJ or LHA.

Due to limitations in the external utilities, this operation may not yield the results you expect. Specifically, it will archive all occurrences of files with the name(s) you specified found in all subfolders of the folder containing the file(s) you dropped.

For example, if you drop the file C:\MYSTUFF\README.TXT plus any folder, you will archive not only C:\MYSTUFF\README.TXT but also all files named README.TXT found in any subfolder of C:\MYSTUFF.

To avoid this problem, simply drag and drop files separately from folders.


Association Problem

Some of WinZip's® most useful features require that WinZip is associated with Zip files and other archives. For more information on associations see the section titled Windows Associations.

It is strongly recommended that you answer Yes to this prompt.

Press the Info button for diagnostic information.


Association Problem Details

This dialog box lists the following information:

Full filename of current WinZip: note the exact drive and folder information.

Current Zip association: this field should include the EXACT name of the "current WinZip" shown above. If this filename is different it is possible that you have two copies of WinZip® installed in different folders. In this case you will probably want to remove the older copy.

Current registry value of the Zip key: this value should be "WinZip".


Association Information

If the Associate WinZip with archives option is unchecked you will not be able to double click on Zip files and other archives to open them. Other features, including Explorer shell extensions, rely on having WinZip® associated with archives. For more information on associations see the section titled Windows Associations.


Authentication Error

An error has occurred while decompressing one of the encrypted files in your Zip file. This error most commonly occurs for one of two reasons: either the password is incorrect or the Zip file is damaged.

The first step is to verify that you are using the correct password and try to extract the file(s) again (perhaps you simply typed the password incorrectly).

If the error recurs, the Zip file is probably damaged. If you obtained the Zip file from an online source such as the Internet or AOL, it is likely that the file was damaged during the download process; in most cases, you will be able to correct the problem by simply downloading the file again. Otherwise, you will need to obtain a new copy of the Zip file from your original source.

If you can't obtain a new copy of the Zip file, you may be able to extract many of the files by selecting them individually for extraction (rather than extracting all). It is possible that only one or a few files are damaged.


Message WZ61

The specified file is encrypted using a combination of certificates and a password. In order for WinZip to decrypt this file, it needs the Microsoft Enhanced Encryption Provider and associated libraries (DLLs). To obtain the required files, you need to upgrade to the latest version of Microsoft Internet Explorer.


Warning WZ16

This dialog box is displayed if WinZip® cannot display the entire file you are viewing because it contains binary zeros. WinZip uses a standard multi-line edit field to display files, and these controls truncate text at the first binary zero.


Built-In ASCII Text Viewer

The built-in ASCII text viewer can be used to view text files in an archive, the results of the last operation using the Last Output entry in the View pull-down menu, and system configuration information using the System Info button in the About dialog box.

The viewer window can be resized and maximized.

Click the Clipboard Copy push button to copy selected text to the system clipboard. If no text is selected all the text is copied to the clipboard.

Note: The viewer is limited to plain ASCII text, just like the Windows Notepad application.


WinZip Update Available

A new final or service release of WinZip® is available for downloading. The box on the left briefly describes some of the new features or other changes contained in the update. For more detailed information, click Tell Me More; WinZip will launch your Internet browser to display a page from the WinZip web site.

When you have decided what to do, choose one of the three options on the right and then click OK. The options are:

  • If you want to download the new version right away, click Download update now and then OK. WinZip will launch your Internet browser and open the page on the WinZip web site from which you can download the new version.
  • If you do not want to download right now but would like WinZip to remind you about the update later, click Remind me in a ..., choose "day" or "week" from the list, and click OK.
  • If you are not interested in this update (for example, if it corrects a problem that does not affect you), click Skip this update and then OK. WinZip will no longer notify you about this particular update; it will only notify you when a newer version becomes available.
Note: WinZip does not transmit any personally identifiable information during the Check for Updates process. For further information, please see the WinZip web site.


Character conversion error

The name of one of the folders containing files to be added contains characters that cannot be converted to the ANSI character set, and WinZip® cannot continue this operation.

A full treatment of character sets is beyond the scope of this document. Briefly, however, some file and folder names are represented on your Windows computer using a set of characters known as Unicode. WinZip must translate those characters into a simpler set of characters known as ANSI .

In most cases this presents no difficulty because both character sets include all of the most commonly used characters. However, because the Unicode character set is much larger than the ANSI character set, it is possible for folder names to contain Unicode characters that have no ANSI equivalent in your computer's current configuration.

The simplest solution is to rename the folder using only common characters (letters A-Z, digits 0-9, spaces, etc.). When this has been done, WinZip will be able to access the folder successfully and you can try the operation again.

If you are an experienced Windows user, you may be able to change your current ANSI code page to accommodate the invalid character(s). Consult your Windows documentation for further information.


Unable to delete file

A temporary decrypted copy of an encrypted file is in use by another application, and WinZip® is unable to delete it.

When you open or view an encrypted file using another application, WinZip must create a decrypted copy of the file in a temporary location on your disk. Normally, this temporary file is automatically deleted when you close WinZip.

If, however, the file is still being used by the other application, WinZip may be unable to delete it. Closing WinZip now will result in a decrypted copy of your encrypted file remaining on your disk.

The dialog shows the name of the file that WinZip cannot delete.

To delete the file, first close the application that is using the file, then click Try Again. WinZip will delete the file and then close.

To close WinZip without deleting the file, click Continue. WinZip will close and the unencrypted file will remain on disk. You can delete the file manually when you are done with it; it will be located in your Windows temporary folder.

To return to WinZip, click Cancel. WinZip will remain open, and the temporary copy of the file will remain on your disk. WinZip will try again to delete the file when it closes.


Mixed Encryption

After completing an operation, WinZip® determined that some of the files in your archive are encrypted and some are not.

If this is not what you intended, and you want all of the files in the archive encrypted, choose Encrypt from the Actions menu. WinZip will ask for an encryption password and encrypt (or re-encrypt) all of the files in the archive.


Message WZ30

WinZip® could not change to the specified folder, so it is closing the open archive. Possible causes for this error include removing the folder or changing disks in the middle of a WinZip operation.


Check for WinZip Update

This dialog allows you to check for the availability of a new final or service release of WinZip and to configure future operation of WinZip's Check for Updates feature. Choose one of the following options and then click OK.

If you want WinZip to check for an update now

If you want WinZip to check for an update now, choose one of the first two options. In either case, WinZip will check for an update when you click OK; your choice affects the future operation of WinZip's Check for Updates feature.

  • If you would like WinZip to automatically check for updates in the future, choose Then check automatically every ..., set the frequency (day or week) from the combo box, and click OK.

    After the selected time period has passed, WinZip will automatically check for the availability of an update and notify you when an update becomes available. This is the recommended setting for most users.

  • If you would like WinZip to remind you in a week to check again for updates, choose Then ask me again in a week. WinZip will display this dialog again in approximately seven days.
If you do NOT want WinZip to check for an update now

If you do not want WinZip to check for an update now, choose one of the second two options:

  • If you would like WinZip to remind you in a week to check for updates, choose But ask me again in a week. WinZip will display this dialog again in approximately seven days.

  • If you would like to disable WinZip's Check for Updates feature, choose And don't ask me again. In the future, WinZip will neither check for updates automatically nor ask if you would like to do so. You can change this behavior using the Miscellaneous tab of the Configuration dialog.
Notes

  • The time periods for selections using day or week are approximate because WinZip only checks for an update (or asks if you would like to check for an update) when it is run. Therefore, if you choose to check in a week, for example, and do not run WinZip on the seventh day, it will not check (or remind you to check) on that day. It will do so the next time you run it.

  • WinZip does not transmit any personally identifiable information during the Check for Updates process. For WinZip privacy information, please see the WinZip web site.

Related Topics

Miscellaneous (Configuration)


Message WZ44

An invalid CheckOut folder was specified. You cannot specify a root folder (e.g. C:\), and you must specify a drive letter (e.g. C:\CHECKOUT, not just CHECKOUT). The CheckOut folder cannot be the folder containing the open archive because all files in the CheckOut folder are deleted at the beginning of the CheckOut operation.


WinZip Search

WinZip® can help you find Zip files if you don't know exactly where they are. Select Search hard disk(s) on this PC to search all your hard drives on your PC (network disks and CD-ROM disks are not searched). Select Search Favorite Zip Folders to search for Zip files in your Favorite Zip Folders. Select Search disk to search a specified disk (for example, a floppy disk or CD-ROM). Select Let me find it if you want to look for the file yourself.


Text Successfully Copied To Clipboard

This dialog box is displayed to let you know the text in the View dialog box has been copied to the system clipboard. You can paste the text into another application (for example, Notepad) by choosing Paste from the application's Edit pull-down menu.


Command line too long

Windows imposes a limit of about 250 characters on the total length of the names of files dropped on the WinZip® icon. It appears that this limit has been exceeded.

Click No if you want to cancel this drop operation.

Click Yes if you want to continue. If you choose to continue, some of the files you dropped will not be processed. You can review the results of your operation by choosing Last Output from the View menu. The dialog will show the names of all files processed.

Tip: you can avoid this limit by first opening your archive in WinZip and then dropping the files on the WinZip window.


Message WZ8

This dialog box is displayed if an external command (for example, LHA or ARJ) is over 127 characters long (the longest command allowed under MS-DOS is 127 characters). The total command line length includes several components used internally by WinZip® in addition to the external command. There are a few ways to reduce the length of the command line:

  • Move WINZIP32.EXE (and the related files) to a folder near the root folder (for example, a folder like C:\WINZIP is better than C:\WINDOWS\UTILITY\SHAREWAR\WINZIP).
  • Move the archive you are working with to a folder near the root folder.
  • Move ARJ.EXE, LHA.EXE, etc. to a folder specified by your PATH= environment variable and remove any folder names for these programs in the Program Locations configuration dialog.
  • If you are adding, deleting, extracting, or viewing multiple files at one time, specify them via a list box rather than an edit field. This causes WinZip to create an ARJ or LHA response file, which usually takes less room on the command line than multiple file names.


Windows Common Control Library (comctl32.dll)

Windows Common Control Library

Some toolbar configuration options require version 4.71 or later of the Windows Common Control Library (comctl32.dll) and the Folder View address toolbar requires version 5.80 or later. This library is part of Windows 2000, Windows XP, and Microsoft Internet Explorer 4.0 or greater, and is available as a separate download from Microsoft. For more information, see the WinZip web site.


Message WZ89

The version of the Windows Common Control Library (comctl32.dll) installed on your system may not be able to properly display flat toolbar buttons. At the time of this writing, the version of the Common Control Library you have installed was distributed only with Microsoft's Active Access Pack, and the latest version of the common control library available from the Microsoft web site did not support all the Active Access Pack features.

We expect Microsoft will update the Active Access Pack and/or the Common Control library in the not-too-distant future. Read about the Windows Common Control Library for a pointer to up-to-date information.


Message WZ75

The archive does not contain complete filename information, so WinZip® cannot determine the full filename of the compressed file. Replace all or some of the suggested filename with the corrected name and press OK.


Choosing a Compression Method

WinZip 11.0 provides several methods for compressing the files that you add to a Zip file. In making a choice of compression method, there are several things to consider, including the type of data you are compressing, your plans for later unzipping the data, and the amount of time you are willing to wait while your data is being compressed.

In most cases, WinZip provides three basic choices for compression method:

  • Legacy compression: This method, referred to as Maximum Deflate in earlier versions of WinZip, provides good, fast compression that is compatible with virtually all Zip file utilities. You may want to choose this option if speed of compression is a primary concern, or if you are sending the Zip file to others who may not have a Zip file utility that can extract files compressed with newer methods.
  • Optimize for maximum compression (sometimes called "Best Method"): This choice allows WinZip to choose the best compression method for each file, based on the file type. You may want to choose this option if compressed file size is a primary concern. If you are planning to share the Zip file with others, you should be sure that they are using WinZip 11.0 or another Zip file utility that is compatible with all of WinZip 11.0's compression methods.
  • Let me choose: If you choose this option you can select a specific compression method from a list that includes None, SuperFast, Enhanced Deflate, bzip2, and PPMd. Information on these methods is below.
Information on specific compression methods

Here is a list of all compression methods supported by WinZip 11.0:

None or No compression

Some files that you may want to add to a Zip file are already compressed. For example, many graphics and sound files, including JPG, GIF and MP3 files, are precompressed versions of images and sound. In most cases, these types of files cannot be further compressed to any significant degree by the available methods. Therefore, to save time, it may be best to select Let me choose and then pick None when you are adding a group of files that are already compressed.

Compatibility: Virtually all Zip file utilities are able to extract uncompressed files.

SuperFast compression

This is a good, general-purpose compression algorithm known as "deflate". It is the same basic algorithm as is used for Legacy compression (see above), but is optimized for speed rather than compressed size. Therefore it will generally compress your files somewhat faster than Legacy, but the compressed files will be somewhat larger.

Earlier versions of WinZip supported four variants of the deflate algorithm, referred to as Maximum (portable), Fast, Super Fast, and Normal. These all used the same basic technology but were optimized in different ways for speed vs. compression. WinZip 11.0 no longer uses Fast and Normal when compressing files, but it can of course extract files compressed with any of these methods.

Compatibility: All versions of WinZip and almost all other Zip file utilities are able to extract files compressed using these methods.

Enhanced deflate

The "enhanced deflate" method is similar to the original deflate but operates on larger chunks of data at a time, often resulting in improved compression. It can be particularly useful for compressing large files containing large amounts of highly compressible data such as large text files and text-based database files.

Earlier versions of WinZip referred to this compression method as Maximum (enhanced deflate).

Compatibility: Versions of WinZip prior to WinZip 8.1, and some third-party Zip utilities, may not be able to extract files compressed with this method. Therefore, if your Zip file is intended for wide distribution, and you cannot be sure what Zip utility will be used, you might want to consider using SuperFast compression instead.

bzip2

bzip2 is an open-source data compression algorithm that compresses most files more effectively than the traditional deflate methods, but it can be somewhat slower.

Earlier versions of WinZip referred to this compression method as Maximum (bzip2).

Compatibility: Files compressed using the bzip2 method can be extracted from Zip files with WinZip versions 9.0 and higher, as well as a few other Zip utilities. Therefore, the bzip2 method should only be used when the means for unzipping is assured.

PPMd

PPMd is an open-source data compression algorithm that can compress most text-based data more effectively than either the traditional deflate or bzip2 methods, but which is quite often slower than either.

Earlier versions of WinZip referred to this compression method as Maximum (PPMd).

Compatibility: PPMd compression was introduced in WinZip 10.0 in November, 2005. Extracting files created with this compression method requires a compatible Zip file utility. Because we have published implementation details on the WinZip web site, we expect this feature to be adopted by other Zip file utilities over time.

WAVPACK

WAVPACK is an open-source compression method that is especially designed for lossless compression of .WAV (audio) files. For these files it will generally produce better compression than other compression methods supported by WinZip.

WAVPACK compression cannot be manually selected. Instead, WinZip will automatically use it when appropriate if you choose "Best compression".

Compatibility: WAVPACK compression was introduced to the Zip file format in WinZip 11.0. At the time of this writing (November, 2006), WinZip is the only Zip file utility with the ability to extract files compressed with WAVPACK. However, as we have published implementation details on the WinZip web site, we expect this feature to be adopted by other Zip file utilities over time.


Explorer Enhancements (Configuration)

Select the Explorer Enhancements tab from the Configuration Dialog Box to control WinZip's® Windows Explorer enhancements.

You can disable all of the Explorer enhancements by clearing the checkbox labeled Enable Explorer enhancements (including additional Drag and Drop features). If this box is checked, you can control the enhancements individually as follows:

General

  • The Display context menu items in a submenu checkbox controls whether the WinZip Explorer context menu items are displayed in the main Explorer context menu or in a submenu.
  • The Display icons on context menus checkbox determines whether a small WinZip icon is displayed to the left of the WinZip Explorer context menu items.
  • The "Add to" includes folder information checkbox determines how folder information is stored when you right click a folder in Windows Explorer or My Computer and then choose Add to folder-name.zip from the WinZip Explorer context menu. If this box is checked, folder information will be stored for all files added. If it is not checked, folder information will be stored only for files added from subfolders of the selected folder.

Check for self-extracting CAB files

When the WinZip Explorer context menu is displayed for an EXE file, WinZip can check to see if it is a self-extracting CAB file. This operation can take a few seconds; you can use the following options to control whether or not it is performed on various types of media.

  • If the On Local hard drives checkbox is checked, WinZip will check EXE files located on local hard drives. This operation is normally quite fast.
  • If the On removable disks (e.g., diskettes) checkbox is checked, WinZip will check EXE files located on removable media. This operation may take a few seconds.
  • If the On other drives (e.g., network drives) checkbox is checked, WinZip will check EXE files on other storage devices such as network drives. The speed of this operation depends on the speed of the device, network connection, etc.

Display comment tooltips for Zip files

When the mouse pointer is hovered over a Zip file in a Windows Explorer or My Computer window, WinZip can display a tooltip containing basic information about the Zip file, including the number of files in the Zip file and the Zip file comment. This operation can take a few seconds; you can use the following options to control whether or not it is performed on various types of media.

  • If On Local hard drives is checked, WinZip will display tooltips for Zip files located on local hard drives. This operation is normally quite fast.
  • If the On removable disks (e.g., diskettes) checkbox is checked, WinZip will display tooltips for Zip files located on removable media. This operation may take a few seconds.
  • If the On other drives (e.g., network drives) checkbox is checked, WinZip will display tooltips for Zip files on other storage devices such as network drives. The speed of this operation depends on the speed of the device, network connection, etc.

Context menu commands

You can use this list to enable or disable many of the WinZip Explorer context menu entries individually. Check the appropriate checkbox to include a command in the WinZip menu, or clear it to remove the command from the menu (see Explorer Context Menu Enhancements for descriptions of the individual commands).

Note: the command labeled Open unassociated archives with WinZip corresponds to the submenu entry Open with WinZip that appears for self-extracting archives, certain media player "skin" files, etc.

Related Topics (other Configuration tabs):


E-mail (Configuration)

Select the E-mail tab from the Configuration Dialog Box to set up a list of e-mail accounts for use by WinZip jobs.

The dialog displays your current list of e-mail accounts. From the dialog you can:

  • Create a new account: Click the Add button to create a new e-mail account.
  • Delete an account: Select an existing account in the list and click Remove to remove the account from the list.
  • Edit settings for an account: Select an account and click Change to change account information such as the e-mail server name, user name, password, etc.
  • Rename an account: Click Rename to rename an account. The account name is the name that is shown in the account list and wherever you need to specify an email account. When a new account is created, the account's e-mail address serves as its name, but you can change this to a friendlier or more descriptive name if you wish.
  • Set the default account: At any time, one and only one account is the default account. This is the account that will be used to send e-mail if you do not specify a different account. To change the default account, select the account in the list and click Set as Default.

Related Topics (other Configuration tabs):


Miscellaneous (Configuration)

Select the Miscellaneous tab from the Configuration Dialog Box to control these options:

Start-up

  • Next time start with the Wizard interface - Whether WinZip® should use the Wizard interface the next time it is started.
  • Automatically show the Open Archive dialog box - Whether WinZip should automatically show the Open Archive dialog box when you start WinZip.

Show Add dialog when dropping files on:

  • An archive in Explorer - Controls whether or not a dialog is displayed when you drop files on an archive in Explorer. If checked, WinZip displays an Add dialog, which allows you to specify various options to be used during the archiving process. If not checked, the files are simply added to the archive and no dialog is displayed.
  • An open WinZip window - Controls whether or not a dialog is displayed when you drop files from Explorer on a WinZip window. If checked, WinZip displays an Add dialog, which allows you to specify various options to be used during the archiving process. If not checked, the files are simply added to the open archive and no dialog is displayed. Note: if no archive is open, WinZip must display the dialog even if this checkbox is not checked because you will need to use it to specify an archive name.

Check for Updates

  • Check automatically every ... - Specifies that you want WinZip to automatically check for the availability of a new final or service release of WinZip. Use the combo box to specify how frequently you want WinZip to check; for example, choose "week" if you'd like WinZip to automatically check for an update once a week. After the time period has passed, WinZip will check to see if an update is available and notify you.
  • Ask before checking, once a week - Approximately every week, WinZip will ask if you would like to check for the availability of an update.
  • Do not check for updates - WinZip will not check for updates automatically or ask if you would like to do so. You can always check for updates manually by choosing Check for Update from the Help menu, by clicking Check for Update from the WinZip About box, or by returning to the Configuration dialog and clicking Check for Update Now.
  • Check for Update Now - Click this button to have WinZip check for the availability of an update now. WinZip will check for an update and display a dialog telling you whether or not one is available.

Note: WinZip does not transmit any personally identifiable information during the Check for Updates process. For further information, please see the WinZip web site.

Other

  • Windows Explorer-style Extract dialog box - This feature determines whether the Extract dialog box contains a tree view control or the Windows 3.1 style folder control.
  • TAR file smart CR/LF conversion - When selected, this option determines if "smart" CR/LF conversion should be performed when extracting from TAR files. CR/LF is short for Carriage Return/Line Feed, the standard end of line indicator. This option can be useful when a TAR file contains text files created on a Unix or Macintosh machine. Unix text files usually contain lines ending in Line Feed characters only, and Macintosh text files usually contain lines ending in a Carriage Return character. The standard Windows Notepad program and many other Windows programs require a Carriage Return and Line Feed at the end of each line. When the TAR File smart CR/LF conversion option is in effect, WinZip determines whether to perform CR/LF conversion file inside a TAR file by looking at the first 80 characters in each file. If the file is a text file then single LF and CR characters are converted to CR/LF pairs so the file can be viewed by Notepad and other Windows viewers. Files are considered text when the first 80 bytes contain only characters with ASCII values between 0x20 and 0x7f, carriage returns, line feeds, form feeds, tabs, and other alphanumeric characters (as determined by the Windows IsCharAlphaNumeric API).
  • Always have WinZip on top - When checked, WinZip is assigned the "always on top" attribute, so that it is not overlaid by normal windows.
  • Beep after long archive operations - WinZip will beep after archive operations that take more than one second to complete when this option is chosen.
  • Smart DOC file handling - "Smart DOC Handling" is enabled when selected. This feature is described in the section titled Double Clicking.
  • Use Recycle Bin for move operations - When checked, if you select the Move (and replace) files action in the Add dialog box, WinZip will put files in the Recycle Bin instead of deleting them.
  • Prompt when View button is pushed - Unchecking this option will bypass the View dialog.
  • Desktop theme/screen saver installer - When checked, the Desktop Theme Installer and the Screen Saver Installer are enabled. When unchecked, WinZip treats Zip files containing desktop themes or screen savers as normal Zip files.
  • Show comments when opening Zip files - When checked, WinZip will automatically display the Zip comment when you open a Zip file that contains a comment.
  • Display status dialog for long operations - When checked, WinZip displays an animated progress dialog during lengthy archive operations. The dialog allows you to minimize WinZip while the operation is in progress or to cancel the operation.
  • Prompt before running WinZip jobs - When checked, WinZip will display a dialog warning the user that jobs should be run only from a trusted source.
  • Store extended time stamps in Zip files - When checked, WinZip will now store and restore more accurate NTFS extended time stamps.
  • Number of files in recent file list - Sets the number of files that appear in the list of recently used files in the File menu. You can set this to any number from 1 to 9.
  • Restore all caution messages - Click this button to restore all caution dialogs that you have turned off (a caution dialog is "turned off" by checking its "Do not display this dialog in the future" checkbox).

Related Topics (other Configuration tabs):


System (Configuration)

Select the System tab from the Configuration Dialog Box to control these options:

General

Modifying the following system options will affect all users who log on to this computer.

  • The Associate WinZip with archives checkbox determines whether Windows will use WinZip® to open archives from My Computer, Windows Explorer, most e-mail programs, etc. WinZip can associate itself with the following archive types: ZIP, LZH, ARJ, ARC, CAB, TAR, TGZ, TAZ, GZ, Z, TZ, UU, UUE, XXE, B64, HQX, BHX, and MIM. If you check this option, WinZip associates itself with all of the listed types. If you uncheck this option, WinZip removes all of its associations. When the option is checked, you can click Associations to control WinZip's associations with specific archive types. See Windows Associations for more information on associations.

    You can also specify an alternate extension for Zip files by checking the check box and typing the extension in the space provided.

  • If the Include WinZip Quick Pick in the taskbar tray checkbox is checked, the WinZip Quick Pick icon appears in the system taskbar tray. You can use this icon to open WinZip, access recently used archives, etc.
  • If the Include WinZip in the Start menu checkbox is selected, WinZip is automatically added to the Taskbar Start menu. Uncheck this option to remove WinZip from the Start menu.
  • If the Include WinZip on the desktop checkbox is selected, a shortcut to WinZip is added to the desktop. Uncheck this option to remove the WinZip shortcut from the desktop.
  • The When a WinZip job file is double-clicked allows you to control the action taken when a WinZip job file is doubled-clicked. There are currently two items from which to choose.
    • Edit the job opens the job you double-clicked in the Job Wizard.
    • Run the job allows you to start jobs just by double-clicking them. The first time that you double-click a job, you may receive a message warning you about running jobs with which you are not familiar (if the Prompt before running WinZip jobs option is selected). This message dialog does have options to not display this message again for this particular job, run the job or edit the job.
  • The Associated Image Viewer options determine the viewer to be used when an image is double-clicked. If a supported image type has a program associated with it, then double clicking on the image in WinZip uses the Internal Image Viewer...
    • Instead of the associated program. Select this option to use the WinZip Internal Image Viewer for all image types.
    • In place of Windows Picture and Fax Viewer. Select this option to use the WinZip Internal Image Viewer only when the image type is associated with Windows Picture and Fax Viewer.
    • Never, always use associated program. Select this option to only use the image type's associated program. The WinZip Internal Image Viewer is only used when a supported image type has no program association.

Related Topics (other Configuration tabs):


Toolbar (Configuration)

Select the Toolbar tab from the Configuration Dialog Box to control these options:

  • Use Explorer-style toolbar buttons - use this option to display toolbar buttons that are similar in appearance to the toolbar buttons used by Internet Explorer: the buttons appear in gray until the mouse pointer passes over them. This option has no effect unless Use flat toolbar buttons is also checked. On Windows XP, setting this option will switch from WinZip® icons for Windows XP to the old Explorer Style icons when Use large toolbar buttons is selected.
  • Use large toolbar buttons - use this option to display larger toolbar buttons. On all versions of Windows except Windows XP, the Use Explorer-style toolbar buttons option affects the appearance of large toolbar buttons: if Explorer-style is checked, the large buttons are somewhat simpler in design than the standard WinZip large toolbar buttons.
  • Show button text - use this option to display the name of the button under the button graphic on the toolbar.
  • Show tooltips - use this option to enable the display of brief, pop-up text describing a button's function when your cursor pauses over a button.
  • Use flat toolbar buttons - use this option to give toolbar buttons a flat look instead of a 3D look. If Use Explorer-style toolbar buttons is also checked, the buttons appear in shades of gray and change to color when the mouse pointer passes over them. This option is not available under Windows XP.
  • Use high color toolbar buttons when possible - use this option to control whether WinZip uses more colors to draw color toolbar buttons on systems configured to display more than 256 colors. This option is not available under Windows XP.

Click Select Buttons to open the Select Buttons dialog box, which enables you to select and rearrange the toolbar buttons.

Note: Some toolbar configuration options are available only if you have version 4.71 or later of the Windows Common Control library. This library is part of Windows 2000, Windows XP, and Microsoft Internet Explorer 4.0 or greater, and is available as a separate download from the Microsoft web site as described in the section Windows Common Control Library.

Related Topics (other Configuration tabs):


View (Configuration)

Select the View tab in the Configuration Dialog Box to control these options:

Columns

  • Select the columns that you want to appear in the file listing. Click the Defaults button to return the column selection and sizes to their original default values.
  • Tip: you can also choose columns right in the WinZip® window: just right click any column header and choose the columns you want from the shortcut menu. You can use your mouse to resize and hide columns by dragging the column dividers in the header area. You can also use your mouse to rearrange columns by dragging the column header from one location in the header area to another location.

General

  • Allow all upper case file names - WinZip normally shows filenames the same way as Windows: if the filename contains any lower case characters the filename is shown in mixed case. Otherwise the first letter of the filename is shown in upper case and the remainder in lower case. If this option is checked, filenames that contain no lower case characters will appear in all upper case (rather than initial upper case).
  • Full row select - WinZip's default action is to use Windows Explorer style of file selection, requiring that the file name itself be clicked. This option allows you to click anywhere on the file's row of information in order to select it.
  • Grid lines - Display grid lines to separate rows and columns in the main WinZip window. Due to a problem in Windows XP, this option is not available for XP users.
  • Watermark - Display a WinZip watermark in the lower right corner of the main window. This option is available only for Windows XP users.

Mouse selection

  • Normally the main WinZip window will automatically use the same mouse selection settings as your Windows desktop. Should you need to change these settings for the main WinZip window, you can use these fields to do so.

Note: these options are available only if you have version 4.71 or later of the Windows Common Control library. This library is part of Windows 2000, Windows XP, and Microsoft Internet Explorer 4.0 or greater, or is available as a separate download from the Microsoft web site as described in the section Windows Common Control Library.

Related Topics (other Configuration tabs):


Explorer Context Menu Enhancements

You can access many WinZip® features directly from the context menus of My Computer and Windows Explorer. When you right click files or folders in My Computer or Windows Explorer, Windows displays a context (pop-up) menu containing actions that are appropriate for the selected items. WinZip can add entries to the context menu that allow you to open and create archives, add and extract files, mail archives, etc.

Configuring the context menu

You can configure WinZip's context menu enhancements using the Explorer Enhancements tab of the WinZip Classic configuration dialog (choose Configuration from the Options menu; Wizard users will need to temporarily switch to Classic mode to do this).

Alternatively, if WinZip is configured to display its entries in a submenu of the Explorer context menu, you can access the configuration dialog directly by right clicking any file or folder in an Explorer window and then clicking Configure in the WinZip submenu.

In the configuration dialog you'll find options on how and where WinZip's menu items are displayed, and you can enable or disable many of the items individually. Click the Help button or press F1 in the dialog for specific help on the options.

Using the context menu

To use the context menu, simply right click a file or folder in My Computer or Windows Explorer. WinZip will add items to the context menu that are appropriate to the file or folder you selected. These items will appear either in the main context menu or in a submenu labeled "WinZip," depending on your configuration option.

Some WinZip context menu items are also appropriate for multiple selections. For example, you can select several files and add them all to a Zip file in one operation, or you can select multiple Zip files and extract from all of them at once. To do this, left click a file or folder to select the first item, hold down the Ctrl key and left click to select additional items, and then right click any selected item to pop up the context menu. See your Windows help for more ways to select multiple files.

Main context menu items

These items appear in the main Explorer context menu if the selected item is an archive.

  • Open with WinZip: starts WinZip and opens the selected archive. If multiple archives are selected, a separate WinZip window will be opened for each archive. See also the separate Open with WinZip submenu entry described below.
  • Print: this is a standard Windows menu entry; however, if the selected item is an archive, Windows will use WinZip to print a list of files contained in the archive.

These items appear in the main Explorer context menu if the selected item is a WinZip job file.

  • Run with WinZip: starts the WinZip job.
  • Edit with WinZip: opens the WinZip Job Wizard so you can edit your job file.

This item appears in the main Explorer context menu if the selected item is a WinZip registration file (.wzmul).

  • Register WinZip: uses the contents of the registration file to register this copy of WinZip.

Submenu items

These are the menu entries you may see in the WinZip submenu. The actual entries that appear in any particular case depend on the type(s) of file(s) you have selected. Note: these items will appear in the main menu rather than a submenu if you have cleared the Display context menu items in a submenu checkbox in your configuration.

  • Add to Zip file...: adds the selected items to a new or existing Zip file. A dialog appears in which you can specify the Zip file name, and WinZip remains open after the add operation is complete.
  • Add to filename.zip: adds the selected items to the named Zip file; the name is based on the name of the selected item, or the folder name if multiple items are selected. WinZip adds the selected items to the Zip file, creating a new Zip file if necessary.
  • Add to recently used Zip file: opens a submenu listing recently used Zip files. The selected items are added to the Zip file you pick from the list. Note: this item is enabled or disabled by the configuration option labeled "Add to recently used Zip file <file history>".
  • Open with WinZip: this is a separate entry from the Open with WinZip that appears at the top of the main context menu when an archive is selected. It appears when the selected item is a self-extracting archive (.exe) or a media "skin" file for programs such as Windows Media Player (.wmz, etc.). These types of files are not associated with WinZip, so Windows will place a standard Open option at the top of the menu; Open will start the program (if it is a self-extracting .exe file) or open the file in the media player (if it is a skin file). However, these file types can also be opened with WinZip, just like standard Zip files. To do this, choose Open with WinZip from the submenu.
  • Note: this item is enabled or disabled by the configuration option labeled Open unassociated archives with WinZip.
  • Zip and E-Mail filename: WinZip compresses the selected items into a temporary Zip file with the specified name, creates a new e-mail message, and attaches the Zip file. You can then address and send the e-mail as you usually would. WinZip deletes the temporary Zip file when it is no longer needed.
  • Zip and E-Mail Plus...: this item is similar to Zip and E-Mail filename, but you can specify the filename to be used for the Zip file, and you can optionally encrypt the files contained in the Zip file.
  • Configure...: displays the configuration dialog for WinZip's Explorer enhancements, including the context menu. This allows you to adjust the context menu and other options without starting WinZip. Note that this option is only available if WinZip's context menu items appear in a submenu.

The following submenu items appear only if the selected item is an archive or, in some cases, multiple archives or self-extracting archives.

  • Extract to ...: WinZip's Extract dialog appears and you can choose a folder to which the files in the archive(s) will be extracted. Note: this menu entry also appears when you use the right mouse button to drag and drop an archive.
  • Extract to here: the files in the archive(s) are extracted to the folder that is displayed in the Explorer window. Note: this menu entry also appears when you use the right mouse button to drag and drop an archive.
  • Extract to folder folder-name: the files in the archive are extracted to the specified folder, which is created if necessary. The folder name is derived from the archive name.
  • Extract to here using file names for folders: this item appears only if multiple archives are selected. The files in the archives are extracted to subfolders of the currently displayed folder ("here"), using the archive names for the subfolder names. For example, if the Explorer window shows the folder Downloads and you choose this option to extract from the Zip files One.zip and Two.zip, the files are extracted to Downloads\One and Downloads\Two.
  • Extract to folder ...: opens a menu listing folders to which files have recently been extracted. The files in the archive(s) are extracted to the folder you pick from the submenu. Note: this item is enabled or disabled by the configuration option labeled "Extract to folder <folder history>".
  • E-mail filename: creates a new e-mail message and attaches the selected archive. This option appears only if a single archive is selected.
  • Encrypt: encrypts all files currently in the selected Zip file(s). You will be asked for a password and an encryption method. This option appears only if all of the selected files are Zip files.
  • Create Self-Extractor (.Exe): starts WinZip Self-Extractor, which allows you to create a self-extracting program file (.exe) from the Zip file. This option is available only if the selection consists of a single non-self-extracting Zip file.

Related Topics:

Using the Explorer Interface

Explorer Enhancements (Configuration Dialog)


Message WZ63

This message is displayed when the information in the Zip file for decrypting the specified file is either corrupt or not supported by this version of WinZip.

If you downloaded this file, the most likely cause of this problem is an error in downloading, and the best solution is almost always to download the file again. If this does not solve the problem, see the WinZip web site for hints on resolving download problems.


Message WZ62

WinZip® could not copy, delete, rename, or move the file. Possible causes include: the file is read-only, the file is open by another process, or the file has already been deleted by another process.


WZ91 - CRC Error

About CRC errors

A CRC error indicates that some data in your Zip file is damaged. CRC stands for "cyclic redundancy check". It is a calculation made from all the data in a file to insure accuracy in transmission. When you add a file to a Zip file, WinZip® calculates a CRC value for the file and saves the value in the Zip file. When you later extract the file from the Zip file, WinZip calculates the CRC of the extracted file and compares it to the value stored when the file was zipped. If these two CRC values do not match, the file that was extracted does not match the original file, and WinZip will display a "CRC Error" message.

When the data in a Zip file is damaged, it may not be possible to extract all of the files from the Zip file correctly. Damaged data can affect the entire Zip file, multiple files, or just one file.

Why CRC errors occur

There are many possible causes for data damage. Among the most common is telephone line noise or some other transfer error when downloading a Zip file from an online source such as the Internet or AOL. Such an error can introduce invalid data into a Zip file. Some other possible causes include exposure of disks to excessive temperatures or magnetic fields, cross-linked disk sectors, and mechanical problems with disk drives.

What to do if a CRC error occurs

The best solution to the problem of a damaged Zip file is to try to obtain another copy of the file. For example, use your backup copy of the file or get a new copy from the original source. If you obtained the Zip file by downloading it, then downloading it again will almost always solve the problem.

CRC errors on removable disks

If the damaged Zip file is on a removable disk, the removable disk may be physically damaged, or the data on it may have been corrupted. In these cases, the only completely reliable solution is to use another copy of the disk or Zip file that is undamaged. There are, however, two other situations in which it may be possible to recover some files from a removable disk.

  • The removable disk drive that you are using to unzip the Zip file may be malfunctioning. Try using a different disk drive, if possible.
  • If the removable disk drive you are using to unzip the Zip file is not the same drive that was used to store the Zip file on the removable disk, and you have access to the original drive, try using this drive to unzip. It is possible that the original drive may be able to read the disk; if so, you can extract your files using this disk drive (and have your removable disk drives checked out--at least one of them may be out of alignment). Otherwise, the removable disk itself or the data on it is probably damaged.

A "last resort" for CRC errors

If you cannot download a new copy of the Zip file, obtain a replacement disk, or use a backup copy, you may still be able to recover some of your files, and even save portions of the files that are damaged in the Zip file. Here is the recommended procedure.

  1. Start WinZip, switch to the Classic interface, and open the damaged Zip file.
  2. Select Extract from WinZip's Actions menu, or click the Extract button on the WinZip toolbar.
  3. In the Extract dialog, check the All files/folders in archive option button and select the folder into which you want to extract files. Then click OK.
  4. WinZip will extract any undamaged files to the selected folder; for any damaged files, WinZip will display a CRC Error message. For each such file, before clicking OK in the error message window, use Windows Explorer to open the extract folder and look for the file; some portion of it will probably already have been extracted. Copy the partial file to another folder and then click OK in the WinZip error message window. This will erase the partially extracted file from the extract folder, leaving intact the copy of the file you made in the other folder.

Whether or not a damaged file partially recovered using this procedure will be useful depends on the nature of the file, what kind of damage there is, how much of the file was recovered successfully, and what kind of program(s) use the file. In some cases, a partial file is of no use at all; in some cases, loading a partial file into your application program and re-saving it will completely restore the data. In other (perhaps most) cases, the result will lie somewhere between these two extremes--some of the data will be recovered, and some will be lost.


Create Folder

This dialog box lets you create a folder. This folder becomes a sub-folder of the current folder unless you specify a path.

Note: you can only create folders in existing folders; you cannot create multiple folders at once. For example, if the following folder is empty

C:\Test Folder

You can create the folder

C:\Test Folder\One Level Is Ok

But cannot create the following two folders at once:

C:\Test Folder\Level One Folder\Level Two Folder


Message WZ71

WinZip® could not create a folder because a file (not another folder) with the same name exists. For example, if a file named "foo" exists you cannot create a folder called "foo" in the same folder. Choose a different name for the folder you are trying to create, or delete the file with the conflicting name.


The Decrypt Dialog

The Decrypt dialog appears when an encrypted file must be extracted and WinZip® needs to obtain the encryption password.

Note that files are extracted not only for the Extract action but also when you view or open a file (e.g., by double clicking it) and when you use actions such as Test, Install, and CheckOut. To use the dialog:

  • Type the password in the Enter password edit field.
  • Tip: check the Mask password check box to prevent the password from being displayed as you type it.
  • Click OK to begin extracting the file(s).

See also

About Encryption

Using Encryption


Delete Entire Archive

This dialog box is displayed to give you a chance to confirm that you really want to delete the entire archive. Click No to cancel the operation or Yes to delete the archive.


Folders (Configuration)

Select the Folders tab from the Configuration Dialog Box to control these options:

Start-up folder

Unless you start WinZip® by double clicking on an archive, WinZip will optionally change to a folder of your choice when it starts up. Files in this folder are automatically displayed in the Open archive and New archive dialog boxes. The following choices control which folder is used.

  • System default - WinZip does not change folders, so the system default folder is in effect. Usually this is the folder containing WINZIP32.EXE.
  • Last open archive - WinZip changes to the folder containing the last open archive during your last WinZip session, unless it is on your A: or B: drive.
  • Folder - WinZip always changes to the specified folder.

Extract folder

These selections determine the default folder that WinZip automatically lists in the Extract to field in the Extract dialog box. You can, of course, type over this default folder name or select a different folder from the folder list.

  • Open archive folder - WinZip lists the name of the folder containing the open archive in the Extract to field. For example, if the archive c:\download\tools.zip is open, WinZip will list c:\download.
  • Last extract folder - WinZip will list the name of the folder you used during the last Extract operation, unless it is on your A: or B: drive. This value is saved when you exit WinZip so you can use it during your next WinZip session.
  • Folder - WinZip always lists the specified folder. This value is saved when you exit WinZip so you can use it during your next WinZip session.

Add folder

These selections determine the default folder when the Add dialog box is opened.

  • Open archive folder - WinZip uses the folder containing the open archive.
  • Last add folder - WinZip uses the folder you used during the last Add operation, unless it is on your A: or B: drive. This value is saved when you exit WinZip so you can use it during your next WinZip session.
  • Folder - WinZip always uses the specified folder. This value is saved when you exit WinZip so you can use it during your next WinZip session.

Working folder

When an existing Zip file is modified (for example, by adding files), WinZip must make a temporary copy of the Zip file. Normally, WinZip will create the temporary Zip file in the folder containing the open Zip file. If, however, the open Zip file is on removable media (e.g., diskettes), WinZip will create the temporary Zip file in the folder specified here. This is done because there may not be enough free space on the removable media to hold two copies of the file.

You can tell WinZip to use the specified folder for all Zip files, including those on nonremovable media, by unchecking the box labeled Use for removable media only.

The working folder is also used as a staging area when creating new Zip files on CD or DVD.

When using ARJ to create an archive WinZip specifies this folder name via the -w switch.

CheckOut base folder

If specified, WinZip uses this folder as the prefix for the default folder in the CheckOut dialog box. If this field is left blank WinZip will instead use the folder containing the open archive.

Temp folder

This entry specifies the location for temporary files created by WinZip, including files created during the View operation. If you run out of disk space during a View operation, change the Temp Folder to specify a drive and folder with sufficient free space.

Related Topics (other Configuration tabs):


Potentially Unsafe File

A file that you are opening is of a potentially unsafe type. The name of the potentially unsafe file is shown in the dialog. Before opening this file, you should carefully consider its source and whether or not the archive contents are trusted.

Click Yes if you trust the archive and wish to continue to open this file. Click No to cancel opening the file.

If you do not wish to see this warning for this specific file type in the future, check the box labeled Do not display this dialog in the future when opening .ext files, where .ext is the extension of the file being opened.

See also:

Potentially Unsafe File Types


Message WZ68

Cannot open filename. File does not exist. Create new file?

This message is issued in one of two situations:

  • You pressed the Open button on the toolbar or selected Open Archive from the File menu and specified the name of a file that does not exist.
  • You selected a filename from the File menu history list, but that file no longer exists.

Since the file does not exist it cannot be opened. Press the Yes button to create a file with the specified name or the No button to cancel the operation.

Normally you should click the New button or choose New Archive from the File menu to create an archive.


Warning WZ28

You used the drag and drop interface to drop multiple files onto a WinZip® window or icon, and at least one of these files had an extension of ZIP, LZH, ARJ, or ARC. Click Yes to add these files to the open archive.


The Encrypt Dialog

The Encrypt dialog allows you to specify a password and encryption method when encrypting files. The dialog is displayed
  • when files are being added to an archive and you have checked the Encrypt added files check box in the Add dialog, or
  • when you choose Encrypt from the Actions menu or from the WinZip® shortcut menu in Windows Explorer. Note that this action encrypts or re-encrypts all files in the Zip file. Please see About Encryption for more information about this action.
To begin encrypting files:
  • Type the desired password in the Enter password edit field (read about passwords in the "Notes on using encryption" section).
  • Tip: check the Mask password check box to prevent the password from being displayed as you type it. If you check this option, the dialog will require you to type the password twice for confirmation (to avoid typographical errors in the password).
  • Click the desired encryption method in the Encryption method area. (Note: this option appears for Zip files only.)
  • Click OK to begin the action you requested.

See also

About Encryption

Using Encryption


The Enter Password Dialog

This dialog appears when you choose Encrypt from the Actions menu and WinZip® requires a password to decrypt a file before re-encrypting it.

When you are encrypting all files in a Zip file, WinZip needs to decrypt and then re-encrypt any files that are already encrypted. If a file cannot be decrypted using the encryption password you have specified, WinZip displays this dialog and asks for the correct password. You can supply the correct password, skip the current file, or cancel the entire operation.

To supply the correct password

  • Type the password in the Enter password edit field.
  • Tip: check the Mask password check box to prevent the password from being displayed as you type it.
  • Click OK to continue the operation.
  • Note: WinZip will continue to use the password you specify here for any additional files being decrypted and re-encrypted in the current operation. If the new password is incorrect for any of the remaining files, this dialog will appear again.

To skip the current file

  • Click the Skip button. The current file will be skipped, but WinZip will continue to decrypt or encrypt any additional files using the current password.
  • Note: the name of the file currently being encrypted is shown in the dialog's title bar.

To cancel encryption

  • Click the Cancel button. The encryption operation will be stopped, and no additional files will be encrypted.

See also

About Encryption

Using Encryption


Message WZ84 - Decoding problem

Message WZ84

WinZip® encountered a problem processing a UUencoded, XXencoded, MIME, or BinHex file. Details on the problem are in the message text. Possible causes for this message include:

  • The file is corrupt. In this case, you will need to obtain another copy of the file.
  • The file contains incomplete header information. Be sure not to remove any header information, including subject fields, and MIME headers. For example, never delete anything that looks remotely like this:
  • Content-Type: multipart/mixed; boundary="----=_NextPart_000_01BB5CFA.BB6BBC80"
    Content-Transfer-Encoding: 7bit
    ------=_NextPart_000_01BB5CFA.BB6BBC80--

Hint for Microsoft Mail (MS-Mail) users: if you receive an encoded file by e-mail, save it to disk before opening the message. Just select the message while it is in the inbox, then choose Save As from the File menu and specify a filename such as "message.uue". If instead you double click on the message, it may be truncated, because MS-Mail limits message text to about 16kb.


Message WZ86 - Old Beta Version

Message WZ86

The PRE-RELEASE BETA TEST version of WinZip® you are using should be replaced with the current version of WinZip. You can always download the current version from the WinZip web site.


Do you keep track of address changes?

We track address changes, so we can send you upgrade notifications. If you purchased a copy of WinZip® and have moved, please send us the following information:

  1. Your name (If you are not sure how you spelled your name when you registered, please include common alternate spellings, e.g., "J. E. Smith", "Jim Smith", etc).
  2. Your e-mail address, if any (please double check it! Almost 10% of the people that sign up for our mailing list type an invalid address; e-mail addresses are notoriously difficult to spell correctly).
  3. Your new postal mailing address.
  4. Your old postal mailing address.
  5. Approximate purchase date.
  6. Important: please indicate how you purchased WinZip:
    • Online order placed through the WinZip web site
    • By check
    • By telephone order to PsL (Public Software Library) or DigiBuy
    • Reseller (please include reseller name)

Thank you!


How do I compress a folder and later restore it?

Note: there are easier ways to do this, but this is the easiest to explain. In particular, using the drag and drop interface or the WinZip® menu entries in Windows Explorer's context menu can save you most of these steps. (The examples assume that we are compressing and restoring the folder C:\MYDIR.)

How to compress a folder and its subfolders:

  1. Start WinZip.
  2. Choose New Archive from the File menu or click the New button in the toolbar.
  3. Type the name of the archive, for example:
    C:\MYDIR.ZIP
    and press the Enter key.
  4. Choose Add from the Actions menu or click the Add button.
  5. In the Add dialog, navigate to the folder you want to compress, or type its name
    C:\MYDIR
    and press the Enter key.
  6. Be sure the Include subfolders box is checked and the Save full path info box is not checked.
  7. Click the Add with wildcards button. (In Windows "wildcards" are the asterisk and question mark characters. These let you specify multiple files at once, for example,"*.Txt" refers to all files with a file type of "Txt".).

How to restore a folder and its subfolders:

  1. Start WinZip and open the Zip file created in step 1 above.
  2. Choose Extract from the Actions menu or click the Extract button.
  3. Be sure the Use folder names checkbox is checked.
  4. Navigate to the desired folder or type the folder's name
    C:\MYDIR
    and press the Enter key.
  5. Click the Extract button.


How do I view graphic/spreadsheet/word processing files in an archive?

WinZip® can display text files using its built-in viewer, and images using the internal image viewer (Pro version only), but for any other type of file (including word processor documents) you will need an external program.

The program you need will depend on the type of file you want to display. For example, to display graphics files such as .jpg and .gif without using the internal image viewer, you will need a graphics viewer; to display a Microsoft Excel spreadsheet (.xls), you need to have either Excel or a viewer that is capable of displaying Microsoft Office documents.

Otherwise, a variety of third-party programs, many of them free, are available for working with and viewing the main types of files that most people are likely to encounter in archives. For more information about these programs please visit our web site.


Message WZ50

An error occurred opening, writing to, closing, or deleting the specified file. Possible causes include a misspelled filename, a full disk, a read-only or locked disk, a read-only or locked file, or exceeding system limits. The operation in progress will be cancelled. Another dialog box with more specific information may be displayed.

This message may also be displayed because of an invalid archive. For example, if an archive is damaged (possibly due to line noise while downloading from an online service) it may contain invalid data.


File Properties

The File Properties dialog box is displayed when you select File Properties from the right-click shortcut menu for files listed in the main WinZip® window. This dialog box lists the following information: Name, Type, File size, Packed Size, Ratio, Modified (last modification date/time), Path, and CRC. This feature is particularly helpful when you have elected not to display some of these values in the View tab of the Configuration dialog.


Message WZ11

A required file was not found.

The file listed in the dialog box was not found in your path or the specified location. Also, the files WINZIP.CHM, WZPOPUP.HLP, WZINST.CHM, WZWIZARD.CHM, WZ.COM, WZCAB.DLL, WZVINFO.DLL, WZ.PIF, and WZ32.DLL must be in the same folder as WINZIP32.EXE. The Installation section describes the complete installation procedure.


File Type Filters

The File/New Archive, File/Open Archive dialog boxes use the file type filters in the following table. The File/Favorite Zip Folders dialog box uses the first three entries in this table.

Zip files | *.zip
All archives | *.zip; *.z; *.gz; *.tz; *.taz; *.tgz; *.lzh; *.arj; *.arc; *.tar; *.cab; *.wmz; *.yfs; *.wsz, *.rar, *.bz, *.bz2, *.tbz, *.tbz2
Encoded files | *.uu; *.uue; *.xxe;*.bhx; *.b64; *.hqx; *.mim
Archives and .exe files | *.zip; *.z; *.gz; *.tz; *.taz; *.tgz; *.lzh; *.arj; *.arc; *.tar; *.cab; *.wmz; *.yfs; *.wsz; *.exe, *.rar, *.bz, *.bz2, *.tbz, *.tbz2
Archives, encoded, and .exe files | *.zip; *.z; *.gz; *.tz; *.taz; *.tgz; *.lzh; *.arj; *.arc; *.tar; *.cab; *.wmz; *.yfs; *.wsz; *.exe; *.uu*; *.xxe; *.bhx; *.b64; *.hqx; *.mim, *.rar, *.bz, *.bz2, *.tbz, *.tbz2
All files (*.*) | *.*


Folder Properties

The Folder Properties dialog box is displayed when you select Properties from the right click context menu for folders listed in the main WinZip® window or the List View pane of the Files by Folder view. This dialog box lists the following information: Path, Files, File size, Date/time. This feature is particularly helpful when you have elected not to display some of these values in the View tab of the Configuration dialog.


About Operating System and File System Limits

Although there is no practical limit on the size or capacity of Zip files created by WinZip 9.0 or later, you may encounter limits imposed by your file system or operating system. See the notes below to learn how to determine which file system you have.
  • On drives formatted with the FAT16 file system, the maximum allowed size of an individual file is approximately 2GB.
  • On drives formatted with the FAT32 file system, the maximum allowed size of an individual file is approximately 4GB.
  • FAT16 and FAT32 drives also place limits on the maximum number of files that can be stored in a single folder.
  • Windows 98 and Windows Me systems cannot create or access files larger than 4GB, even if the files are stored on a network drive that is formatted with the NTFS file system.

In view of these limits, you may need to use an NT-based operating system (Windows 2000 or Windows XP) and an NTFS-formatted drive to work with large files or large numbers of files. These limits are imposed by the file system and operating system, not by WinZip.

Notes

  • To determine which file system a disk uses, open My Computer, right click the drive, and choose Properties from the menu.
  • When a system limit is exceeded, Windows does not always report the actual cause of the error accurately. For this reason, WinZip may indicate that the disk is full, that an archive is invalid, that there was a disk read error, etc., when in fact the true cause was that a system limit was exceeded. If you are trying to compress or extract large quantities of data, always consider your system limits as a possible cause of errors you encounter.


Mismatch in Local and Central Header Information

WinZip® cannot process one of the files within your Zip file because there is an inconsistency between the local and central header information for the file.

Information about each of the compressed files stored in a Zip file is kept in two places within the Zip file. A local header is stored near the compressed data of each file, and a central header is stored at the end of the Zip file. These headers contain information about the file such as its size, compression method, and CRC.

In a valid Zip file, the information in the local and central headers for each file should be the same. Mismatched information is a sign that some data within the Zip file has been damaged.

Related Topic:

Fixing Zip Files


Message WZ27

An incomplete filename was entered. If either a drive or folder is specified, then both must be specified. For example, the following two filenames are incomplete:

C:LHA.EXE

\UTILITY\LHA.EXE

In the first example, a drive is specified but no folder is specified. This can cause unexpected errors if you change the current folder on the C: drive.

In the second example, a folder is specified but no drive is specified. This can cause unexpected errors if you change the current drive.

Specify a filename like C:\UTILITY\LHA.EXE instead. Note that if the file is in a folder specified by your PATH= environment variable you do NOT need to enter a drive and folder.


The Incorrect Password Dialog

This dialog appears when an encrypted file is being decrypted and WinZip® cannot decrypt it using the password that you provided. Note that encrypted files are decrypted not only for extraction but also during an Encrypt operation (because files that are already encrypted must first be decrypted and then re-encrypted).

You can supply the correct password, skip decryption/extraction of the file, or cancel the current operation completely.

To supply the correct password

  • Type the password in the Enter password edit field.
  • Tip: check the Mask password check box to prevent the password from being displayed as you type it.
  • Click OK to continue the operation.
  • Note: WinZip will continue to use the password you specify here for any additional files being decrypted in the current action. If the password is incorrect for any of the files, this dialog will appear again.

To skip the current file

  • Click the Skip button. The current file will be skipped, but WinZip will continue to extract/decrypt any additional files. In the case of Encrypt, the current file will remain encrypted with its previous password.

To cancel the operation

  • Click the Cancel button. No additional files will be processed.

    In the case of extract operations (including Extract, CheckOut, Install, etc.), any files already processed will remain extracted, but no additional files will be extracted.

    In the case of Encrypt, the Zip file reverts to its previous state, and files that were previously unencrypted will remain unencrypted.

See also

About Encryption

Using Encryption


Message WZ38

WinZip® cannot accept dropped files while the Add dialog box is active as the result of dragging and dropping files. Close the Add dialog box before dropping more files on WinZip.


WinZip Internet Browser Support Add-On

WinZip Internet Browser Support Add-On No Longer Supported

We are sorry, the WinZip® Internet Browser Support Add-On is no longer supported. Due to new built-in features in many Internet browsers, we have decided to discontinue support for this product.


Inflate Error

An error has occurred while decompressing one of the files in your Zip file. This error most commonly occurs for one of two reasons: either you are low on resources (memory) or the archive is damaged.

First, try to increase your available resources:

  1. Click OK to close WinZip®.
  2. Close any other active programs.
  3. Restart WinZip and try to extract the file(s) again.

If the error recurs, the Zip file is probably damaged. If you obtained the Zip file from an online source such as the Internet or AOL, it is likely that the file was damaged during the download process; in most cases, you will be able to correct the problem by simply downloading the file again. Otherwise, you will need to obtain a new copy of the Zip file from your original source.

If you can't obtain a new copy of the Zip file, you may be able to extract many of the files by selecting them individually for extraction (rather than extracting all). It is possible that only one or a few files are damaged.


Message WZ73

WinZip® was unable to make the folder displayed in the Add dialog the current folder. In some operating environments this can be caused by using UNC names. Another possible cause for this problem is a conflict with a "common dialog box" enhancement utility.


Installation Security

Before installing any software, desktop theme, or screen saver, you should carefully consider the source. All of these items can potentially contain viruses. Never install anything that you received from an untrusted source, or in an unexpected or suspicious e-mail attachment.

For additional information, see Security Hints and Tips.


Installing Quick View

When viewing a file that does not have an associated program, WinZip® uses the program identified as the "default association" in the Program Locations tab of the Configuration dialog.

Windows 98 includes an optional file viewing utility, Quick View, that can be used as the default association. Quick View is capable of displaying files in a variety of formats. If you have Windows 98 and Quick View is not installed on your system, you can install it as follows: open the Windows CD-ROM, click Add/Remove Programs, double click Accessories, check the Quick View box, then click OK. To use Quick View with WinZip, select Configuration from WinZip's Options menu, click the Program Locations tab, type "quikview" in the Default association field (don't type the quotes), then click OK.


Message WZ69

Due to Windows limitations it is not possible to run two different versions of the same program with the same name at the same time. As a result, you cannot use WinZip's® Install feature to install WinZip.


Questions and Answers About Install/Try/Uninstall

NOTE: this help topic documents the WinZip® Install/Try/Uninstall Add-on. A test version of this add-on was available from our web site at one time. Due to low demand for the feature, we are no longer planning to make this add-on officially available.

Here are answers to the three most frequently asked technical questions about WinZip's Install/Try/Uninstall feature:

Question: Why shouldn't I run unrelated programs during an install?

Answer: All configuration changes made between an install and uninstall are considered to have been made by the install process. For example, if you switch to your word processor and save a document during the installation process, the document is considered to have been created as part of the install process. If you subsequently uninstall, WinZip lists the document you created in the Uninstall dialog box along with files created during the install procedure. Therefore it is strongly suggested that you do not run any programs other than those related to the program you are installing until you have decided whether to uninstall.

Question: What does WinZip do if a SETUP program replaces an existing DLL or VBX file?

Answer: WinZip's uninstall feature will never suggest you delete files that are used by other programs. WinZip "watches" the setup process, and notices whether any existing files were replaced. If you later choose to uninstall a program WinZip will list changes to pre-existing files in the Cautions dialog box, and will not list them in the Uninstall dialog box, so these files cannot be accidentally deleted. Since no well-behaved SETUP or INSTALL program will replace existing files with older versions of the same file, and since all well-behaved DLLs and VBXs are designed so that new versions don't break programs relying on old versions, there should be no negative effects on your system.

Note that WinZip does not backup all files on your system before running an install, so it is possible for an ill-behaved SETUP or INSTALL program to "break" other applications. However, in no case will you be worse off running WinZip with the Install/Try/Uninstall feature than if you run the SETUP or INSTALL program without WinZip.

Question: Can I use WinZip to install a program, try the program for a week, and later use WinZip to uninstall it?

Answer: No. WinZip's Install/Try/Uninstall feature was designed for the highest possible reliability. You must decide whether to uninstall in the same session that you install. The advantage to this approach is that WinZip has a very high uninstall success rate with a very easy to use interface. It is almost impossible to guarantee a safe uninstall if you've had a chance to install other programs, make arbitrary changes to your system configuration, etc. However, you can use the Report button in the WinZip Uninstall dialog box to generate a disk file listing files that were changed, and use this file to manually uninstall the program. In this case it is up to you to determine whether any programs you've since installed depend on files that are part of the original install.


Internal Error

This dialog box is displayed when an unexpected WinZip® internal error occurs. Please contact WinZip International LLC. with as much information about the error as possible. For a list of contact points, choose About WinZip from WinZip's Help menu.


File Is In Use

A file can be "in use" for one of two reasons:

  • The file is open by another process. For example, a document might be open by a word processing application.
  • The file is "in use" by Windows. Files that are "in use" are typically programs (.EXE files) or dynamic link libraries (.DLL files) being run by the system. For example, you will get this message if you attempt to overwrite the program file of a program that is currently running. The solution is to extract to a different folder.

WinZip® will not let you overwrite or delete a file that is "in use" by the system because this operation could cause unpredictable results, including system crashes. Windows may read from files that are "in use" at any time, and does not expect these files to change. If the file has been overwritten Windows will not know the data has changed and can become confused.

If this message is issued during an Extract operation you can either extract the file to a different folder, or retry the operation after closing the program that is using the file.

If this message is issued while WinZip is trying to delete a folder or file you can either continue without deleting the folder or file (and delete it manually later on) or close the file in question and re-try the operation.


Invalid Filename

The name specified for at least one of the files in the archive is not a valid Windows filename. It may include characters that are not allowed in Windows filenames, it may be too long, or it may contain a name that is reserved for a system device such as the printer. WinZip® will not be able to extract the file using the name as it is specified in the archive.

WinZip does not list files with invalid names in the main window because it cannot predict what will happen if you attempt to extract the file: the result depends on the filename, the archive format (Zip, ARJ, etc.), and other factors. Therefore if you were to attempt to (for example) view the file, WinZip would not know the name under which the file had been stored and could not successfully open the extracted file or delete it after viewing.

Although WinZip will not automatically extract the file for operations such as viewing, you may be able to extract it manually. Just be aware that the extraction might not be successful and that, if it is, the filename on disk will probably not be the same as the filename specified in the archive. To try this, simply extract from the archive using the Extract dialog box, making sure that you choose All files in the Files area. WinZip will attempt to extract all files from the archive, including those with invalid filenames. Note that external archive utilities such as ARC, ARJ and LHA may handle invalid filenames differently from WinZip when they are extracted.


Message WZ13

This dialog is displayed if WinZip® was unable to open the requested archive. Specific causes for this error include:

  • The archive file does not exist or is in use by another program.
  • The specified folder does not exist.
  • The file is not an archive.
  • The archive has been damaged or corrupted.
  • There were disk errors or insufficient memory while reading the archive.
  • The archive contains invalid or illegal filenames.

If you are working with a Zip file, you can try repairing the file as described in Fixing Zip Files.


Message WZ65

WinZip® could not make the specified folder the current folder. Probable cause: invalid or non-existing folder name.


Message WZ74

This archive contains files with long filenames or blanks. However, you are using an external archive utility (e.g. LHA or ARJ 2.50) that doesn't support long file names. Thus some (or all) operations involving this archive will fail. For example, if the archive contains the file "A LONG NAME" and you try to extract it using LHA, the file will be called "A LONG N".


Configure E-Mail Notifications (WinZip Job Wizard)

This dialog allows you to configure your WinZip® job to send an e-mail notification when the job runs. The e-mail can include the Zip file and/or the log file as attachments. To access the dialog, click the E-mail button in the final panel of the Job Wizard.

Choose notifications

In the first two sections of the dialog, choose which notifications, if any, you want WinZip to send when a job completes.

  • Check Send e-mail on successful completion of job if you want WinZip to send an e-mail when a job completes without errors. Specify the subject line of the e-mail message in the Subject field.

    If you check this option, you can also elect to send the Zip file and/or the log file as attachments to the e-mail by checking the corresponding check boxes. If you elect to send the log file, you should also enable logging in the Specify Zip File panel of the Job Wizard.

  • Check Send e-mail on unsuccessful completion of job if you want WinZip to send an e-mail when a serious error occurs when running a job. Specify the subject line of the e-mail message in the Subject field.

    If you check this option, you can also elect to send the log file as an attachment to the e-mail by checking the corresponding check box. If you elect to send the log file, you should also enable logging in the Specify Zip File panel of the Job Wizard.

Specify e-mail account information

If you have chosen to send an e-mail notification, you must specify the e-mail account to be used to send the e-mail message and who the message should be addressed to.

  • Specify the "from" account: this is the account that will be used to send the e-mail. You can choose to use the default e-mail account, or you can specify a particular account to use. If you choose the default account, the e-mail will be sent to the account that is the default account at the time the job is run.

    Click the Accounts button to add, remove, or modify your e-mail account list.

  • Specify the addressee(s): in the Send to field, type the e-mail address of the individual to whom the e-mail notification should be sent, e.g., "sahraj@mycompany.com".

    You can specify a "friendly" as well as an address. The friendly name will appear in the "To:" line of the message. To do this, specify the friendly name first, followed by the e-mail address in <angle brackets>:

      Sarah Jones<sarahj@mycompany.com>

    You can specify multiple recipients by separating the addresses with semicolons:

      Sarah<sarahj@mycompany.com>;Brian<brianw@mycompany.com>;alicet@mycompany.com

Specify options

If you have chosen to send an e-mail notification, three additional options are available the relate to the Zip file and log file:

  • Move local Zip file to Recycle Bin after emailing and/or FTP: if this box is checked, the Zip file that the job created will be sent to you Recycle Bin after the confirmation e-mail has been sent. (If you have chosen to also FTP your Zip file, it will be FTPd and e-mailed before recycling.)
  • Move local log file to Recycle Bin after e-mailing: if this box is checked and logging is enabled, the log file will be sent to the Recycle Bin after it has been e-mailed.
  • Zip log file before attaching: if you have elected to attach the log file to your e-mail, the log file will be zipped before it is attached.

Related Topics

Configuring FTP connection

Setting up e-mail accounts

WinZip Jobs and the Job Wizard


Pre-configured WinZip Jobs

WinZip® Pro includes several pre-configured WinZip jobs that can assist you in zipping some common data.

To run one of the pre-configured jobs, simply open WinZip's Jobs menu and choose one of the following:

  • Zip My Documents: this job zips the contents of your My Documents folder and its subfolders. The resulting Zip file is called "My Documents.zip".
  • Zip My Desktop: this job zips the contents of your Desktop, including any folders that are on your Desktop. The resulting Zip file is called "My Desktop.zip".
  • Zip My Windows Favorites: this job zips the contents of your Windows Favorites folder and its subfolders. The resulting Zip file is called "My Favorites.zip".
  • Zip My E-mail: this job zips data for the default e-mail program, which must be either Microsoft Outlook or Microsoft Outlook Express. This job may not function correctly if your Outlook or Outlook Express data files do not reside in the default locations. The resulting Zip file is called "My Email.zip".
  • Zip My Documents, Desktop, Favorites, and E-mail: this job combines all four of the above into one job. The resulting Zip file is called "CombinedUserFiles.zip".
In all cases, the resulting Zip file is stored in a subfolder of My Documents named "My WinZip Files".

Notes

  • The items listed above represent the standard set that is included with WinZip Pro. If your copy of WinZip was installed by a system administrator, he or she may have elected to remove one or more of the pre-configured jobs. In that case, some or all of the jobs may not appear in your Jobs menu.
  • You can edit the pre-configured jobs using the Job Wizard. However, the jobs are stored in the WinZip folder in your Program Files, so you must have write permission in your Program Files folder, and any changes will be lost if you reinstall or update WinZip.

Related Topics

WinZip Jobs and the Job Wizard

Using the WinZip Job Wizard


Specifications Complete (WinZip Job Wizard)

This is the final step of the WinZip® Job Wizard. Here you can:

  • Schedule your job to run periodically, or remove an existing schedule.
  • Set up an FTP transfer of the Zip file to a remote location when your job runs.
  • Configure your job to send an e-mail message, optionally attaching the Zip file and/or log file, when the job is complete.
  • Tell WinZip to run your job now by checking Run this job when I click Finish.
Click Finish when you are done, and your job will be saved. If you checked the Run this job when I click Finish, the job will run immediately, and you will be able to review the results and examine the resulting Zip file.

Click Back if you would like to review or change any settings.

Related Topics

Previous panel: Review Settings

WinZip Jobs and the Job Wizard


Creating WinZip Jobs

The Create WinZip Job dialog is displayed when you choose Create from the WinZip® Jobs menu.

The dialog lets you specify the name of the new job and the folder in which to store it. The file name extension of WinZip job files is always "WJF".

To use the dialog, simply navigate to the desired folder, type in a name for the new job file (WinZip will add .WJF if you omit it), and click OK.

Related Topics:

WinZip Jobs and the Job Wizard

Using the WinZip Job Wizard


Editing WinZip Jobs

The Open WinZip Job dialog is displayed when you choose Edit from the WinZip® Jobs menu.

The dialog lets you select the WinZip job that you wish to edit. To use the dialog, simply navigate to folder containing the job and double-click the job specifications file (WJF extension). WinZip will load the job and start the WinZip Job Wizard.

Related Topics:

WinZip Jobs and the Job Wizard

Using the WinZip Job Wizard


Filters (WinZip Job Wizard)

About filters

Filters are used to refine your file selections. For example, you can use exclude filters to skip files that match wildcard patterns that you specify, and you can use include filters to zip only files matching wildcard patterns.

For example, suppose you want to zip a folder and all of its subfolders, but you do not want to zip files with a BAK extension. You could do this by going into the Select Items dialog and unchecking all of the .BAK files, but this is tedious, and any new .BAK files would get zipped.

A better way is to create an exclude filter for "*.BAK". The exclude filter causes WinZip® to skip any files matching the filter's file specification (which typically uses wildcards).

On the other hand, suppose you want to zip only the DOC and XLS files in the folders that you have selected. Again, the easiest way is to use a filter, in this case an include filter. By specifying "*.DOC" and "*.XLS" as include filters, only DOC and XLS files will be zipped.

How filters work

Exclude and include filters work slightly differently.

  • Include filters are applied to every folder that you have specified in the Select Items dialog. WinZip does this very simply by appending each filter to each folder that you have selected.

    For example, if you've specified *.DOC and *.BAK as include filters, and you have checked the folders C:\Folder1 and C:\Folder2, the four actual file specifications used by WinZip during zipping will be:

    C:\Folder1\*.DOC
    C:\Folder2\*.DOC
    C:\Folder1\*.BAK
    C:\Folder2\*.BAK

    Notes on include filters:

    • If subfolders of the folders you've selected are also being zipped, the filters are applied to the subfolders as well.
    • Although include filters commonly use wildcards, they are not required. You can use a specific file name such as "JUNE-21.XLS" to include specific files (but remember that all files with that name in the selected folders will be included).
    • You can specify folders in your filters when needed. Just remember that your filters are always appended to the folder names you selected in the Select Items dialog.
  • Exclude filters are not applied to the specified folders in the same way that include filters are. Rather, WinZip builds a complete list of files to be zipped using the file/folder selections and the include filters, and then removes from the list any files that match the exclude filters.

    You can use exclude filters to exclude entire folders. For example, suppose you have the following folders and that you have checked C:\Test in the Select Items dialog:

    C:\Test\A\B\10
    C:\Test\A\B\11
    C:\Test\A\B\20
    C:\Test\A\B\21

    If you want to zip the two folders beginning with "2" (20 and 21) but skip the two folders beginning with "1" (10 and 11), the following exclude filter would do the job:

    *\B\1*\*

Using the Filters dialog

The Filters dialog has two tabs, one for include filters and one for exclude filters. Click the tab for the type of filter you want to work with. Then:

  • To add a filter, click Add, type the new filter in the New Filter dialog, and click OK.
  • To remove a filter, highlight the filter by clicking it once, then click Remove.

Click OK when you are done. Note that filters do not appear in the list of items in the Select Files/Folders dialog.


Configure FTP Connection

This dialog allows you to configure an FTP connection so that you can upload the Zip file created by your job to an FTP site. To access the dialog, click the FTP button from the Specifications Complete panel of the Job Wizard.

Enable/disable

To enable or disable FTP upload of the Zip file created by your job, check or uncheck the box labeled Upload the Zip file to an FTP server.

Site logon

If the FTP site requires a user name and password to log in, uncheck the box labeled Use anonymous logon and provide your user name and, optionally, your password. If the password is left blank, WinZip will ask you for it when the job runs.

Note: you should be aware of the security implications of saving the FTP password. It is only as secure as access to your computer. Please read about WinZip job security considerations.

Upload site

The Upload site section specifies the site and location to which the Zip file should be uploaded, as well as any special settings required:

  • FTP site is the name of the FTP site, such as "ftp.MyCompanySite.com". You do not need to include the "ftp://" prefix.
  • Upload folder specifies the name of the folder where the file should be placed. If left blank, the file will be stored in the root folder at the site. Once the logon settings have been entered, you can browse for a folder on the FTP site by clicking the folder [image] button.
  • FTP port, proxy setup, and passive FTP: in most cases, you can leave these settings alone. If your job does not upload correctly, try checking Use passive FTP semantics. If it still does not upload correctly. check with your system administrator regarding these settings.

Options

  • Check Create the upload folder on the upload site if you want the folder you specified to be created on the FTP site if it does not already exist.
  • Check Overwrite existing files on the upload site if you want the new Zip file to replace an existing file.
  • Check Move local file to Recycle Bin after emailing and/or FTP if you want the copy of the Zip file on your computer to be moved to your Recycle Bin after it has been sent.
If you want to test the FTP connection after you have specified the upload site and logon parameters, click Test Connection. WinZip will attempt to open the FTP connection and will display a message indicating whether or not it was successful. WinZip will not attempt to upload any data to the site.


Logging Options (WinZip Jobs)

This dialog allows you to enable or disable WinZip® job logging and, if enabled, to specify how logging should occur.

When logging is enabled, WinZip will run silently and will not display any errors; instead, it writes a log of the results of your job to a text file. This allows you to schedule your job and have it run unattended. Because no errors are displayed, you must view the log file to see if your job was successful.

The log file will have the same name as the Zip file but with the extension changed from ".zip" to ".log.txt". For example, if the Zip file name is Sales.zip, then the log file name will be Sales.log.txt.

To enable or disable logging, check or uncheck Log information to file. If logging is enabled, you have the following additional options:

  • Type of log: you can choose either Full or Summary logging. A full log contains complete details of the job run, including a list of all files that were added. A summary log omits the list of individual files but contains all other pertinent information, including any errors.
  • Location of log: you can choose where the log file should be stored. You can store the log file in the same folder as the job file, in the same folder as the Zip file, or in a different folder that you specify. Note: if the Zip file is being written to a CD or DVD, the log file cannot be written to the same CD or DVD.
  • Disposition of existing log: choose either Append to the existing log file or Overwrite the existing log file. This choice determines what WinZip will do if a log file with the same name and location already exists when the job runs. If you choose Append, new log information will be added to the end of the existing file. If you choose Overwrite, the existing log file will be replaced.


Multiple Drive Warning (WinZip Jobs)

WinZip® displays this warning when the items shown in the Select Files/Folders panel of the Job Wizard are, or potentially could be, from more than one disk drive or UNC resource.

This message is also displayed if you use more than one generic folder name (for example, <MyDocuments> and <AppData>) because WinZip will not know whether these folders are on the same drive until the job runs.

We strongly recommend using a separate Zip file for each drive or UNC resource.

The Zip file specification does not allow drive letters or UNC paths to be stored with the folder information for the files in the Zip file. This causes two potential problems when zipping files from multiple drives:

  • It is possible for duplicate filenames to occur if the job tries to add two files with the same name and folder from two different locations. This will cause your job to terminate with an error.

    For example, if you include both C:\Sales and D:\Sales, and both Sales folders contain a file named January.xls, WinZip will be unable to finish the job because there will be two files named Sales\January.xls. The Zip file format specification does not support two files with the same name and folder information.

  • Because the drive letters/UNC names are not included, it will be difficult to extract files from the Zip file to their original locations or to re-create the original folder structures in a different location. This is because the folder structures from all of the drives or UNC resources will be mixed together. You will need to extract from the Zip file on a folder-by-folder basis.


Specify Job Options (WinZip Job Wizard)

This panel sets your WinZip® job options for how folder information is stored, whether the zipped files should be encrypted, and what compression method is used.

Folder info

This option specifies how folder information is to be stored in the Zip file. The choices are:

  • None: no folder information is saved with the zipped files. Note: if you have selected multiple folders, and there are files with the same name in more than one folder, an error will occur when the job runs. Two files with the same name and no folder information cannot be stored in one Zip file.
  • Relative: stores the relative folder information for each file. When the job runs, WinZip determines the lowest level folder that is common to all of the files being zipped and removes this from the folder information being stored. For example, suppose these three files are being zipped:
       C:\aa\bb\cc\one.doc
   C:\aa\two.txt
   C:\aa\dd\three.xls
    The lowest-level folder that all of these have in common is C:\aa, so that is removed and the files are stored as:
       bb\cc\one.doc
   two.txt
   dd\three.xls
    Relative folder information is the most commonly used (and the default) setting because it allows the original folder structure to be re-created anywhere.
  • Full: stores the entire path for each file, excluding the drive letter.

Password/encryption

This option specifies whether and how files should be encrypted when they are zipped. The choices are:

  • None: the files are not encrypted.
  • Save with job: the files are encrypted, and the encryption password is saved in the job file. If they have not already been saved, you will be asked for the password and encryption method when you click Next. You can also use the Edit settings button to set or modify your encryption method and password.

    Note: you should be aware of the security implications of saving the encryption password in the job file. Please read about WinZip job security considerations.

  • Ask when the job runs: you will be asked for the encryption password and method when the job runs. This is the safest setting, but it does require you to be present when the job starts.

Compression

  • Choose the compression method to be used in compressing the files. Only one compression type can be selected. See Choosing a compression method for additional information about the compression methods that WinZip supports.

Zip File Span and Split Options

If you expect the Zip file resulting from your job to be large, and you will be storing it on removable media or e-mailing it, you might want to consider your spanning and splitting options. For full information, see Zip File Span and Split Options

Related Topics

Next panel: Specify Zip File

Previous panel: Choose Job Type

WinZip Jobs and the Job Wizard


Relative Path Warning (WinZip Jobs)

WinZip® displays this warning message when four conditions are met:
  1. You are editing an existing job, and
  2. your job specifies relative folder information, and
  3. your job specifies that the Zip file should be updated, not replaced, and
  4. you have modified the list of files and folders.
The reason for the warning is that modifying the list of items to be zipped may change the base folder that WinZip will use, resulting in an inconsistent set of folders in the Zip file. (The base folder is the lowest level folder that all included files have in common; it is removed from the file specifications before they are stored in the Zip file.)

For example, suppose you previously specified that these two folders should be zipped:

  C:\Sales\East\January
  C:\Sales\East\February
The base folder here is C:\Sales\East, and the files would be stored in the Zip file with the relative folders January and February; that is, the file C:\Sales\East\January\Store7.xls would be stored as January\Store7.xls.

Now suppose you edit the list of items to add a new folder:

  C:\Sales\East\January
  C:\Sales\East\February
  C:\Sales\West\January
Now the base folder is no longer C:\Sales\East; it is just C:\Sales. The folder names East and West are stored in the Zip file, and the sample file above would be stored as East\January\Store7.xls. You now have two copies of Store7.xls and the following folder structure in your Zip file:
  January
  February
  East\January
  East\February
  West\January
Modifying the list of items is safe as long as you do not change the base folder. For example, if you were to add the folder C:\Sales\East\March to the original sample list above, the base folder would still be C:\Sales\East, and no problems would arise.

If, however, you do change the base folder, then you might want to consider archiving the original Zip file and deleting it from the target folder.


Review Settings (WinZip Job Wizard)

This step in the WinZip® Job Wizard allows you to review the choices that you have made while creating or modifying your job. After reviewing these settings, you can either click Back to make changes or Next to continue to the final step.

Related Topics

Next panel: Specifications Complete

Previous panel: Specify Zip File

WinZip Jobs and the Job Wizard


Running WinZip Jobs

The Run WinZip Job dialog is displayed when you choose Run from the WinZip® Jobs menu.

The dialog lets you select the WinZip job that you wish to run. To use the dialog, simply navigate to folder containing the job and double-click the job specifications file (WJF extension). WinZip will load and run the job.

Please read and understand the security considerations of running WinZip jobs.

Related Topics:

WinZip Jobs and the Job Wizard

Using the WinZip Job Wizard


Scheduling (WinZip Jobs)

This dialog allows you to create, modify, or delete the schedule for automatically running your WinZip® job. To reach the dialog, edit or create the job using the WinZip Job Wizard and click Schedule in the final Wizard panel.

To unschedule the job:

  • Simply choose Never in the Schedule job list and click OK.

To schedule the job:

  1. Choose the run frequency (Daily, Weekly, or Monthly) from the Schedule job list. The dialog will then show the required information for the type of schedule you have requested.
  2. Fill in the scheduling information according to your desired schedule.
  3. Enter the computer\username under which the job should be run, and the user password. If Mask password is checked, the password will display as asterisks, and you will need to type it twice in order to guard against typing errors.

    Important: Windows XP will not run a scheduled job (or any other task) for a user account that does not have a password.

  4. Click OK.
Notes
  • The job will be scheduled or unscheduled when you click Finish in the Job Wizard.
  • The user name and password are not stored with the WinZip job. They are required by the Windows task scheduler when the Job Wizard schedules the job. Remember that Windows XP will not successfully run a scheduled WinZip job or any other task for a user account that has no password.
  • Job scheduling via the Job Wizard is provided as a convenience only. It does not support all of the options that are available from the Windows task scheduler. For more demanding needs, advanced users may want to consider using the Windows task scheduler directly. The command line that you should provide to the task scheduler is:
      "d:\path\winzip32.exe" /autorunjobfile "d:\path\jobname.wjf"
  • WinZip may not be able to delete or modify a schedule that was created or edited with the Windows task scheduler.
  • Please read and understand the security considerations of running WinZip jobs.

Related Topics

WinZip Jobs and the Job Wizard


Select Files/Folders (WinZip Job Wizard)

This panel allows you to select the files and folders to be zipped by your WinZip® job. You can also specify filters, which refine your file selections when the job is run.

Files/Folders

This list shows the current set of files and folders to be included and excluded. The Action column shows what action will be applied to each item. Inc indicates that the item will be included, and Exc indicates that it will be excluded. Folders may also show the indicator Sub, which indicates that the action will also apply to subfolders of the folder.

In the sample screen above, file "Chktree.txt" will be zipped, along with the "Sales" folder and all of its subfolders except "2001" (and its subfolders, if there are any).

The Files/Folders list is not edited directly. To select the files and folders you want to include and exclude, click the Files/Folders button, which will display the Select Items dialog. In the Select Items dialog, simply check the files and folders you want included. When you click OK, your selections will appear in the Files/Folders list.

Filters

Filters are used to refine your file selections. For example, you can use exclude filters to skip files that match wildcard patterns that you specify, and you can use include filters to zip only files matching wildcard patterns.

To create or modify filters, click the Filters button. Details on how to use filters and the Filters dialog can be found here.

Specified folder names or generic folder names

Some common system folders such as My Documents and Program Files can be specified in your job either "as specified" or using "generic names". When generic names are used, the actual name you selected (such as C:\Program Files) will be replaced by a generic name (such as <ProgramFiles>). Your choice should be governed by how the job will be used.

  • If you plan on using the job on your own computer, you should probably choose Use specified folder names. When this option is chosen, the folder names will be saved in the job file exactly as they appear in the Files/Folders list.
  • If you plan on distributing the job to others, Use generic folder names may be best. This allows the job to run as you intended even if the equivalent folder on another user's machine is in a different physical location. For example, the physical location of the My Documents folder can be set by the user, and will vary from one user to another on a multi-user machine.

    When Use generic folder names is chosen, the Job Wizard will substitute a generic folder name (e.g., <MyDocuments>) for the physical location you specified in the Select Items dialog. When the job is run, WinZip will locate the My Documents folder for the current user and substitute that folder for <MyDocuments>.

Related Topics

Next panel: Choose Job Type

WinZip Jobs and the Job Wizard


Span/Split Zip File (WinZip Jobs)

Spanning

When the destination of the Zip file created by a WinZip® job is removable media such as a diskette, CD, or DVD, and the Zip file will not fit onto the media, spanning may come into play. Spanning means that the Zip file is split into pieces and uses more than one diskette, CD, or DVD.

Spanning options are:

  • Automatically: spanning is done as needed (default value).
  • No spanning: spanning will not occur even if the disk cannot hold the entire contents of the Zip file.
  • Automatically + wipe first disk the first disk will be erased and then spanning is done as needed. Not applicable to read-only media like CD-R and DVD-R.

Splitting

Splitting is the process of splitting the Zip file into multiple pieces and occurs on fixed media such as a hard drive.

Splitting option are:

  • No Splitting: a single Zip file is created (default value).
  • Select from a list of predefined sizes or Other: the Zip file will be split into multiple pieces of the specified size. For Other, enter the desired size in "Bytes", "KB", or "MB".

See also

Splitting Zip files

Multiple Disk Spanning

Split Zip File Compatibility


Special Folders

WinZip Pro feature

Special Folders (WinZip Job Wizard)

The Special Folders dialog is displayed when you click Special Folders in the WinZip® Job Wizard's Specify Zip File panel. These folder names reference commonly accessed folders in the Windows operating system such as My Documents and Program Files.

When a special (or generic) folder name is used rather than a physical folder name, your job will be more portable and will work correctly on other machines or for other users. See Distributing WinZip Jobs and the "Save in folder" section of Select Files and Folders for additional information.

Initially, the Special Folders dialog displays a short list of the most commonly used folders. To display the complete list of special folders, check the box labeled Show all.


Specify Zip File (WinZip Jobs)

WinZip Pro feature

Specify Zip File

The Specify Zip File panel of the WinZip® Job Wizard gives you options for naming the Zip file, specifying its location, and logging the job as it runs.

The Sample name field gives you an idea of what the final Zip file name and folder will look like. The final name may vary from what is shown here if variable information is appended to the Zip file name, if generic folder names are used, or if you choose to save the Zip file in a variably named subfolder. (All of these options are described below.)

Zip file name

Type the name you want to use for the Zip file that the job will create. Do not include a drive letter or a folder.

The default name is the same as the name of the job file. For example, if you name your job file "test.wjf" your Zip file will be "test.zip".

Append to Zip file name

Additionally, you may elect to append variable information to the Zip file name. This option allows you to run the same job at various times without overwriting previously created Zip files. Options for Append to Zip file name include:

  • Date (yy-mm-dd), Date (yyyy-mm-dd), and Date + Time append the date in various formats to your Zip file name. (Date + Time appends the date as yyyy-mm-dd plus the time as hh-mm-ss.)

    For example, if you choose Date (yy-mm-dd), and you run the job shown in the sample screen above February 1, 2006, then the Zip file would be named MyJob06-02-01.zip.

  • Time (hh-mm-ss) appends the time of the day to the Zip file name. A 24-hour time format is used.
  • Day of the week (ddd) appends the three-letter abbreviation of the current day of the week. For example, if you run the job shown in the sample screen above on Friday, the Zip file would be named MyJobFri.zip.
If (nothing) is chosen, nothing will be appended to the Zip file name.

Save in folder

The default location for your Zip file is a folder named My WinZip Files in the current user's My Documents folder. There are several options available to you for changing the location for the Zip file.

  • You can change the folder by manually typing a folder name (such as C:\Jobs\) or by browsing to the desired folder using the browse [image] button.
  • You can specify the folder using a "generic" (also called "special") folder name. Generic folder names refer to common system folders such as My Documents. The physical locations for these folders may vary from one machine or user to another, and using generic names allows you to use the same job on multiple computers or for different users on the same computer. When a generic name is used, WinZip locates and uses the correct physical folder when the job runs.

    For example, if you use the generic folder name <MyDocuments>, and the current user's My Documents folder at run time is C:\Documents and Settings\Jane\My Documents, the Zip file would be stored in that folder.

    If you know the generic name, you can type it manually. Otherwise, click the Special Folders button to choose the name from a list. The most commonly-used generic folders are initially shown in the listing; to see additional generic folders, check the box labeled Show all.

    Note: not all generic folders are supported by all versions of Windows. If you are going to use a job on multiple systems with varying versions of Windows, be sure to test it on all versions.

  • Subfolder Options allows you to store the Zip file in a subfolder of the folder you've specified. The subfolder name is set when the job runs and can be the current day of the week, the current day of the month, the current month, or the current user's name.

    For example, suppose you've specified the folder name as C:\Jobs, and you've selected "current user" in Subfolder options. If a user named "Bill" runs the job, the Zip file will be placed in a folder named C:\Jobs\Bill.

Note that WinZip will create the required folder when the job runs if it does not already exist.

Zip to CD Options

This option allows you to modify the write speed that WinZip will use to write data to CD or DVD. The selection affects the job only if Save in folder evaluates to a CD or DVD drive when the job is run. See Zip to CD/DVD options for full information.

Logging Options

This option allows you to have the results of your job logged to a file. The file will have the same name as your Zip file but with the extension changed from ".zip" to ".log.txt".

When logging is enabled, WinZip will run silently and will not display any errors. This allows you to schedule your job and have it run unattended. Because no errors are displayed, you must view the log file to see if your job was successful. See help for the Logging Options dialog for full details.

Related Topics

Next panel: Review Settings

Previous panel: Specify Job Options

WinZip Jobs and the Job Wizard


Choose Job Type (WinZip Job Wizard)

This panel allows you to specify the "job type". The job type affects which files are included and excluded, whether file attributes are changed when the job is run, and whether an existing Zip file is replaced or updated.

Use the Job type dropdown list to choose one of five predefined job types or Custom to create your own (see below).

The predefined job types are:

  • Normal zips all the selected files. If a Zip file with the name you've chosen already exists, it will be replaced. The archive attributes of the zipped files are not reset.
  • Update is used to quickly update a Zip file with new and changed files. If a Zip file with the name you've specified does not already exist, this choice is identical to Normal. If, however, the Zip file does already exist, then only these files will be added:
    • Files that are new, i.e., do not exist in the current Zip file.
    • Files that have newer dates on disk than existing files in the Zip file.

    Files that have not changed since they were last added to the Zip file are skipped.

    The files' archive attributes are neither examined not reset by this operation.

  • Full data backup is similar to Normal in that all selected files will be zipped and the Zip file, if it already exists, will be replaced. The difference between this job type and Normal is that the archive attributes of all files zipped are reset.
  • Differential data backup is used to update a base Zip file with all selected files that are new or have changed since the Zip file was originally created. It is similar to Update except that the files' archive attributes are used rather than their dates.

    The files' archive attributes are not reset by this operation. Therefore, each time you use a differential data backup, all files that have changed since the Zip file was originally created will be added to the Zip file (assuming that no other application, such as a system backup, has not reset the archive attributes).

  • Incremental data backup is similar to differential data backup except that the files' archive attributes are reset. Therefore, each time you perform an incremental run, only files that have changed since the last incremental run will be added.
Custom job types

If you choose Custom from the Job type dropdown list, you can specify your own job type by controlling all of the options individually. The options are:

  • Replace existing Zip file: if this option is checked, an existing file with the name you've specified will be replaced. If it is not checked, the existing Zip file will be updated.
  • Reset archive attribute bit after zipping: if this option is checked, the files' archive attributes will be reset when they are zipped. If it is not checked, the archive attributes are unaffected.
  • Only compress files that have the archive attribute set: if this option is checked, files that do not have the archive attribute set will be skipped.
  • Only compress files that are new or newer than the files in the archive: if this option is checked, files will be added to the Zip file only if (a) they are not already in the Zip file, or (b) the copy of the file on disk is newer than the copy currently in the Zip file. This option is not available if Replace existing Zip file is checked.

Related Topics

Next panel: Specify Job Options

Previous panel: Select Files and Folders

WinZip Jobs and the Job Wizard


Zip to CD/DVD Options (WinZip Jobs)

This dialog allows you to specify the write speed to be used when the Zip file created by a WinZip® job is written to a CD or DVD.

Choose Fastest, Medium, or Slowest in the Write speed setting as the speed you want WinZip to use when writing the Zip file to a CD or DVD drive.

You may also choose Default, in which case WinZip will use the current speed setting for the computer on which it is running. The current setting may be accessed from the New Zip File on CD or DVD dialog.

Notes

  • Fastest corresponds to the fastest speed supported by your CD or DVD drive for the media that you load into the drive. Similarly, Slowest will give you the slowest supported speed, and Medium a speed that lies somewhere between the two extremes.

    As long as it works reliably, you're usually best off selecting Fastest. However, if you experience failures at the fastest speed setting, you may have better luck choosing one of the slower speeds. When the drive spins at a slower rate of speed, the laser used to write data onto the CD has more time to burn each individual spot, and this can help to reduce or eliminate failures.

  • If the Zip file is to be written to a CD-RW that already contains data, there will be a prompt to erase the existing data. Therefore, if you are scheduling the job to run unattended, you should use empty media.
  • Writing to CD or DVD is supported only on Windows XP systems.
  • For additional information about WinZip's use of CDs and DVDs and a list of supported media, please refer to New Zip File on CD or DVD.


LHA Security Information

The archive you are working with is in LZH format. This archive type requires that WinZip call the external DOS archive utility LHA for most operations.

You should be aware that LHA.EXE is a legacy DOS application that has not been updated since the mid-1990's, and that security issues have been reported since then that can affect various versions of LHA.EXE.

Even though WinZip is able to detect the invalid LZH files that trigger several known security issues affecting LHA, and will refuse to open these files, you should be sure that you know and trust the source of any LZH archive that you work with. Please see Potentially Unsafe File Types for additional security information.

Click Yes if you wish to proceed with the operation. Click No to cancel it.


Program Locations (Configuration)

Select the Program Locations tab from the Configuration Dialog Box to specify the paths and filenames for the optional external programs supported by WinZip®. Note that these programs are not required for most operations involving Zip files.

If you are installing WinZip and are not familiar with these programs you can just press the OK button to continue the installation procedure.

External programs are not distributed with WinZip. For more information on these programs, including availability and minimum version numbers, see the section titled System Requirements. For step-by-step installation examples for external archivers see the section titled Installing Optional External Programs.

If a program is not installed on your system, just leave the corresponding field blank. Otherwise, fill in the program name. The extension defaults to EXE. If no path is included for an entry, WinZip assumes that the program is in a folder specified in your system's PATH.

The program specified as the Default association is used when viewing a file that does not have an association. For additional information on associations, see the section titled Windows Associations. The defaults for this field are:

  • SCCVAPI.EXE, System Compatibility Corporation's "Outside In" file viewer, if it is found in a folder specified by your system's PATH.
  • NVIEWER.EXE, the Norton Desktop for Windows File Viewer, if it is found in a folder specified by your system's PATH.
  • WNFV.EXE, the PC Tools for Windows File Viewer, if it is found in a folder specified by your system's PATH.
  • NOTEPAD.EXE, the Windows Notepad program, if NVIEWER and WNFV are not found.

The ARJ, LHA, and ARC file formats require external programs to be available for them to be handled using WinZip. You can type the names of these programs, or use the browse button [image] to locate them. If they are not available on your system, leave the fields blank. They are only necessary if you use these other archive formats and want WinZip to handle them for you.

See the section titled System Requirements for more information on version numbers and availability of the external programs supported by WinZip.

Note: When WinZip is installed it will attempt to locate the default programs for each field in the folders specified by your system's PATH. If it cannot find these programs, it will leave the corresponding edit fields blank.

Related Topics (other Configuration tabs):


Message WZ47

WinZip® could not create the specified folder. Possible causes are:

  • A file exists with the same name as the folder
  • Disk is read-only
  • Folders preceding the final folder do not exist. For example, to create the folder "C:\UTILITY\FILES" the folder "C:\UTILITY" must exist.

Solution: specify a different folder name.


Why aren't WinZip's e-mail features working for me?

WinZip® support for e-mailing archives requires that you have an e-mail program installed and properly configured. If there is a problem with your e-mail configuration, then these features will either be disabled or nonfunctional.

WinZip uses a Windows feature called MAPI (Mail Applications Program Interface) to "talk" to your e-mail program. MAPI is a standard interface that allows WinZip and other programs to instruct your e-mail program to create a new message, attach a file to it, etc. If MAPI is not properly configured on your system, then WinZip and other programs can't create e-mail for you. "Properly configured" means that:

  • you have a MAPI-compatible e-mail program installed, and
  • the e-mail program properly supports the "Simple MAPI" interface that WinZip requires, and
  • the e-mail program is configured to be the default e-mail program (sometimes called the "default MAPI client").

Examples of popular MAPI-compatible e-mail programs include (but are not limited to) Outlook, Outlook Express, Eudora, and AOL 7.0 or later.

AOL versions 4.0, 5.0, and 6.0 are not MAPI-compatible and therefore do not support WinZip's e-mail features.

If you are having difficulty e-mailing your archives with WinZip, we have tips for some popular configurations available on our web site.


Invalid split size

The size specified in the Other size field is invalid:

  • It is an invalid number, or
  • it is too small (less than 65,536 bytes or 64KB), or
  • it contains a decimal point, or
  • it is a very large number.


Password Mismatch

This message is displayed because the two passwords that you typed were not the same.

When you choose to mask password entry by checking the Mask password checkbox, you can't see what you're typing. In order to avoid saving your Zip file with an incorrectly typed password, WinZip® asks you to type the password again. You will see this message when the two passwords you typed were different.

Please re-type the confirmation password and click OK. If it is still incorrect, you probably mis-typed the original password. Click Cancel and try again.


Missing File

A required file, the name of which is shown in the dialog box, could not be found. You may need to re-install WinZip®. See WinZip Installation for information about installing WinZip.


Message WZ14

This dialog box is displayed when a required edit field is empty or no entries are selected in a list box. For example, it is displayed if you don't specify which file you want to delete in the Delete dialog box. Specify the required information and try again.


Encrypt error

One or more errors occurred while WinZip® was encrypting your Zip files. Click View Output to see all messages issued while encrypting, including informational and warning messages.


Extract error

One or more errors occurred while WinZip® was processing your extract request. Click View Output to see all messages issued while extracting, including informational and warning messages.


New Folder

The New Folder feature makes it easy to create an empty folder in an existing Zip file.

To create a new folder, in the Folder pane (left pane) of the Files by Folder view, select the folder in which you wish to create your new folder. From the Actions menu, click New Folder...

The Create Folder dialog will appear. The dialog shows the full path of the folder in the Zip file in which the new folder will be created. Enter the name of the new folder in the Name field and then click OK.

Files can now be dragged from Explorer and dropped into the new folder.

Note: you cannot create multiple folders at once. For example, if the following folder is empty

C:\Test Folder

You can create the folder

C:\Test Folder\One Level Is Ok

But cannot create the following two folders at once:

C:\Test Folder\Level One Folder\Level Two Folder


New Zip File on CD or DVD

This operation requires Windows XP.

Creating new Zip files on CD or DVD

WinZip can create new Zip files directly on CDs or DVDs. New Zip files written to CDs or DVDs can span multiple CDs/DVDs if necessary.

To create a new Zip file on CD/DVD, open WinZip's File menu and choose New Zip File on CD or DVD (see below if this menu entry does not appear). This displays a dialog with the following options:

  • CD or DVD drive: if you have more than one CD/DVD burner installed on your computer, you can choose which drive to use.
  • Zip file name: type the name that you would like to use for the new Zip file. Do not include a drive letter or folder name in the Zip file name.
  • Write Speed: choose Fastest, Medium, or Slowest as the speed you want WinZip to use when writing the Zip file to the CD or DVD drive.

    Fastest corresponds to the fastest speed supported by your CD or DVD drive for the media that you load into the drive. Similarly, Slowest will give you the slowest supported speed, and Medium a speed that lies somewhere between the two extremes.

    As long as it works reliably, you're usually best off selecting Fastest. However, if you experience failures at the fastest speed setting, you may have better luck choosing one of the slower speeds. When the drive spins at a slower rate of speed, the laser used to write data onto the CD has more time to burn each individual spot, and this can help to reduce or eliminate failures.

About writing to CD/DVD

To write to CD/DVD, WinZip first creates the new Zip file (or an individual part of the new Zip file) in WinZip's working folder. Once the Zip file (or Zip file part) has been created, WinZip will then write it to a CD or DVD.

This staging process is necessary because of the way CD/DVD writing hardware works. It also requires that you have enough disk space available in your working folder to hold the staged Zip files.

If the menu entry does not appear...

If New Zip File on CD or DVD does not appear in WinZip's File menu
and you are using Windows XP, you may be running WinZip from a user account
with limited rights. This situation can be corrected as follows:

  1. Log on to the computer using an adminstrator account, or have a
    system administrator log on.

  2. Open Windows security policies:

    1. Click Start, then Run.

    2. Type SECPOL.MSC and click OK.

  3. Open Security Options under Local Policies.

  4. Find the Restrict CD-ROM access to locally logged-on user only
    option. Double-click the option and change its setting to Enabled.

Limitations

  • Zip files written to CD or DVD are read-only and cannot be updated at
a later date. Furthermore, due to restrictions imposed by the file
system used on CDs and DVDs, the maximum length of the name of a Zip
file to be written to CD or DVD is 107 characters. Currently, WinZip
supports the following media: CD-R, CD-RW, DVD+R, DVD-R, DVD+RW, and
DVD-RW.

  • WinZip will only create one Zip file on a single CD or a DVD.
If you insert a rewritable CD with existing data on it,
WinZip will ask you if you want to erase the existing data before
proceeding to write the new Zip file. If you elect to proceed using
the CD in question, you will not be able to get back any data
that gets erased.

CD/DVD support in the WinZip Job Wizard

WinZip also supports writing to CD or DVD when running
WinZip jobs. Details on how to use
this feature are in the help topic for the
Specify Zip File panel
of the WinZip Job Wizard.

Related Topics

Sending an Archive to CD or DVD


No temporary folder

The operation you requested requires the use of a temporary folder for the storage of intermediate files. WinZip® was unable to identify or create a temporary folder using standard Windows techniques, so it is unable to complete the operation.

To locate a temporary folder, WinZip searches for a folder specified by either the TMP or TEMP environment variable. If a folder is not found, WinZip then looks for a TEMP subfolder of the Windows folder; if the TEMP subfolder does not exist, WinZip attempts to create it. You will see this message only if all of these attempts fail.

Additional information may be available from the WinZip web site.


Message WZ88

Windows is not configured to recognize this type of file, so WinZip® does not know which program to open for you to view it properly. For more information on associations and how to instruct Windows to know which program is required for this file type, see the section titled Windows Associations.


Message WZ78

The file you tried to open does not appear to be in the Microsoft Compress (LZEXPAND) format. Note that not all files ending with an underscore are in the Microsoft Compress format.


Message WZ20

The program required to perform the function you selected is either not installed, or is installed in a folder other than the one specified in the Program Locations configuration dialog (choose Configuration from the Options menu, click the Program Locations tab).

For a complete list of supported external programs and information on obtaining and installing these programs see System Requirements and Installing Optional External Programs.

For example, this problem can occur if you try to extract files from an ARC file, but have not specified an ARC extraction program in the Program Locations configuration dialog.


Message WZ19

When working with format files the "action" operation requires the program external program. This program is not installed or improperly installed.

This message is issued when the external program "program" required for the "action" operation is either not installed, or is installed in a folder other than the one specified in the Program Locations configuration dialog. If the specified program is installed, choose Configuration from the WinZip® Options menu, click the Program Locations tab, and specify the correct path information. If you do not have a copy of the specified program, see System Requirements for information on obtaining the program.


Message WZ77

This compressed file is stored in the "KWAJ" format. Some versions of LZ32.DLL, the system library used by WinZip® to assist with decompression of this file type, cannot handle this format. You can usually decompress these files with the EXPAND command (from the DOS command prompt, type "expand /?" for instructions).


Message WZ76

This compressed file contains an archive. Normally you will want to have WinZip® automatically decompress and open the archive. If you choose Yes WinZip will:

  1. Decompress the archive into your temporary folder (as specified in the Options/Configuration/Folders dialog).
  2. Open the archive in the temporary folder.
  3. Later, when you close the archive in the temporary folder, WinZip will automatically delete it.

Note that the original compressed file is not changed by this operation.


Message WZ57

There is insufficient free memory (RAM) on your system. Close one or more other applications and retry the operation.


Overwrite?

The specified file already exists on disk. Choose Yes to overwrite the file or Yes to All to overwrite this file and avoid this prompt for all other files during this operation. Choose No to bypass this file and continue the operation, or Cancel if you want to cancel extraction of all remaining files.


Message WZ21

WinZip® can't find one of the programs specified in the active dialog box. If you specified a folder (for example, you entered C:\UTILITY\LHA.EXE), then WinZip can't find the program in that folder. If you did not specify a folder (for example, you entered LHA.EXE) then WinZip can't find the program in any of the folders specified by your PATH= environment variable.

Note: if you update the PATH statement in your AUTOEXEC.BAT, the changes will not take effect until you reboot your machine.


Message WZ22

WinZip® does not recognize the name of the specified program. For example, you will get this error if you specify XYZ.EXE as the name for LHA.EXE. WinZip lets you specify the drive and folder containing the program, but prevents the use of unsupported file names to prevent unexpected errors.


Message WZ90

Opening this .REG file will cause new data to be merged into your system registry. Improper merges may cause damage to your registry, lost associations, etc. Press OK to continue or Cancel if you are not sure you want to merge this .REG file into your registry.


Register WinZip

This section answers the following questions:

Why do I have to register WinZip®?

How do I purchase WinZip?

How do I convert from an evaluation version to a registered version of WinZip?

  • single-user
    • with a registration key
    • with an activation key
  • multi-user
    • WinZip.wzmul registration key

* The WinZip registration key determines whether WinZip will be registered as Standard or Pro.

Why do I have to register WinZip?

WinZip is not free software. Subject to the terms of the WinZip Evaluation License, you are licensed by WinZip Computing LP ("WinZip Computing") to use for evaluation purposes only one (1) copy of WinZip, on one (1) computer or workstation, without charge, for a period of 45 days after you first install WinZip on any computer or workstation, during which period both the Standard and Pro features of the WinZip software will be accessible. If you want to use this software after the 45-day evaluation period, you must acquire from WinZip Computing for a fee a single-user license or multi-user license for WinZip. Refer to Ordering Information for information about Standard and Pro license pricing, multi-user licensing, and ordering options. Use of WinZip after the expiration of the 45-day evaluation period without acquiring such a license from WinZip Computing is outside the scope of the Evaluation License and a violation of U.S. and international copyright laws.

How to purchase your WinZip License

When you purchase WinZip, you select whether you want to purchase WinZip Pro or WinZip Standard.

Refer to Ordering Information for information about pricing, multi-user licensing and ordering options.

How do I convert from an evaluation version to a registered version of WinZip?

Single-user with a registration code
  • Single-user license owners who have been issued a registration code can convert the evaluation version of WinZip to a registered version as follows:
    1. Install and run WinZip.
    2. If the initial WinZip screen has an Enter Registration Code button, click that button and go to step 3.
      Otherwise, once WinZip is running, display WinZip's About box as follows:
      - In WinZip Classic mode, choose About WinZip from the Help menu
      - In WinZip Wizard mode, click the About button

      Then either click the About box's Register button or press the "R" key on your keyboard.

    3. Enter your name and registration number EXACTLY as they appear on your registration acknowledgment e-mail or the back of the WinZip CD case and click OK.

Single-user with an activation code

  • If your WinZip license was not purchased directly from WinZip, but instead from an authorized reseller, you will have been issued an activation code rather than a registration code. In this case, the procedure for registering begins in the same way as that explained in Single-user with a registration code.

    Note: activation requires an active Internet connection. If you are not already connected when you click the OK button, WinZip will initiate your default connection before completing the activation process.

  • After your name and activation code have been entered in the "Register WinZip" dialog as described above, click OK
    1. You are now presented with the WinZip Activation Information screen. Fill in the requested information and click OK.
    2. WinZip will verify the activation code, issue a registration code based upon the name or e-mail address you entered, and enter the registration code into WinZip automatically.
    3. A confirmation e-mail, containing the registration information, will also be sent to the e-mail address entered.

Multi-user registration

  • As a multi-user customer, you will receive an e-mail confirmation after purchasing a license, containing a link to the WinZip distribution file and a link to your unique WinZip.wzmul file. To register your copy of WinZip:
    1. Download and install WinZip from the link provided in your order confirmation.
    2. Download your unique registration key (WinZip.wzmul) from the link provided in your order confirmation.
    3. Double-click the WinZip.wzmul file (or a shortcut to the file) and WinZip will automatically be registered (WinZip MUST already be installed in order to register the product). Alternatively, you can drag and drop it onto the WinZip desktop icon or an open WinZip window, or right-click it in Explorer and choose Register WinZip. Note: dragging a WinZip.wzmul file onto an open WinZip window will not add the file to an archive, but instead will try to register the product.
  • Note: if you ordered a CD, customized for your organization, install WinZip directly from the CD and no additional steps are required to register.


Message WZ79

WinZip® could not create or replace the specified Zip file. WinZip created or updated the Zip file in the temporary working folder, but was unable to copy the result to the destination disk. The most likely cause for this error is a full or write-protected disk. The updated file is left on your hard disk with the specified file name. After correcting the problem (e.g. freeing up some disk space or removing the write-protect tab from the disk), you can copy the specified file name to the destination disk manually.


Select Folder

Use this dialog to select a folder for the operation you are performing or the configuration option you are setting.

Use the Explorer-style Folders and disk drives tree to browse your system for the desired folder.

You can create a new folder by clicking the "new folder" button [image] and typing the name of a new folder. Note: this button is not present when you are choosing a folder where WinZip® should look for existing files; it is only present when you are choosing a folder where WinZip will be storing files.

Click OK when the desired folder appears in the field at the top of the dialog.


Add items

You have selected items in the Add dialog's file selection window, and you have also typed one or more wildcard file specifications in the File name field.

If there is any discrepancy between the items selected in the file selection window and the items specified in the File name field, WinZip® will add only the items specified in the File name field. Wildcard file specifications are assumed to be relative to the folder shown in the Look in window at the top of the dialog.

For example, if you select a folder in the file selection window and then type *.* in the File name field, all files from the current folder (shown in the Look in field) are added, and the folder selected in the file selection window is ignored.


Set Up E-Mail Account

This dialog allows you to configure an e-mail account for WinZip jobs. The dialog is accessed by selecting an account in the E-mail tab of the configuration dialog and clicking Add or Change.

To set up an e-mail account:

  • Specify the From name. This is the name that will appear in the "From" line of e-mail messages sent from this account.
  • Specify the From address. This is the e-mail address associated with this account. Any replies will come to this address.
  • Specify the SMTP server name. This is the name of the mail server that is used for your outgoing e-mail, e.g., "mail.mycompany.com" or "smtp.mycompany.com". Your system administrator or Internet service provider can give you this information if you don't have it.
  • Specify the SMTP port. Most users can leave this set to 25. If you have trouble sending e-mail from WinZip, check with your system administrator or your Internet service provider to see if a different port number is needed.
  • Some mail servers require that you provide a user name and password in order to send e-mail. If that is the case, type your user name in the space provided, and, optionally, specify your password. If you don't specify a password, WinZip will ask you for the password when the job runs.

    Note: you should be aware of the security implications of saving the e-mail password in the job file. Please read about WinZip job security considerations.

Click Send test e-mail if you would like to test your account settings. WinZip will attempt to send an e-mail message using the current account settings. The message will be sent both from and to the account specified in From address. If WinZip does not report any errors, wait a few minutes and check your incoming e-mail using your regular e-mail program.

When you are done, click OK to save the new account information or Cancel to discard it.


Message WZ83 - Setup program contains folder information

Message WZ83

The SETUP or INSTALL program in this archive contains folder information, for example, win32\setup.exe or win16\setup.exe. Rather than using Install, choose CheckOut from the Actions menu for this archive.


Search for Favorite Zip Folders

Click Search entire hard disk(s) to search all hard drives on your computer for folders containing Zip files and folders named "download" or "dnload". Click Quick search to search only for a few folders likely to contain Zip files (e.g. My Documents and aol\download).

Diskette drives, network drives, and CD-ROMs are not searched. To search for files on these devices, click the Search button in the Select Zip File panel (in the WinZip® Wizard) or the Favorite Zip Folders dialog box (in WinZip Classic), then click Let me find it.

Details on the File Type filters in the Search for files of type combo box are documented in the section File Type Filters.


Message WZ48

Due to a limitation in Windows, it is impossible to remove a Program Group while closing Windows. Thus, if you want to remove Program Groups created by WinZip®, you need to close WinZip before shutting down Windows.


Split Zip file compatibility information

The file format used by WinZip® to create split Zip files is an extension to the Zip 2.0 standard. As a result, some Zip utility programs may not be able to open split Zip files.

However, the only differences between split Zip files and spanned Zip files, which are supported by most Zip products, are the names and the locations of the parts of the file:

  • Each part of a split Zip file has a different extension (name.Z01, name.Z02, etc., and name.zip for the last part). All parts of a spanned Zip file have the same name (name.zip).
  • The parts of a split Zip file can all be located in the same folder; the parts of a spanned Zip file must reside on separate diskettes (because they all have the same name).

Internally, the parts of split Zip files and spanned Zip files are identical. Therefore, you can convert from one format to another if necessary by simply copying and renaming the parts as follows:

To convert a split Zip file to a spanned Zip file

  1. Copy each part of the split Zip file to a separate diskette.
  2. After copying each part, change the filename extension to .zip. For example, January.Z01 becomes January.zip, January.Z02 becomes January.zip, etc. Only the last part of the split Zip file does not have to be renamed, because it already has a .zip extension.

To convert a spanned Zip file to a split Zip file

  1. Copy each part of the spanned Zip file, in order, from diskettes to a single folder. You must know the correct order of the diskettes in order to do this.
  2. As you copy each part, change the .zip extension to .Zn, where n is a sequence number beginning with 01 for the first part. That is, the first part of the spanned Zip file January.zip becomes January.Z01; the second part becomes January.Z02, etc. If there are more than 99 parts, just continue the numbering with .Z100 and so on. Don't change the extension of the last part--it remains .zip.


Message WZ85 - Decoding problem

Message WZ85

The Favorite Zip Folders dialog box currently shows the results of searching one or more disks. You have changed the search criteria (for example, from searching for all Zip files to all encoded files), so WinZip® needs to re-scan the disk(s) for files matching the new search criteria. This could take a few moments. Click Yes to start the search now.


Switch Interface Dialog

The Switch Interface dialog box is displayed when you start WinZip® with the Wizard interface and close it while using the Classic interface, or vice versa. This dialog box gives you a chance to control whether WinZip will start in Wizard or Classic mode next time you run WinZip.

Using the Switch Interface dialog

  • If you want WinZip to start next time with the Wizard interface, click Next time start WinZip with the Wizard interface.
  • If you want WinZip to start next time with the Classic interface, click Next time start WinZip with the Classic interface.
  • Click Return to WinZip to close the dialog and return to WinZip.

Suppressing the Switch Interface dialog

If you want WinZip to always close without displaying the Switch Interface dialog, even if you have changed interfaces, check the checkbox labeled Do not display this dialog again. If the dialog is suppressed, WinZip will always start with the original interface--the one you started with this time--unless you change the startup interface as described below.

If you change your mind and want the Switch Interface dialog back, you can restore it from either Classic mode or the Wizard:

  • In the Wizard, click Options in the Welcome panel, click the Misc tab, and check Show "Switch Interface" dialog box.
  • In Classic mode, choose Configuration from the Options menu, open the Miscellaneous tab, click the Restore all caution messages button, and click OK. Note that this will restore all caution messages, not just the Switch Interface dialog.

Changing the startup interface

You can always change the startup interface, regardless of whether or not the Switch Interface dialog is enabled. To do this:

  • In the Wizard, click Options in the Welcome panel, choose the Misc tab, and click either Next time start WinZip with the Wizard interface or Next time start WinZip with the Classic interface.
  • In Classic mode, choose Configuration from the Options menu, click the Miscellaneous tab, and check or uncheck Next time start with the Wizard interface. If the box is checked, WinZip will start next time with the Wizard interface; if it is not checked, it will start next time with the Classic interface.


Message WZ31

An unexpected system error was encountered trying to run the specified DOS command. This problem is usually caused by a system configuration problem or using buggy video drivers, including "beta test" video drivers.

If you encounter this error message and are not using a Microsoft-supplied video driver, try installing the VGA driver distributed with Windows to determine if the problem is caused by a video driver.


Message WZ18

This dialog box is displayed when WinZip® could not create a required temporary file on the disk drive listed in the dialog box. Possible causes are that the disk drive is invalid, or that the root folder of the disk is full.

WinZip determines which disk to use for temporary files by checking the values of the WZTMP=, TMP=, TEMP=, and PKTMP= environment variables. To conserve space on the DOS command line, WinZip creates temporary files in the root folder of the specified drive. If none of these environment variables is set, WinZip creates temporary files on your C: drive.


Message WZ66

The temporary folder must be a fully qualified path. You must specify both the drive and folder, for example, C:\TEMP or C:\WINDOWS\TEMP. If you don't know the location of your temporary folder, click Cancel.


Missing Theme Components

In some cases, a theme Zip file can be missing some of the components that are specified by the theme definition file (.Theme extension). For example, the theme definition may specify that a file named NormalArrow.Cur contains the "normal" mouse pointer, but no such file exists in the Zip file.

It is safe to install a theme that is missing components. Windows will substitute default components for critical items that are missing (e.g., mouse pointers) and simply ignore non-critical components (e.g., sounds).

If a theme is missing a few components, it may still be effective, and worth installing. The system theme installer allows you to preview all of the components, and you can always decide then whether to complete or cancel installation.

If a theme is missing many components, it will probably not be very effective. You can still install and preview it safely, but the results probably won't be what you hoped.


No Theme Association

WinZip® was unable to find an association for theme definition files (.Theme extension) in your system registry and can't continue installing your desktop theme. This is generally caused by improper or missing installation of theme support on your system.

Windows 2000: please read about desktop themes and Windows 2000.

Windows XP: supports desktop themes with no additional installation required.


Select Buttons (Toolbar Configuration)

Click Select Buttons in the Toolbar tab of the Configuration dialog to select and rearrange the WinZip® toolbar buttons. You can also right click on the toolbar itself and click Select Buttons.

The left side of the Select Buttons dialog box shows the buttons and separators that are available for use. The right side displays the toolbar arrangement in a vertical, top to bottom format, which is then transformed into the horizontal, left to right format that WinZip uses.

  • To Add a button, highlight the button in the left side of the dialog and click Add. It is easy to move it to the preferred location. If desired, you can highlight the button above which you'd like to insert the new button, first, and it will be placed in that position.
  • To Remove a button, highlight the button in the right side of the dialog, and click Remove.
  • To Rearrange toolbar buttons:
  • Select and drag a button to its new location; an arrow to the left of the button display will indicate its placement.
  • Highlight a button and use the Move Up and Move Down buttons to move it to the desired location.
  • To Reset WinZip to its original toolbar configuration, click the Reset button.

Notes:

  • You can move buttons on the toolbar without using this dialog box: just press the Alt key on your keyboard, and while holding down the Alt key, click on and drag a toolbar button from its current location to the desired location.
  • You can remove buttons on the toolbar without using this dialog box: just press the Alt key on your keyboard, and while holding down the Alt key, drag a toolbar button off the toolbar.
  • The separator at the end of the toolbar cannot be moved or removed.
  • This dialog box is only available if you have version 4.71 or later of the Windows Common Control library. This library is part of Windows 2000, Windows XP, and Microsoft Internet Explorer 4.0 or greater, and is available as a separate download from the Microsoft web site as described in the section Windows Common Control Library.

Related Topics (other Configuration tabs):


Archive Blocked

The specified operation could not be performed because the archive was blocked by Windows Security. This can occur for archive files that were downloaded using Internet Explorer or arrived as attachments in Outlook Express. To perform the operation, you will first need to unblock the archive file.

Caution: you should be careful when unblocking an archive. Be certain that you trust the source of this archive. Do not install anything contained in an archive that was attached to an unexpected or suspicious e-mail message. See Security Hints and Tips for additional information.

Here are step by step instructions for unblocking an archive.

Note: If the archive is already open in WinZip, close WinZip.

  1. If the file is an attachment in an email message, save the attachment to a folder of your choice (example: My Documents).
  2. Open the folder that contains the archive using Windows Explorer.
  3. Locate the archive in Explorer's file listing and right click on the archive's name in the list.
  4. A context menu will appear, click Properties.
  5. On the tab labeled "General", click Unblock
  6. Click OK
  7. Open the archive in WinZip and perform the desired operation

Related Topics

Windows XP SP2 Attachment Manager


Caution

The Caution dialog box lists items that cannot safely be uninstalled but were changed during the install process. These items are unlikely to interfere with a successful uninstall. For example, a setup program might replace your existing copy of a common dynamic link library like CTL3D.DLL with the latest version of the same library. In normal situations your existing applications should work with the latest version of the library, so leaving this new version installed will not cause problems.


Uninstall Dialog Box

NOTE: this help topic documents the WinZip® Install/Try/Uninstall Add-on. A test version of this add-on was available from our web site at one time. Due to low demand for the feature, we are no longer planning to make this add-on officially available.

The Uninstall dialog box displays a list box containing one entry for each item that can be uninstalled. Entries are created for

  • Groups and icons created by the installation process.
  • Folders or files created by the installation process.
  • Configuration files (e.g. win.ini) changed by the installation process.

Each entry contains a check box and a description of the action. Select or deselect the check boxes depending on whether you want to uninstall the configuration change. Usually it is best to remove all entries, however, this dialog box gives you a chance to avoid removing any files or icons you want to keep.

  • The Select all button selects all check boxes.
  • If a Cautions button is displayed in the Uninstall dialog box press it for information about system configuration changes that the uninstall procedure cannot restore, for example, dynamic link libraries in your Windows that have been replaced.
  • Press the Report button to save a list of the suggested actions to a disk file.
  • Press the Uninstall button to begin the uninstall, or Cancel to terminate the operation. Additional confirmation dialog boxes may be displayed depending on the specifics of the program being uninstalled.

Notes:

All actions in the Uninstall dialog box are automatically checked except file deletions. Individual files are not selected for deletion in case you created files using some other application during the install process; however, you can use the Select all button to quickly select all checkboxes in the list box.

If you decide to cancel the uninstall operation you may wish to create a report using the Report button to assist a manual uninstall.

Install Dialog Box Beta Only Addendum

The Install dialog box gives you an additional option in the beta version:

  • The Save configuration information for possible uninstall check box determines whether WinZip will save information about your program groups, icons, and ini files. This information is required for an uninstall operation, so if this checkbox is not selected you will not be able to use WinZip to uninstall.


Unsupported Compression Method

One of the files in your Zip file appears to be compressed using a compression method that is unknown to the version of WinZip® that you are using. Although this may be due to an error in your Zip file, it is more likely that the file was compressed using a newer version of WinZip or another Zip utility.

A newer version of WinZip, if available, may be able to extract the file. For additional information, please note the compression method number from the error message you received and visit the WinZip web site.


Unsupported Encryption Method

One of the files in your Zip file appears to be encrypted using an encryption method that is unknown to the version of WinZip® that you are using. Although this may be due to an error in your Zip file, it is more likely that the file was encrypted using a newer version of WinZip or another Zip utility.

A newer version of WinZip, if available, may be able to decrypt and extract the file. For additional information, please visit the WinZip web site.


Unsupported file format

WinZip® supports the Zip 2.0 standard file format, which is the specification used by the vast majority of applications on the market that process Zip files. The file with which you are working is not based on the Zip 2.0 standard and is not supported by this version of WinZip.

In order to work with this file using this version of WinZip, it will need to be re-zipped using a Zip 2.0-compatible program (such as WinZip itself).

For current information about file format compatibility, visit the WinZip web site.


File has been changed

WinZip® detected that you modified a file while viewing it. Choose Yes to add the modified file to the archive or No if you don't want to update the archive.


Delete Temporary File?

Choose Yes to delete the temporary file or No if you want to keep it. Note that the file resides in a "temporary" folder specified by your WZTMP=, TMP=, TEMP=, and PKTMP= environment variables, so you should probably move the file to a "permanent" folder if you really want to keep it.


Warning WZ35

The original file included folder information, but no folder information was included when the file was added to the archive. Thus, both the original and the new file are included in the archive.


Viewing Zip file comments

A Zip file comment is optional text information that is embedded in a Zip file. It is often used to describe the contents of the Zip file or to provide other information that is not in the files contained in the Zip file.

Zip comments can be displayed automatically when you open a Zip file that contains a comment. To enable this feature, choose Configuration from the Options menu, click the Miscellaneous tab, and check the box labeled Show comments when opening Zip files.

Zip comments can also be viewed from the WinZip® Wizard if you are using the Wizard to install software or a desktop theme or screen saver from a Zip file that contains a comment. Simply click the View Zip comment button.

In the Comment dialog:

  • Click the Close button to close the dialog.
  • Click Font to specify a new display font. This does not affect the comment in the Zip file, but is retained as your preference for viewing comments in future sessions.
  • If the Comment dialog was displayed automatically when opening a Zip file, there will be a checkbox labeled Show comments when opening Zip files. Uncheck this box to disable the automatic comment display feature.

Tip: to edit or remove a Zip comment, open the Zip file in Classic mode and choose Comment from the View menu.


Message WZ26

WinZip® encountered an error trying to view a file. Possible errors include insufficient memory and disk errors.


View Dialog Box

When you push the View button in the toolbar or choose the View entry in the Actions menu the View dialog box is displayed. This dialog gives you a choice of viewing the selected file(s) in one of three ways:

  • Using the associated program. The associated program is listed in parentheses. This method is similar to double clicking on a file in the main window (unless the file is executable; in which case the executable file is opened with the program specified in the Default association field in the Program Locations tab of the Configuration dialog box).
  • Using the built-in Internal ASCII Text Viewer. Multiple files can be viewed in one view operation using this viewer.
  • Using the built-in Internal Image Viewer (Pro version only). Multiple images can be viewed in one view operation using this viewer.
  • With any viewer available on your system. You must specify the name of the viewer.


Desktop Themes and Windows 2000

WinZip® does not officially support desktop theme installation under Windows 2000. Please read the following information carefully.

The WinZip desktop theme installer is not officially supported under Windows 2000 because Windows 2000 itself does not support themes in the same way that earlier versions of Windows did.

The initial release of Windows 2000 (build 2195) does not include the Plus! package (or its equivalent) that was available for earlier versions of Windows. As a result, there are some differences between desktop theme support under Windows 2000 and earlier versions of Windows, and some potential problems that you should be aware of when using WinZip; to install desktop themes under Windows 2000:

  • The system theme installer (THEMES.EXE) is included with Windows 2000, but it is installed in the Windows system folder (typically C:\Windows\System32) rather than in a separate folder as in the past (typically C:\Program Files\Plus!\Themes).

    Because theme components are often extracted to folders that are relative to the folder where THEMES.EXE is stored, installing some themes may require WinZip to extract files to the system folder. Some users may consider this to be undesirable behavior, and it is even possible for important system files to be overwritten.
  • Some desktop themes specify that theme components must be extracted to the Plus! themes folder (C:\Program Files\Plus!\Themes) or to its subfolders. In order to do this, WinZip must create the Plus! themes folder if it does not already exist. Under Windows 2000, if this folder exists, the system theme installer THEMES.EXE may fail to recognize themes and theme components that are properly stored in the system folder and its subfolders. That is, you may no longer be able to use THEMES.EXE to activate themes that you have previously installed.

    You may be able to correct this situation by deleting the Plus! folder, but be certain that there are no important files in the Plus! folder or its subfolders before doing so!
  • Under previous versions of Windows, WinZip was able to tell the system theme installer which theme it should display when it starts up. This does not work under Windows 2000; when the system theme installer starts, it displays the current desktop settings rather than the theme that WinZip has just extracted. In order to view the components of the new theme, you must select it from the drop-down list labeled Theme.

Related topics

Desktop theme installer


CheckOut Delete

This dialog box is displayed before closing an archive to give you a chance to have WinZip® delete the CheckOut folder and associated entries in the Programs menu. Click Yes to delete these items and close the archive. Click No to leave the CheckOut folder and Programs menu entries intact and close the archive. Click Cancel to cancel the close operation.


Message WZ25

This dialog box is displayed when WinZip® cannot run a program. This can happen when a program specified as a Windows Association was deleted from your system or was moved to a different drive or folder. The following are the error codes Microsoft has documented:

0 | Out of memory
1 | File not found
2 | File not found
3 | Path not found
4 | Too many files open
5 | Attempt to dynamically link to a task
6 | Library requires separate data segments for each task
8 | Insufficient memory to start application
10 | Incorrect Windows version
11 | Invalid .EXE file (non-Windows .EXE or error in .EXE image)
12 | OS/2 application
13 | DOS 4.0 application
14 | Unknown .EXE type
15 | Attempt in protected (Standard or 386 Enhanced) mode to load an .EXE created for an earlier version of Windows
16 | Attempt to load a second instance of an .EXE containing multiple, writeable data segments
19 | Attempt was made to load a compressed executable file. The file must be decompressed before it can be loaded.
20 | Dynamic-link library (DLL) file was invalid. One of the DLLs required to run this application was corrupt.
21 | Application requires Microsoft Windows 32-bit extensions
26 | File sharing error
27 | Incomplete association for file type in system registry
28 | Dynamic Data Exchange (DDE) timeout
29 | Dynamic Data Exchange (DDE) failure
30 | Dynamic Data Exchange (DDE) is busy
31 | No association found for file type in system registry
32 | A dynamic-link library (DLL) required by the program could not be found


Message WZ70

This dialog box is displayed when Windows returns a "File Not Found" error when WinZip® tries to run another program. Possible causes include:

  • A program specified as a Windows association was deleted from your system or was moved to a different drive or folder.
  • A required DLL or other component is not installed (e.g., VBRUN300.DLL).


Message WZ55

WinZip® could not access the correct version of the specified DLL. It is possible that the DLL from a previous version of WinZip is still loaded, or that the wrong version of the DLL is in the WinZip folder. To solve this problem follow both of these steps:

  1. Verify that the DLL in your WinZip folder has the same date as WINZIP.EXE or WINZIP32.EXE. If not, reload all WinZip related files from the distribution CD. DO NOT use WinZip to extract files from the online distribution version of WinZip to the folder from which you are running WinZip, since that can cause unpredictable results.
  2. Exit Windows and then run WinZip again. Closing Windows ensures that old versions of the DLL are not loaded.


Zip and E-Mail Plus

The Zip and E-Mail Plus dialog allows you to specify the filename to be used for a Zip file that WinZip® creates and attaches to the new e-mail message. It also allows you to specify an encryption method and password if desired (please read about encryption).

To use Zip and E-Mail Plus, simply select files or folders in a My Computer or Windows Explorer window, right click on any selected item, and choose Zip and E-Mail Plus from the WinZip Explorer context menu. When the dialog appears:

  1. Choose the name to be used for the Zip file. You can accept the suggested name, or you can specify a name of your own by clicking Use this name and typing in the desired name. Don't specify a folder name, because the Zip file is temporary and will be created in a temporary folder.
  2. Check the Encrypt Zip file check box if you want to encrypt the Zip file.
  3. Click OK.

If you've chosen to encrypt the Zip file, a second dialog will appear that allows you to specify the encryption method and password. Then WinZip compresses the selected items into a temporary Zip file, creates a new e-mail message, and attaches the temporary Zip file to the message. You can address the message, add any desired text, and send it as you normally would. WinZip automatically deletes the temporary Zip file when it is no longer needed.

See also

About Encryption


Zip and E-Mail Plus - Encrypt Dialog

The Encrypt dialog allows you to specify a password and encryption method for the Zip file you are e-mailing. To begin adding and encrypting files:
  • Type the desired password in the Enter password edit field (please read about passwords).
  • Tip: check the Mask password check box to prevent the password from being displayed as you type it. If you check this option, the dialog will require you to type the password twice for confirmation (to avoid typographical errors in the password).
  • Click the desired encryption method in the Encryption method area.
  • Click OK to create the encrypted Zip file.

See also

About Encryption


Message WZ52

Nothing To Do: no files were found for the specified action. Examples of when this message is issued include attempts to add a non-existent folder to an archive and attempts to freshen an archive that is already up to date.


Message WZ53

An invalid archive operation was initiated. For example, an attempt to add the same file from two different folders can cause this error. Check the warning messages for additional details about the problem.


Message WZ40

The Zip file cannot be opened. If this Zip file is part of a multiple-disk set, please insert the last disk of the set and try again (this is required by the standard Zip multi-disk format). You may subsequently be prompted to insert other disks from the set.

If you downloaded this file, the most likely cause of this problem is a bad download. The best solution is almost always to download the file again. If this does not solve the problem, see the WinZip web site for hints on resolving download problems.

If you did not download this file, and it is not part of a multiple-disk set, it is either not a valid Zip file or it is corrupt, perhaps because of a bad diskette.


Message WZ54

This error occurred during internal Zip processing. Correct the error and retry the operation.


Warning WZ58

One or more warning messages were issued during the last operation. Click Yes to view all messages issued while processing the last action, including informational and warning messages.

Note: in Classic mode, you can view the same detailed operational results by closing the error message window and choosing View Last Output from the Options menu.


Hints, Tips, & Troubleshooting

WinZip® makes decoding these file attachments very convenient. Here are some hints to make the road even smoother:

The most common problems we encounter with files that cannot be decoded are incomplete data and missing header information. The integrity of the message is critical, and the header must be intact for decoding. We have included short examples of each of the following encoding formats. You may find them helpful for comparison purposes with messages you receive, to confirm that they appear properly encoded and are not missing header and closing data. Click to review any of these brief file examples.

UUencoded Example XXencoded Example BinHex Example MIME (base64) Example

Multi-Part Encoded Files must be combined before WinZip can process them. If you encounter encoded data spread across multiple files, you can either combine the parts using a text editor, and then open them with WinZip, or you can use another program, like the UUDeview package from Frank Pilhofer. (WinZip's decoding subroutines are based on the UUDeview package.) The original UUDeview is a text mode command line driven program, or you can download a Windows interface by Michael Newcomb. These free programs are available from Internet sites in Germany and the USA.

Further information about encoding files can be found in many places on the Internet. A good place to start is the "Introduction to Decoding" article from the UUDeview home page. The MIME specification is defined in RFC 1521, and is widely available on the Internet.

Bug Reporting: If, after examining and confirming that a file seems properly encoded, you believe that WinZip should handle it, please contact WinZip support. Send e-mail to the address shown on the WinZip web site's contact page, and include a Zip file of the file so that it is not changed by any mail gateways or e-mail program. Do not remove any header or other information. Please include the name of the program that created it, if possible. Smaller files are preferred over huge sample files. We will examine the file and respond as soon as possible.

UUencoded, XXencoded, BinHex, and MIME files

Sending Files using Internet Mail

The Why behind UUencoding and Other Schemes

Receiving and Preparing Files for Decoding

Decoding Files using WinZip

UUencoding a File using WinZip

Mailing a UUencoded File

Hints, Tips, & Troubleshooting

<Back Next>


Magazine Quotes

Here's what magazine reviews say about WinZip®:

  • "WinZip: Compression's reigning champ" - CNET, 5/21/2003
  • "WinZip ... the market leader among file-compression utilities ..." - PC World, 5/20/2003
  • "WinZip has proven once again to be one of the best investments I ever made for my PC." - PC Buyer's Guide, 5/13/2003
  • "WinZip sprang onto the desktop and I was hooked for life. To this day, no other compression client has been able to win me over." - Lockergnome, 5/13/2003
  • "WinZip has long set the standard for file compression utilities, and recent versions uphold its strong reputation." - PC World, 5/13/2003
  • "WinZip is 'The Standard' in archive and compression software." - Shareware Junkies, 5/1/2003
  • "WinZip is the best product of its type on the market." - The CPA Software News, 4/1/2003
  • "The tool is the de facto compression utility on Windows machines, and the program undoubtedly delivers everything a user needs and more." - Smart Computing, 3/1/2003

Visit our web site for a more complete and up-to-date list of magazine quotes.


Install/Try/Uninstall Feature

NOTE: this help topic documents the WinZip® Install/Try/Uninstall Add-on. A test version of this add-on was available from our web site at one time. Due to low demand for the feature, we are no longer planning to make this add-on officially available.

WinZip's unique Install/Try/Uninstall feature makes it easy to install and uninstall software distributed in archives. This feature can save megabytes of disk space by tracking and removing all traces of an application. WinZip will run the installation program in an archive, give you a chance to try the program, and optionally offer to restore your system to its original state. The uninstall step can selectively remove files, icons, or program groups created by an install program, and can restore any altered INI files. You have complete control over the uninstall process, and no changes are made without approval.

Note: the Install feature is only available if an archive contains an "install" or "setup" program. If the Install button is not displayed, use the CheckOut Feature to try the software in the archive.

To use the Install/Try/Uninstall feature

  1. Press the Install toolbar button or select Install from the Actions menu to extract all files to a temporary folder and run the install program.
  2. Try the program that was installed.
  3. Decide whether to leave the program installed or to uninstall.

If you choose to uninstall, WinZip will display the Uninstall dialog box which will let you select whether to

  • Delete any Groups and Icons created by the installation process.
  • Delete any Folders or files created by the installation process.
  • Restore your autoexec.bat, config.sys, or ini files if they were changed by the installation process.

Restrictions:

  • All configuration changes made between an install and uninstall are considered to have been made by the install process. For example, if you switch to your word processor and save a document during the installation process, the document is considered to have been created as part of the install process. If you subsequently uninstall, WinZip will list the document you created in the Uninstall dialog box along with files created during the install procedure. Therefore it is strongly suggested that you do not run any programs other than those related to the program you are installing until you have decided whether to uninstall.
  • The uninstall procedure does not let you restore files that are changed or deleted unless they are one of the special files that are backed up during initialization: autoexec.bat, config.sys, and the .ini files in your Windows folder.

Notes:

The uninstall feature does not notice files or folders created from DOS boxes (after all, this is a Windows program!).

The uninstall feature does not attempt to save information across sessions.

The Install operation requires that the entire product being installed is distributed in one archive.

WinZip determines whether an archive contains an install or setup program by checking for a file that 1) is executable, 2) has "install" or "setup" in the filename, and 3) does not contain folder information. If no file matches these criteria the Install operation is disabled.

Related Topics:

Questions and Answers About Install/Try/Uninstall

Install Dialog Box

Uninstall Dialog Box


Mailing a UUencoded File

Note: most modern e-mail programs automatically encode attachments when necessary, so you will not need to. If, however, you are using an older e-mail program that does not automatically encode attachments, the following information could be useful. Please read about UUencoding if you are not familiar with encoded files and why they are used.

To send a UUencoded attachment, first UUencode the attachment using WinZip®, then attach it to your message. How you attach a UUencoded file to a message will depend on your e-mail program.

For example, if you are using MSMail:

  1. Create a message in the usual manner.
  2. Click on the menu item Attach and select File.
  3. Use the familiar file dialogs to choose the .UUE file you created previously, then click OK.
  4. E-mail your message as you would normally.

If you are using another e-mail program, a method similar to the above may also work with your program. A "Send File" or similar option may be available and of use in this situation. It may be necessary to open the .UUE file you have created using a text editor, copy the entire contents, or portions of it, to the Windows clipboard, and paste it into your open e-mail message. Further information on handling large files is included in the next topic, Hints, Tips, & Troubleshooting.

UUencoded, XXencoded, BinHex, and MIME files

Sending Files using Internet Mail

The Why behind UUencoding and Other Schemes

Receiving and Preparing Files for Decoding

Decoding Files using WinZip

UUencoding a File using WinZip

Mailing a UUencoded File

Hints, Tips, & Troubleshooting


MIME (base64) Example

Here is an example of a MIME file:

  ---
  Content-Type: application/octet-stream; name="encoded.txt"
  Content-Transfer-Encoding: base64
  Content-Disposition: inline; filename="encoded.txt"
  Content-MD5: V8ttTjZgvmMkzwVFKr5Olw==

  VGVzdCENCg0KR2VudGxlIFJlYWRlcjoNCg0KVGhpcyBpcyBub3RoaW5nIG1vcmUgdGhhbiBh
  IHRlc3QgZmlsZSBjcmVhdGVkIHRvIHByb3ZpZGUgZm9kZGVyIGZvciB0aGUgdmFyaW91cyBl
  bmNvZGluZyBzY2hlbWVzLiBJZiB5b3UgYXJlIHVzaW5nIGl0IHRvIHRlc3QsIGNvbmdyYXR1
  bGF0aW9ucyBvbiB5b3VyIGFnaWxpdHkgaW4gY3V0dGluZywgcGFzdGluZywgc2F2aW5nLCBh
  bmQgZGVjb2RpbmcgdXNpbmcgV2luWmlwLg0KDQpFbmpveSE=

  -----

Return to Hints, Tips, & Troubleshooting


Obtaining WinZip Self-Extractor

WinZip Self-Extractor's license allows you to create an unlimited number of re-distributable self-extracting Zip files on a single machine. Click here for information on the differences between WinZip Self-Extractor and the Personal Edition included with WinZip®.

You can order WinZip Self-Extractor online via the WinZip Ordering Information page on the WinZip web site.

Other Ordering Options

Other ordering options, including postal mail (check or credit card) or fax (credit card only), are available too. Orders will be shipped by postal mail (air mail outside the US) and will leave our office within two days after the order is received. Complete pricing and ordering information, including information about using purchase orders, is available from the WinZip web site.

You can download a fully functional evaluation version of WinZip Self-Extractor from the WinZip Self-Extractor page on the WinZip web site.


Receiving and Preparing Files for Decoding

The message you receive with an encoded file will need to be prepared for the simple WinZip® decoding operation. The steps you take will depend on the e-mail program you are using.

For example, if you are using MSMail:

  1. Highlight the message (DO NOT open it; large messages are not handled well by MSMail).
  2. Select Save As from the File menu item.
  3. Enter a file name using .UUE as the extension; for example: FILENAME.UUE.

If you are using another e-mail program, a method similar to the above may also work with your program. Be aware that some e-mail programs may crash or cut off parts of unusually large messages, so saving them as files without opening them is the preferred method.

Your e-mail program may save a message attachment as an external file in a folder designated to receive them. In that case, it may automatically be named; you may wish to rename it, using a .UUE extension, for maximum convenience.

Sometimes you may receive multiple messages, where a file is split up into more than one message because of size limitations. You will need to use a text editor or the DOS COPY file command to paste the files together into one large file, and save it as a text file with a .UUE extension.

UUencoded, XXencoded, BinHex, and MIME files

Sending Files using Internet Mail

The Why behind UUencoding and Other Schemes

Receiving and Preparing Files for Decoding

Decoding Files using WinZip

UUencoding a File using WinZip

Mailing a UUencoded File

Hints, Tips, & Troubleshooting


Sending Files using Internet Mail

If you have a direct connection to the Internet, you may already be using an e-mail program that allows you to attach files to messages. However, many e-mail programs, including MSMail, cannot easily transfer files to Internet addresses. WinZip® allows you to send and receive files using nearly any e-mail program, including MSMail.

Note: If your e-mail program does have the ability to transfer files, consider using WinZip to compress them before transfer -- it will usually take far less time since the file will be smaller. If the recipients are unfamiliar with Zip files, you can use WinZip to create a self-extracting archive for their convenience.

UUencoded, XXencoded, BinHex, and MIME files

Sending Files using Internet Mail

The Why behind UUencoding and Other Schemes

Receiving and Preparing Files for Decoding

Decoding Files using WinZip

UUencoding a File using WinZip

Mailing a UUencoded File

Hints, Tips, & Troubleshooting


UUencoded Example

Here is an example of a UUencoded file:

  begin 666 encoded.txt
  M5&5S="$-"@T*1V5N=&QE(%)E861E<CH-"@T*5&AI<R!I<R!N;W1H:6YG(&UO
  M<F4@=&AA;B!A('1E<W0@9FEL92!C<F5A=&5D('1O('!R;W9I9&4@9F]D9&5R
  M(&9O<B!T:&4@=F%R:6]U<R!E;F-O9&EN9R!S8VAE;65S+B!)9B!Y;W4@87)E
  M('5S:6YG(&ET('1O('1E<W0L(&-O;F=R871U;&%T:6]N<R!O;B!Y;W5R(&%G
  M:6QI='D@:6X@8W5T=&EN9RP@<&%S=&EN9RP@<V%V:6YG+"!A;F0@9&5C;V1I
  :;F<@=7-I;F<@5VEN6FEP+@T*#0I%;FIO>2$`
  `
  end

Return to Hints, Tips, & Troubleshooting


UUencoding a File using WinZip

WinZip® UUencodes Zip files for mailing, so you must choose and open an existing Zip file to encode or create a new one.

  • If the file is already archived as a Zip file, open it in WinZip using your favorite method.
  • If the file(s) you wish to send are not already archived, use WinZip to create a Zip file, and leave the program open for the next step.
  • Click the Actions menu item, and choose UUencode.

A UUencoded file has been created from your Zip file. For example, you will find a TESTFILE.UUE file in the same folder along with your original TESTFILE.ZIP.

UUencoded, XXencoded, BinHex, and MIME files

Sending Files using Internet Mail

The Why behind UUencoding and Other Schemes

Receiving and Preparing Files for Decoding

Decoding Files using WinZip

UUencoding a File using WinZip

Mailing a UUencoded File

Hints, Tips, & Troubleshooting


The Why behind UUencoding and Other Schemes

Some Internet protocols were not designed to carry binary (program and other non-text files) files. They are able only to transfer messages made up of conventional text (printable ASCII) characters. In order to get around that limitation, UUencode and other methods were created.

These solutions all perform the same basic operation: they encode the non-transferable binary file into ASCII characters that the e-mail system can handle. The person receiving the message can then decode the strings of characters to recreate the original file. Perhaps you have seen one of these completely unintelligible messages; here's an example:

_=_
_=_ Part 001 of 001 of file encoded.txt
_=_

begin 666 encoded.txt
M5&5S="$-"@T*1V5N=&QE(%)E861E<CH-"@T*5&AI<R!I<R!N;W1H:6YG(&UO
M<F4@=&AA;B!A('1E<W0@9FEL92!C<F5A=&5D('1O('!R;W9I9&4@9F]D9&5R
M(&9O<B!T:&4@=F%R:6]U<R!E;F-O9&EN9R!S8VAE;65S+B!)9B!Y;W4@87)E
M('5S:6YG(&ET('1O('1E<W0L(&-O;F=R871U;&%T:6]N<R!O;B!Y;W5R(&%G
M:6QI='D@:6X@8W5T=&EN9RP@<&%S=&EN9RP@<V%V:6YG+"!A;F0@9&5C;V1I
:;F<@=7-I;F<@5VEN6FEP+@T*#0I%;FIO>2$`
`
end

WinZip® can easily open and extract UUencoded, XXencoded, BinHex, and MIME files (base64, plain/text, and quoted-printable) that have been sent to you, and create Uuencoded files for you to send.

UUencoded, XXencoded, BinHex, and MIME files

Sending Files using Internet Mail

The Why behind UUencoding and Other Schemes

Receiving and Preparing Files for Decoding

Decoding Files using WinZip

UUencoding a File using WinZip

Mailing a UUencoded File

Hints, Tips, & Troubleshooting


WinZip Wizard help

The WinZip® Wizard help file should automatically open in a separate window.

If the help file does not open, you may be encountering Windows security restrictions and will need to open the Wizard help directly. To do this:

  1. Close this help window.
  2. Click the Wizard button in the WinZip toolbar.
  3. Click the WinZip Wizard's Help button

To return to the previous topic, click the Back button above.


XXencoded Example

Here is an example of a XXencoded file:

begin 666 encoded.txt
hJ4JnR02B0Uo8FqJiR4lZ637ZMKFZQXcB0Uo8J4VdQm-dQm-iPrFcOKtb64pj
hQaIUR4VVPW-V65FZQrEUNaZgNG-XQaJVR4JY65Fj65-mPrNdN4IUNaxYN4Jm
h64NjQW-oO4IURa3mOKxpQm-ZPaBjN4ZiNm-nMqVZPKJn9W-7NW-tPrIUML7Z
h65JnOKtb64Zo65Fj65FZQrEg64BjPaRmMLFpP43oOKxiQm-jPW-tPrJm643b
hOKldR5YUOKsUMrJoR4ZiNmkUQ43nR4ZiNmkUQq3qOKtb90-VPaEUN4JXPqFd
OPaQURLBdPaQUJqZiKaZk9Uo81Ed3PadjSG2+
+
end

Return to Hints, Tips, & Troubleshooting